<?php
/* Test file for GDImageManipulation.class.php
 *
 * This test file shows the manipulation capacities of the class.
 * To see exactly what the commands do, they are not stacked. Of course,
 * you can call different methods prior to pulling the data out of the 
 * class.
 *
 * See the upcoming documentation for details.
 *
 * IMPORTANT:
 * Do not call this script with Internet Explorer, the results will be
 * frustrating since Microsoft doesn't support the data:-uri correctly.
 * Use Firefox instead.
 * The data:-uri is used to avoid tons of images written to disk. Of course,
 * you could save the images as files and embed them with a file: or http:-uri
 * as well.
 *
 * The output of this file is impressively large due to the embedded images
 * (about 1 MB) so you better not call this from anything but your local 
 * environment. You have been warned.
 *
 */
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">

<html>

   <head> 
      <title>GDImageManipulation</title>
   </head>

   <body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#800080" alink="#FF0000">
<?php

require_once('GDImageManipulation.class.php');
$filename="product.png";

function recycle() {
    global $imageManipulation;
    global $filename;
    unset($imageManipulation);
    $imageManipulation = new GDImageManipulation();
    $imageManipulation->set_image_asFile($filename);
    return $imageManipulation;
} 

$imageManipulation = new GDImageManipulation();

echo "<h1>Welcome to GDImageManipulation!</h1><hr />";
echo "<table border=1>";



// rotate II
// Please note that negative angles work correctly.
echo "<tr><td><br />Original</td><td><br />rotate(-135, 255, 0, 0)</td></tr>";
echo "<tr><td><img src=\"".$filename."\" /></td><td>";
$imageManipulation = recycle();
$imageManipulation->convert_brightness(10);
echo $imageManipulation->get_inlineTag_png('png');
echo "</td></tr>";

echo "</table>";
?>


   </body>
</html>