﻿<?php
header ("content-type: text/xml");
require_once("../centralized/db.php");
require_once("../centralized/config.php");
if (!function_exists('smtp_mail')) {
 require_once ("../../centralized/mailerClass/centralize_mail_class_funcs.php");
}

$clientId = trim($_REQUEST['ClientID']);
$make     = trim($_REQUEST['Make']);
$model    = trim($_REQUEST['Model']);
$year     = trim($_REQUEST['Year']);
$username     = trim($_REQUEST['username']);
$partname     = trim($_REQUEST['partname']);

function cleanWordSpecialCharacters($src){
	$src = htmlentities($src, ENT_QUOTES, "UTF-8");
	return $src;
}


if ( strlen ( $year ) == 10 ) {
            $year = substr($year, 6, 4); 
        }


if(isset($clientId) && $clientId !=""){
	$clientIds = " [ClientID] = '".$clientId."'";
}else{
	$clientIds = "";
}
if(isset($make) && $make !=""){
	$makes = " AND [Make] = '".$make."'";
}else{
	$makes = "";
}
$modelPart	= explode(" ",$model);
if(isset($model) && $modelPart[0] !=""){
	$models = " AND [Model] LIKE '%".$modelPart[0]."%'";
}else{
	$models = "";
}
if(isset($year) && $year !=""){
	$years = " AND [Year] LIKE '%".$year."%'";
}else{
	$years = "";
}
if(isset($partname) && $partname !=""){
	$partnames = " AND [PartName] = '".$partname."'";
}else{
	$partnames = "";
}

$sql_querySelectList = "SELECT CAST(PartName AS [nvarchar](1000)) as PartName,count(PartName) AS StockQty FROM [automatch].[dbo].[LiveStock] WHERE ".$clientIds . $makes . $models . $years . $partnames." GROUP BY PartName";
$querySelectList     = mssql_query_upgrade($sql_querySelectList, dblink());
$ct                  = mssql_num_rows_upgrade($querySelectList);

$xmlsend	= '<?xml version="1.0" encoding="UTF-8"?>';
$xmlsend   .= '<DataSet>';
$xmlsend   .= '<Model>'.$model.'</Model>';
$xmlsend   .= '<Model>'.$modelPart[0].'</Model>';
$xmlsend   .= '<Query>'.$sql_querySelectList.'</Query>';

if($ct > 0){
	for($i=0;$i<$ct;$i++){
		$result = mssql_fetch_array_upgrade($querySelectList);
			$xmlsend .= "<PartStat>";
			$xmlsend .="<PartName>".cleanWordSpecialCharacters(strtr($result['PartName'], array("–"=>"-")))."</PartName>";
			$xmlsend .="<StockQty>" . strtr($result['StockQty'], array(" "=>"_","–"=>"-", "&"=>"&")) . "</StockQty>";
			$xmlsend .= "</PartStat>";
	}
}else{
	$xmlsend .= '<result>Stock ID Not Found</result>';
}
$xmlsend   .= '</DataSet>';

$clientID    = $clientId;
$username    = $username;
$sqlquery    = $sql_querySelectList;
$queryUpdate = $updateQuery;
$xmlsend     = $xmlsend;
$scriptName  = "mobileapp_ws_checkqty";

$logFile     = 'logs/'.$clientID."_".$username."_".$scriptName."_".date('mY').'.txt';
$logString   = "";
$fileOpen    = fopen($logFile,'a');
$logString .= "\r\n /-----------------------".date("d/m/Y H:i:s")."-----------------------------------------/ \r\n	";
$logString .= "\r\nURL : ".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'];
$logString .= "\r\nQuery Executed : ".$sqlquery;
$logString .= "\r\nXML : ".$xmlsend;
$logString .= "\r\n /----------------------------------------------------------------------------------/ \r\n	";
$filewrite = fwrite($fileOpen,$logString);
fclose($fileOpen);

echo $xmlsend;
?>