<?php
include("../checksession.php");
include("../includes/config.php");
include("../includes/commonfunctions.php");
require_once("../../custom_pages_list.php");
$actionurl = "submit_pages.php";
$viewurl   = "view_pages.php";

if($_GET['mode']=='EDIT' && $_GET['id']!='')
{
$mode = "EDIT";
$id = $_GET['id'];
$PageTitle = "Add Page Form | ".APPNAME;
$FormTitle = "Edit Page";
$ButtonTitle = "Update Changes";
$sql = "select * from [cms_portal_pages] WHERE id=".$id;
$query = sqlsrv_query($conn_var, $sql, $query_array, $static_array);
$errorr = sqlsrv_errors();
$data= sqlsrv_fetch_array($query, SQLSRV_FETCH_ASSOC);	
//echo '<pre>'; print_r($data);
} else { 
$mode = "ADD";
$PageTitle = "Add Page Form | ".APPNAME;
$FormTitle = "Add Page";
$ButtonTitle = "Save Changes";
}
?>
<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?php echo $PageTitle;?></title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../css/plugins/iCheck/custom.css" rel="stylesheet">
    
    <link href="../css/plugins/datapicker/datepicker3.css" rel="stylesheet">
	<link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/plugins/chosen/chosen.css" rel="stylesheet">
    <link href="../css/plugins/switchery/switchery.css" rel="stylesheet">
     
	<link href="../css/plugins/summernote/summernote.css" rel="stylesheet">
    <link href="../css/plugins/summernote/summernote-bs3.css" rel="stylesheet"> 
	 
</head>
<body>

<div id="wrapper">

    <?php include("../new_mobile_topbar.php");?>
    <?php include("../new_mobile_header.php");?>
        <div id="page-wrapper" class="gray-bg">		
				
        <div class="wrapper wrapper-content animated fadeInRight">

            <div class="row">
                <div class="col-lg-12">
				<?php if($_SESSION['msg']!='') {  echo $_SESSION['msg']; } $_SESSION['msg']=''; ?>
				
				</div>
			</div>
			
			
			
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                       
					   <div class="ibox-title">
                            <h5><?php echo $FormTitle;?> <small>Fields with * are required</small></h5>
                          
                        </div>
						
                        <div class="ibox-content">
 <form  id="sch_form" method="post" class="form-horizontal" action="<?php echo $actionurl;?>" enctype="multipart/form-data" role="form" onsubmit="return checkotherdata();">
                            <input type="hidden" name="mode" value="<?php echo $mode;?>">
<input type="hidden" name="id" id="id" value="<?php echo $id;?>">    
<input type="hidden" name="submit_url" id="submit_url" value="<?php echo $actionurl;?>">

<?if(isset($data['id']) && $data['id'] > 0){?>
<div class="form-group"><label class="col-sm-2 control-label">Page URL</label><!-- pages/ -->
    <div class="col-sm-10" style="line-height: 2.4em;"><a href="<?php echo $websiteurl.'pages/'.$data['page_url'];?>" target="_blank"><?php echo $websiteurl.'pages/'.$data['page_url'];?></a></div>
                     </div>
<?php } ?>

<div class="form-group" id="gropnamediv"><label class="col-sm-2 control-label">Page Name</label>
    <div class="col-sm-10" id="gropnamedivmsg"><input type="text" class="form-control" placeholder="Title" name="title" id="title" value="<?php echo $data['title'];?>"></div>
                     </div>
					 
	<div class="form-group"><label class="col-sm-2 control-label">Custom Page</label>
                  <div class="col-sm-10">
	<select class="form-control" name="custom_page" id="custom_page" onchange="showoptions(this)">
				<option value="">Select</option>  
				  <?php foreach($custom_page_list as $key=>$page){ ?>
	<option value="<?php echo $key;?>" <?php if(isset($data['custom_page']) && trim($data['custom_page'])==$key){echo 'selected="selected"';}?>><?php echo $page['text'];?></option>
				  
				  <?php } ?>
				  </select></div>
</div>	
 <?php 
	if(isset($data['custom_page']) && trim($data['custom_page'])=='**BP_MAKE**'){
	  
	  if(isset($data['custom_page']) && trim($data['company_make'])=='1'){
		$checked = 'checked="checked"';  
	  }

	$displayonly = '';		
	} else {
	$checked = '';
	$displayonly = 'display:none';
	}
	?>
<div class="form-group" id="mymake" style="<?=$displayonly?>"><label class="col-sm-2 control-label" for="company_make">Show My Make Only</label>
    <div class="col-sm-10">
	<input type="checkbox" name="company_make" id="company_make" value="1" <?=$checked?> />
	</div/>
</div>	

	
            <div class="form-group" style="height: 450px;">
                <div class="col-sm-12">
                    <div class="ibox-title" class="border-top: none;">
                        <h5>Content</h5>
                    </div>
				</div>	
				<div class="col-sm-12">
                    <div class="ibox-content no-padding">
    <textarea id="pages_content" name="pages_content">
	<?php if(isset($data['pages_content'])){echo $data['pages_content'];}?></textarea>
					</div>
					</div>
					
            </div>					 
					 
					 
<div class="form-group" style="margin-top:80px"><label class="col-sm-2 control-label">Page Title</label>
   <div class="col-sm-10"><input type="text" class="form-control" placeholder="" id="page_title" name="page_title" value="<?php echo $data['page_title'];?>"></div>
</div>

<div class="form-group" style=""><label class="col-sm-2 control-label">Meta Description</label>
   <div class="col-sm-10"><input type="text" class="form-control" placeholder="" id="meta_description" name="meta_description" value="<?php echo $data['meta_description'];?>"></div>
</div>					 
					 
<div class="form-group"><label class="col-sm-2 control-label">Meta Keywords</label>
                           <div class="col-sm-10"><input type="text" class="form-control" placeholder="" name="meta_keywords" id="meta_keywords" value="<?php echo $data['meta_keywords'];?>"></div>
</div>	

<div class="form-group"><label class="col-sm-2 control-label">Order By</label>
                           <div class="col-sm-10"><input type="text" class="form-control" placeholder="" name="sortorder" id="sortorder" value="<?php echo $data['sortorder'];?>"></div>
</div>	

<div class="form-group"><label class="col-sm-2 control-label">Show in top menu</label>
            <div class="col-sm-10">
  <input type="checkbox" class="" name="menu" id="menu" value="1" <?php if(isset($data['menu']) && $data['menu']!='0'){ echo "checked";}?>></div>
</div>	

<div class="form-group"><label class="col-sm-2 control-label">Status</label>
                  <div class="col-sm-10"><select class="form-control" name="status" id="status">
				  <option value="1" <?php if(isset($data['active']) && $data['active']==1){echo 'selected="selected"';}elseif(!isset($data['active'])){echo 'selected="selected"';}?>>Enabled</option>
				  <option value="0" <?php if(isset($data['active']) && $data['active']==0){echo 'selected="selected"';}?>>Disabled</option>
				  </select></div>
</div>					 
					 
			   
					           
							   
                               <!-- <div class="hr-line-dashed"></div>-->
                                <div class="form-group">
                                    <div class="col-sm-4 col-sm-offset-2">
    <button class="btn btn-white" type="button" onclick="location.href = '<?=$viewurl?>';" >Cancel</button>
     <button class="btn btn-primary" type="submit"><?php echo $ButtonTitle;?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php include("../theme_footer.php");?>

        </div>
        </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-2.1.1.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>
	
	<script src="../js/plugins/jquery-ui/jquery-ui.min.js"></script>
	 <!-- Jquery Validate -->
    <script src="../js/plugins/validate/jquery.validate.min.js"></script>
	
	  <!-- Data picker -->
   <script src="../js/plugins/datapicker/bootstrap-datepicker.js"></script>


      <!-- MENU -->
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>

    <!-- Created javascript -->
   <script src="../js/admin.js"></script>
   <script src="../js/form-validation.js"></script>
	<script src="../js/ajax.js"></script>
	
	    <!-- Chosen -->
    <script src="../js/plugins/chosen/chosen.jquery.js"></script>
   <!-- Switchery -->
   <script src="../js/plugins/switchery/switchery.js"></script>
<script>
$(document).ready(function() {
    
	var config = {
                '.chosen-select'           : {},
                '.chosen-select-deselect'  : {allow_single_deselect:true},
                '.chosen-select-no-single' : {disable_search_threshold:10},
                '.chosen-select-no-results': {no_results_text:'Oops, nothing found!'},
                '.chosen-select-width'     : {width:"100%"}
            }
            for (var selector in config) {
                $(selector).chosen(config[selector]);
			}
			
	
	var elem_2 = document.querySelector('.js-switch_2');
    var switchery_2 = new Switchery(elem_2, { color: '#1AB394' });
			
	$("#sch_form").validate({

        rules: {

			vehicle_number: {
                required: true,
				minlength: 8,
				maxlength: 10
            },
			
            mileage: {
                required: true,
				number: true,
            },
			
            
			
        },

        highlight: function(element) {
            $(element).closest('.form-group').addClass('has-error');
        },
        unhighlight: function(element) {
            $(element).closest('.form-group').removeClass('has-error');
        }
    })

/* Date Input */
/* $('#data_1 .input-group.date').datepicker({
                todayBtn: "linked",
                keyboardNavigation: false,
                forceParse: false,
                calendarWeeks: true,
                autoclose: true
            });*/

});

function checkvehicles(){
	var obj = $('#vehicle_number');
	var output='';
	$('#repeat-error').remove();
	var vehicle_number = $('#vehicle_number').val();
	var vehicle_id = $('#id').val();
	if(vehicle_id==''){
	  vehicle_id='';
	}
           if(vehicle_number != ""){
           $('#repeat-error').remove();
		   $.ajax({
           type: "POST",
           cache: false,
		   async:false,
           url: 'checkduplicatevehicles.php',
           data: {"vehicle_number" : vehicle_number ,"vehicle_id":vehicle_id},
           success: function(response){ //alert('else'+response);
                   if($.trim(response) == 'success'){
					//clearValidateTextEffect(obj);				
                    $('#gropnamediv').removeClass('has-error');
					$('#repeat-error').html('');
					output ='success';
					} else { 
					  $('#vehicle_number').focus();
                      $('#gropnamediv').addClass('has-error');
                    $('#gropnamedivmsg').append('<div id="repeat-error" class="help-block animation-slideDown">This Vehicle Number is already exist</div>');
					output ='fail';
					}
				}
			});    
        } /*else {
			clearValidateTextEffect(obj);
			return true;
		}*/
		return output;
}

function checkotherdata(){
	if(checkvehicles()=='fail'){
		return false;
	}	
	//return true;
}
</script>
<!-- SUMMERNOTE -->
    <script src="../js/plugins/summernote/summernote.min.js"></script>

    <script>
        $(document).ready(function(){

            $('#pages_content').summernote({
			  height: 420,
			  //focus: true
			});

       });
        var edit = function() {
            $('.click2edit').summernote({focus: true});
        };
        var save = function() {
            var aHTML = $('.click2edit').code(); //save HTML If you need(aHTML: array).
            $('.click2edit').destroy();
        };
		
/* function custompage(thisval){
	$('#pages_content').summernote('codeview.toggle');
   if($.trim(thisval)!=''){
   $('#pages_content').summernote('disable');
	$("#pages_content").summernote('insertText', 'hello world');
   //$('#pages_content').summernote('code', thisval);
   //$('#pages_content').summernote('disable');
   } else {
  // $('#pages_content').summernote('code', '');  	   
   //$('#pages_content').summernote('enable');
   }
} */
</script>
<script type="text/javascript">
function showoptions(obj){
	var thisvalue = $(obj).val();
	if(thisvalue=='**BP_MAKE**'){
		$('#mymake').show();
	}else{
		$('#mymake').hide();
		$('#company_make').prop('checked', false);
		$('#company_make').attr('checked', false);
	}
}
</script>	
</body>
<style>
.note-editor .note-editable {
    border: 1px solid #E7EAEC;
}
</style>
</html>
