<?php
include("../checksession.php");
include("../includes/config.php");
include("../includes/commonfunctions.php");

$actionurl = "submit_expenses.php";
$viewurl = "view_expenses.php";

if($_GET['mode']=='EDIT' && $_GET['id']!='')
{
$mode = "EDIT";
$id = $_GET['id'];
$PageTitle = "Edit Expense Form | ".APPNAME;
$FormTitle = "Edit Expense";
$ButtonTitle = "Update Changes";
$sql = "select * from expense_types WHERE expense_id=".$id;
$runsql = $conn->query($sql);
$data =  $runsql->fetch_array(MYSQLI_ASSOC);

} else { 
$mode = "ADD";
$PageTitle = "Add Expense Form | ".APPNAME;
$FormTitle = "Add Expense";
$ButtonTitle = "Save Changes";
}
?>
<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?php echo $PageTitle;?></title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../css/plugins/iCheck/custom.css" rel="stylesheet">
    
    <link href="../css/plugins/datapicker/datepicker3.css" rel="stylesheet">
	<link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/plugins/chosen/chosen.css" rel="stylesheet">
    <link href="../css/plugins/switchery/switchery.css" rel="stylesheet">

</head>
<body>

<div id="wrapper">

    <?php include("../new_mobile_topbar.php");?>
    <?php include("../new_mobile_header.php");?>
        <div id="page-wrapper" class="gray-bg">		
				
        <div class="wrapper wrapper-content animated fadeInRight">

            <div class="row">
                <div class="col-lg-12">
				<?php if($_SESSION['msg']!='') {  echo $_SESSION['msg']; } $_SESSION['msg']=''; ?>
				
				</div>
			</div>
			
			
			
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                       
					   <div class="ibox-title">
                            <h5><?php echo $FormTitle;?> <small>Fields with * are required</small></h5>
                          
                        </div>
						
                        <div class="ibox-content">
 <form  id="sch_form" method="post" class="form-horizontal" action="<?php echo $actionurl;?>" enctype="multipart/form-data" novalidate="novalidate" onsubmit="return checkotherdata();">
                            <input type="hidden" name="mode" value="<?php echo $mode;?>">
							<input type="hidden" name="id" id="id" value="<?php echo $id;?>">    
<input type="hidden" name="submit_url" id="submit_url" value="<?php echo $actionurl;?>">

<div class="form-group" id="gropnamediv"><label class="col-sm-2 control-label">Expense Code</label>
    <div class="col-sm-6" id="gropnamedivmsg"><input type="text" class="form-control" placeholder="Expense Code" name="expense_code" id="expense_code" value="<?php echo $data['expense_code'];?>" ></div>
                     </div>
					 
					 
<div class="form-group" id="gropnamediv2"><label class="col-sm-2 control-label">Expense Name</label>
    <div class="col-sm-6" id="gropnamedivmsg2"><input type="text" class="form-control" placeholder="Expense Name" name="expense_type" id="expense_type" value="<?php echo $data['expense_type'];?>"  ></div>
                     </div>					 
	

<div class="form-group"><label class="col-sm-2 control-label">Description</label>
   <div class="col-sm-6"><input type="text" class="form-control" placeholder="Description" id="description" name="description" value="<?php echo $data['description'];?>"></div>
</div>							 
								
						   
                               <!-- <div class="hr-line-dashed"></div>-->
                                <div class="form-group">
                                    <div class="col-sm-4 col-sm-offset-2">
    <button class="btn btn-white" type="button" onclick="location.href = '<?=$viewurl?>';" >Cancel</button>
     <button class="btn btn-primary" type="submit"><?php echo $ButtonTitle;?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php include("../theme_footer.php");?>

        </div>
        </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-2.1.1.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>
	
	<script src="../js/plugins/jquery-ui/jquery-ui.min.js"></script>
	 <!-- Jquery Validate -->
    <script src="../js/plugins/validate/jquery.validate.min.js"></script>
	
	  <!-- Data picker -->
   <script src="../js/plugins/datapicker/bootstrap-datepicker.js"></script>


      <!-- MENU -->
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>

    <!-- Created javascript -->
   <script src="../js/admin.js"></script>
   <script src="../js/form-validation.js"></script>
	<script src="../js/ajax.js"></script>
	
	    <!-- Chosen -->
    <script src="../js/plugins/chosen/chosen.jquery.js"></script>
   <!-- Switchery -->
   <script src="../js/plugins/switchery/switchery.js"></script>
<script>
$(document).ready(function() {
    
	var config = {
                '.chosen-select'           : {},
                '.chosen-select-deselect'  : {allow_single_deselect:true},
                '.chosen-select-no-single' : {disable_search_threshold:10},
                '.chosen-select-no-results': {no_results_text:'Oops, nothing found!'},
                '.chosen-select-width'     : {width:"100%"}
            }
            for (var selector in config) {
                $(selector).chosen(config[selector]);
			}
			
	
	var elem_2 = document.querySelector('.js-switch_2');
    var switchery_2 = new Switchery(elem_2, { color: '#1AB394' });
			
	$("#sch_form").validate({

        rules: {

			expense_type: {
                required: true,
            },
			expense_code: {
                required: true,
            },			
        },

        highlight: function(element) {
            $(element).closest('.form-group').addClass('has-error');
        },
        unhighlight: function(element) {
            $(element).closest('.form-group').removeClass('has-error');
        }
    })

/* Date Input */
/* $('#data_1 .input-group.date').datepicker({
                todayBtn: "linked",
                keyboardNavigation: false,
                forceParse: false,
                calendarWeeks: true,
                autoclose: true
            });*/

});

function checkexpenses(typecheck){
	var expense_id = $('#id').val();
	if(expense_id==''){
	  expense_id='';
	}
	if(typecheck=='C'){
		var fieldname = 'expense_code';
		var gropnamediv = 'gropnamediv';
		var gropnamedivmsg = 'gropnamedivmsg';
		var repeaterror = 'repeat-error';
		var fname = 'Expense Code';
	}else{
		var fieldname = 'expense_type';
		var gropnamediv = 'gropnamediv2';
		var gropnamedivmsg = 'gropnamedivmsg2';
		var repeaterror = 'repeat-error2';
		var fname = 'Expense Name';
	}
	
	var obj = $('#'+fieldname);
	var output='';
	$('#'+repeaterror).remove();
	var expense_code = $('#expense_code').val();
	var expense_type = $('#expense_type').val();
	
           if(typecheck != ""){
           $('#repeat-error').remove();
		   $.ajax({
           type: "POST",
           cache: false,
		   async:false,
           url: 'checkduplicateexpenses.php',
           data: {"expense_code" : expense_code ,"expense_type":expense_type,"expense_id":expense_id, "typecheck" : typecheck},
           success: function(response){ //alert('else'+response);
                   if($.trim(response) == 'success'){
					//clearValidateTextEffect(obj);				
                    $('#'+fieldname).removeClass('has-error');
					$('#'+repeaterror).html('');
					//return 'success';
					 output ='success';
					} else { 
					  $('#'+fieldname).removeClass('has-error');
                      $('#'+gropnamediv).addClass('has-error');
                    $('#'+gropnamedivmsg).append('<div id="'+repeaterror+'" class="help-block animation-slideDown">This '+fname+' already exist</div>');
					  output ='fail';
					 //return '';
					}
				}
			});    
        } /*else {
			clearValidateTextEffect(obj);
			return true;
		}*/
		return output;
}

function checkotherdata(){
	if(checkexpenses('C')=='fail'){
		return false;
	}
	if(checkexpenses('N')=='fail'){
		return false;
	}
	//return true;
}
</script>

<?php if($mode == "EDIT" && $data['area_id'] != '') { ?>
<script type="text/javascript">
//window.onload = LoadArea('<?php echo $data['area_id'];?>');
</script>
<?php } ?>	
</body>
</html>
