<?php
include("../checksession.php");
include("../includes/config.php");
include("../includes/commonfunctions.php");

if($_GET['mode']=='EDIT' && $_GET['id']!='')
{
$mode = "EDIT";
$id = $_GET['id'];
$PageTitle = "Change Password | ".APPNAME;
$FormTitle = "Change Password";
$ButtonTitle = "Update Changes";
$data = FetchTableData($conn, 'customer_master', $id);
} else { 
$mode = "ADD";
$PageTitle = "Change Password | ".APPNAME;
$FormTitle = "Change Password";
$ButtonTitle = "Save Changes";
}
?>
<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?php echo $PageTitle;?></title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">

	<!--Added By OM-->
	<link href="../css/plugins/dataTables/dataTables.bootstrap.min.css" rel="stylesheet">

    <link href="../css/plugins/datapicker/datepicker3.css" rel="stylesheet">
    <link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">
	<link href="../css/jQuery-autocomplete_css_jquery-ui.min.css" rel="stylesheet">

	<!-- Toastr style -->
    <link href="../css/plugins/toastr/toastr.min.css" rel="stylesheet">

</head>
<body>

<div id="wrapper">

    <?php include("../new_mobile_topbar.php");?>
    <?php include("../new_mobile_header.php");?>
        <div id="page-wrapper" class="gray-bg">	
				
     
	 
	    <div class="wrapper wrapper-content animated fadeInRight">

      
		   <!-- <div class="row">
                <div class="col-lg-12">
				</div>
			</div>-->
			
			
			
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5><?php echo $FormTitle;?> <small>Fields with * are required</small></h5>
                           <!-- <button class="btn btn-primary text-right">Manage</button>-->
                        </div>
                        <div class="ibox-content">
                            <form id="password_form" method="post" class="form-horizontal" action="submit_change_password.php" enctype="multipart/form-data" role="form">
                            <input type="hidden" name="mode" value="<?php echo $mode;?>">
							<input type="hidden" name="id" value="<?php echo $id;?>">    

					<div class="form-group"><label class="col-sm-2 control-label">Old Password</label>
            <div class="col-sm-6"><input type="password" class="form-control" placeholder="Old Password" name="old_password"></div>
                     </div>

					<div class="form-group"><label class="col-sm-2 control-label">New Password</label>
 <div class="col-sm-6"><input type="password" class="form-control" placeholder="New Password" id="new_password" name="new_password"></div>
                     </div>

					<div class="form-group"><label class="col-sm-2 control-label">Confirm New Password</label>
              <div class="col-sm-6"><input type="password" class="form-control" placeholder="Confirm New Password" name="confirm_password"></div>
                     </div>

					           
							   
                               <!-- <div class="hr-line-dashed"></div>-->
                                <div class="form-group">
                                    <div class="col-sm-4 col-sm-offset-2">
                                        <button class="btn btn-white" type="submit">Cancel</button>
                                        <button class="btn btn-primary" type="submit"><?php echo $ButtonTitle;?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
			
			
			
			
			
        </div>
        <?php include("../theme_footer.php");?>

        </div>
        </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-2.1.1.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>
	
	<script src="../js/plugins/jquery-ui/jquery-ui.min.js"></script>
	 <!-- Jquery Validate -->
    <script src="../js/plugins/validate/jquery.validate.min.js"></script>
	
	  <!-- Data picker -->
   <script src="../js/plugins/datapicker/bootstrap-datepicker.js"></script>
      <!-- Toastr -->
   <script src="../js/plugins/toastr/toastr.min.js"></script>

      <!-- MENU -->
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>

    <!-- Created javascript -->
   <script src="../js/admin.js"></script>
   <script src="../js/form-validation.js"></script>
	<script src="../js/ajax.js"></script>
	

	
<script>
$(document).ready(function() {
    $("#password_form").validate({

        rules: {

            old_password: {
                required: true,
                minlength: 4,
				maxlength: 20				
            },
			
			new_password: {
			    required: true,
                minlength: 4,
				maxlength: 20
            },
			
            confirm_password: {
			    required: true,
			    minlength: 4,
			    equalTo  : '#new_password'
            }
			
        },
		
	messages: {

            old_password: {
                required: 'Please enter your password.'
            },
			
			new_password: {
			    required: 'Please enter your new password.'
            },
			
            confirm_password: {
			    required: 'Please re-enter your new password.',
			    equalTo  : 'Not matching with your new Password.'
            }
			
        },
		

        highlight: function(element) {
            $(element).closest('.form-group').addClass('has-error');
        },
        unhighlight: function(element) {
            $(element).closest('.form-group').removeClass('has-error');
        }
    })

/* Date Input */
/* $('#data_1 .input-group.date').datepicker({
                todayBtn: "linked",
                keyboardNavigation: false,
                forceParse: false,
                calendarWeeks: true,
                autoclose: true
            });*/

});
</script>

<?php if($_SESSION['response']!='') { ?>   
<script type="text/javascript">
showmessage('<?php echo $_SESSION['response']['mode'];?>', '<?php echo $_SESSION['response']['msgtype'];?>', '<?php echo $_SESSION['response']['msgtitle'];?>', '<?php echo $_SESSION['response']['msgbody'];?>', '');
</script>  
<?php } $_SESSION['response']=''; ?>

</body>
</html>
