<?php
include("../checksession.php");
include("../includes/config.php");
include("../includes/commonfunctions.php");

$actionurl = "submit_sitesettings.php";
$client_id = $_SESSION['Client_ID'];
$mode = "EDIT";
$PageTitle = "Site Settings | ".APPNAME;
$FormTitle = "Site Settings";
$ButtonTitle = "Save Changes";
if(isset($client_id) && $client_id > 0){
$query = "select ClientName, meta_keywords, meta_description, google_track_code, checkout_track_code, footer_h2, breaking_type FROM 
[cms_admin_users] WHERE Client_Id = $client_id ";
$runsql = sqlsrv_query($conn_var, $query, $query_array, $static_array);
$data = sqlsrv_fetch_array($runsql);
}
?>
<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?php echo $PageTitle;?></title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../css/plugins/iCheck/custom.css" rel="stylesheet">
    
    <link href="../css/plugins/datapicker/datepicker3.css" rel="stylesheet">
	<link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">
    <link href="../css/plugins/chosen/chosen.css" rel="stylesheet">
    <link href="../css/plugins/switchery/switchery.css" rel="stylesheet">

</head>
<body>

<div id="wrapper">

    <?php include("../new_mobile_topbar.php");?>
    <?php include("../new_mobile_header.php");?>
        <div id="page-wrapper" class="gray-bg">		
				
        <div class="wrapper wrapper-content animated fadeInRight">

            <div class="row">
                <div class="col-lg-12">
				<?php if($_SESSION['msg']!='') {  echo $_SESSION['msg']; } $_SESSION['msg']=''; ?>
				
				</div>
			</div>
			
			
			
            <div class="row">
                <div class="col-lg-12">
                    <div class="ibox float-e-margins">
                       
					   <div class="ibox-title">
                           <h5><?=$FormTitle?></h5>
                          
                        </div>
						
                        <div class="ibox-content">
 <form  id="sch_form" method="post" class="form-horizontal" action="<?php echo $actionurl;?>" enctype="multipart/form-data" role="form">
                            <input type="hidden" name="mode" value="<?php echo $mode;?>">
							<input type="hidden" name="id" value="<?php echo $id;?>">    
<input type="hidden" name="submit_url" id="submit_url" value="<?php echo $actionurl;?>">


<div class="form-group"><label class="col-sm-2 control-label">Site Title</label>
    <div class="col-sm-10"><input type="text" class="form-control" name="ClientName" id="ClientName" value="<?php echo $data['ClientName'];?>"></div>
</div>

<div class="form-group"><label class="col-sm-2 control-label">Meta keywords</label>
    <div class="col-sm-10"><textarea  class="form-control" id="meta_keywords" name="meta_keywords" cols="100" rows="4"><?php echo $data['meta_keywords'];?></textarea></div>
</div>


<div class="form-group"><label class="col-sm-2 control-label">Meta Description</label>
    <div class="col-sm-10"><textarea class="form-control" id="meta_description" name="meta_description" cols="100" rows="4"><?php echo $data['meta_description'];?></textarea></div>
</div>


<div class="form-group"><label class="col-sm-2 control-label">Footer H2</label>
    <div class="col-sm-10"><textarea class="form-control"  id="footer_h2" name="footer_h2" cols="100" rows="4"><?php echo $data['footer_h2'];?></textarea></div>
</div>


<div class="form-group"><label class="col-sm-2 control-label">Google Track Code</label>
    <div class="col-sm-10"><textarea class="form-control"  id="google_track_code" name="google_track_code" cols="100" rows="4"><?php echo $data['google_track_code'];?></textarea></div>
</div>

<div class="form-group"><label class="col-sm-2 control-label">Checkout Track Code</label>
    <div class="col-sm-10"><textarea class="form-control"  id="checkout_track_code" name="checkout_track_code" cols="100" rows="4"><?php echo $data['checkout_track_code'];?></textarea></div>
</div>

<div class="form-group" style="<?//=$displaybreaking_only?>"><label class="col-sm-2 control-label" for="mybreaking">Breaking Type</label>
    <div class="col-sm-10">
	<input type="radio" name="breaking_type" value="0" <?php echo (isset($data['breaking_type']) && trim($data['breaking_type'])=='0')?'checked':''; ?> />  Breaking for Spares &nbsp;&nbsp;&nbsp;
	<input type="radio" name="breaking_type" value="1" <?php echo (isset($data['breaking_type']) && trim($data['breaking_type'])=='1')?'checked':''; ?> />  Vehicles
	</div/>
</div>						 			 					   
					           
							   
                               <!-- <div class="hr-line-dashed"></div>-->
                                <div class="form-group">
                                    <div class="col-sm-4 col-sm-offset-2">
    <button class="btn btn-white" type="button" onclick="location.href = '<?=$viewurl?>';" >Cancel</button>
     <button class="btn btn-primary" type="submit"><?php echo $ButtonTitle;?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php include("../theme_footer.php");?>

        </div>
        </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-2.1.1.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>
	
	<script src="../js/plugins/jquery-ui/jquery-ui.min.js"></script>
	 <!-- Jquery Validate -->
    <script src="../js/plugins/validate/jquery.validate.min.js"></script>
	
	  <!-- Data picker -->
   <script src="../js/plugins/datapicker/bootstrap-datepicker.js"></script>


      <!-- MENU -->
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>

    <!-- Created javascript -->
   <script src="../js/admin.js"></script>
   <script src="../js/form-validation.js"></script>
	<script src="../js/ajax.js"></script>
	
<script>
$(document).ready(function() {
    
		
	$("#sch_form").validate({

        rules: {

			fieldvalue: {
                required: true,
				number:true
            },			
        },

        highlight: function(element) {
            $(element).closest('.form-group').addClass('has-error');
        },
        unhighlight: function(element) {
            $(element).closest('.form-group').removeClass('has-error');
        }
    })

/* Date Input */
/* $('#data_1 .input-group.date').datepicker({
                todayBtn: "linked",
                keyboardNavigation: false,
                forceParse: false,
                calendarWeeks: true,
                autoclose: true
            });*/

});

</script>

<?php if($mode == "EDIT" && $data['area_id'] != '') { ?>
<script type="text/javascript">
//window.onload = LoadArea('<?php echo $data['area_id'];?>');
</script>
<?php } ?>	
</body>
</html>
