<?php
include("../checksession.php");
include("../includes/config.php");
include("../includes/commonfunctions.php");

$PageTitle = "View Expense Types | ".APPNAME;
$FormTitle = "View Expense Types";
$submiturl = "submit_expenses.php";
$AddBtnLink = "add_expenses.php";
$sql = "SELECT * FROM expense_types order by expense_type asc";
$runsql = $conn->query($sql);
$arrdata=array();
   
?>
<!DOCTYPE html>
<html>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

      <title><?php echo $PageTitle;?></title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">   

    <link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">

 <!-- Data Tables -->
    <link href="../css/plugins/dataTables/dataTables.bootstrap4.css" rel="stylesheet">
    <link href="../css/plugins/dataTables/dataTables.responsive.css" rel="stylesheet">
    <link href="../css/plugins/dataTables/dataTables.tableTools.min.css" rel="stylesheet">
 <!-- Datepicker -->
    <link href="../css/plugins/datapicker/datepicker3.css" rel="stylesheet">	

	<!-- Toastr style -->
    <link href="../css/plugins/toastr/toastr.min.css" rel="stylesheet">

<style>
    body.DTTT_Print {
        background: #fff;

    }
    .DTTT_Print #page-wrapper {
        margin: 0;
        background:#fff;
    }

    button.DTTT_button, div.DTTT_button, a.DTTT_button {
        border: 1px solid #e7eaec;
        background: #fff;
        color: #676a6c;
        box-shadow: none;
        padding: 6px 8px;
    }
    button.DTTT_button:hover, div.DTTT_button:hover, a.DTTT_button:hover {
        border: 1px solid #d2d2d2;
        background: #fff;
        color: #676a6c;
        box-shadow: none;
        padding: 6px 8px;
    }

    .dataTables_filter label {
        margin-right: 5px;

    }
</style>

<style>
.inmodal .modal-header {
    padding: 15px 15px;
    text-align: center;
}

.modal-footer {
    padding: 5px;
    text-align: right;
    border-top: 1px solid #e5e5e5;
}

.modal-title {
    margin: 0;
    line-height: 0.7;
}
table#datatable tr td:nth-child(5){ width: 10%;text-align:center; }
</style>
</head>
<body>

<div id="wrapper">

    <?php include("../new_mobile_topbar.php");?>
    <?php include("../new_mobile_header.php");?>
        <div id="page-wrapper" class="gray-bg">		
		
		 <div class="row">
                <div class="col-lg-12">
				<?php if($_SESSION['msg']!='') {  echo $_SESSION['msg']; } $_SESSION['msg']=''; ?>
				
				</div>
		</div>
		
        <div class="wrapper wrapper-content animated fadeInRight">
            <span id="displaymsg"></span>
            <div class="row">
            <div class="col-lg-12">
            <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5><?php echo $FormTitle;?></h5>
              
			  <div class="text-right">
            <a href="<?php echo $AddBtnLink;?>" class="btn btn-primary btn-xs" title="Add New"><i class="fa fa-plus"></i> Add New</a>
            </div>
			  
            </div>
            <div class="ibox-content">
            			
			<form id="institute_form" method="post" class="form-horizontal" enctype="multipart/form-data" role="form">							 
                           		 <input type="hidden" name="mode" id="mode" value="ADD">
								 <input type="hidden" name="objectid" id="objectid" value="<?php echo $id;?>">    
							     <input type="hidden" name="submiturl" id="submiturl" value="<?php echo $submiturl;?>">
			</form>					 
			
            <table class="table table-striped table-bordered table-hover" id="datatable" >
            <thead>
            <tr>
                <th>Sr</th>
                <th>Code</th>
			    <th>Expense</th>
				<th>Description</th>
                <th>Action</th>
            </tr>
            </thead>
            <tbody>
			<?php if($runsql->num_rows > 0 ){
	                $i=1;
					while($data = $runsql->fetch_array(MYSQLI_ASSOC)) { ?>
			<tr>
                <td><?php echo $i;?></td>
                <td><?php echo $data['expense_code'];?></td>
				<td><?php echo $data['expense_type'];?></td>
                <td><?php echo $data['description'];?></td>
               
               <td><a class="btn btn-warning btn-xs" href="<?php echo $AddBtnLink?>?id=<?php echo $data['expense_id'];?>&mode=EDIT"><i class="glyphicon glyphicon-pencil"></i></a> <a class="btn btn-danger btn-xs" onclick="DeleteRowwithoutDT(<?php echo $data['expense_id'];?>);"><i class="glyphicon glyphicon-remove"></i></a></td>
            </tr>
					<?php $i++; } } else { ?>
			<tr>
                <td colspan="6">No records found</td>
			</tr>
			<?php } ?>	
				
			</tbody>
           
            </table>

            </div>
            </div>
            </div>
            </div>
        </div>
          <?php include("../theme_footer.php");?>

        </div>
        </div>

    <!-- Mainly scripts -->
    <script src="../js/jquery-2.1.1.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>
    <!--<script src="../js/plugins/jeditable/jquery.jeditable.js"></script>-->

    <!-- Data Tables -->
    <script src="../js/plugins/dataTables/jquery.dataTables.js"></script>
    <script src="../js/plugins/dataTables/dataTables.bootstrap4.js"></script>
    <script src="../js/plugins/dataTables/dataTables.responsive.js"></script>
   <!-- <script src="../js/plugins/dataTables/dataTables.tableTools.min.js"></script>-->

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
   <!-- <script src="../js/plugins/pace/pace.min.js"></script>-->
	
	 <!-- Jquery Validate -->
    <script src="../js/plugins/jquery-ui/jquery-ui.min.js"></script>
	<script src="../js/plugins/validate/jquery.validate.min.js"></script>
	<script src="../js/admin.js"></script>
   <!-- Toastr -->
  <script src="../js/plugins/toastr/toastr.min.js"></script>

    <!-- Page-Level Scripts -->
<script>


/////// Functions for Modal Window////////////
$('#myModal').on('hidden.bs.modal', function() {
      var $form = $('#course_form');
      $form.validate().resetForm();
      $form.find('.has-error').removeClass('has-error');
});

function AddRow()
{
      $('#course_form')[0].reset(); // reset form on modals
      $('#myModal').modal('show'); // show bootstrap modal
      $('.modal-title').text('Add Course'); // Set Title to Bootstrap modal title
      $('#mode').val('ADD');
}

function EditRow(id)
{
var url = 'add_party.php?mode=EDIT&id='+id;     
window.location.href = url;
}

</script>
</body>
</html>
