// JavaScript Document
var ajaxCalls = [];

XMLHttpRequest.prototype._originalOpen = XMLHttpRequest.prototype.open;

XMLHttpRequest.prototype.open = function(method, url, async, user, password) {
   ajaxCalls.push(url);
   this._originalOpen(method, url, async, user, password);
}

//display register
function signup(str) {
	document.getElementById("enquirediv").style.display = 'none';
	document.getElementById('load1').style.display = 'block';
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById('fade').style.display = 'block';
			document.getElementById("result").style.display = 'none';
			document.getElementById("result2").style.display = 'block';
			document.getElementById("result2").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';
		}
	}
	xmlhttp.open("GET", "register1.php?str=" + str, true);
	xmlhttp.send();
}

//reg validation
function vreg(str) {
	var error = "";
	var reason = "";

	reason += validateemail(document.getElementById("email"))
	reason += validateconformemail(document.getElementById("cemail"))
	reason += validatepass(document.getElementById("pass1"))
	reason += validateconformpass(document.getElementById("pass2"))
	reason += ValidateFirstname(document.getElementById("fname"))
	reason += ValidateLastname(document.getElementById("lname"))
	reason += Validateadd1(document.getElementById("add1"))
	reason += Validateadd2(document.getElementById("add2"))
	reason += Validatetown(document.getElementById("town"))

	reason += ValidateCountry(document.getElementById("country"))
	reason += Validatepcode(document.getElementById("pcode"))
	reason += ValidateTelno(document.getElementById("phone"))
	reason += Validatemobile(document.getElementById("mobile"))

	if (reason != "") {
		alert("Sorry you haven't completed the form correctly \n Please correct the following, and then click Register \n\n " + reason);

	} else {
		reg(str);
	}
}

var email;
function validateemail(fid) {
	var error = "";
	var reason = "";
	email = fid.value;
	var emailPattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;

	if (fid.value == "") {
		error = "Please enter Email . \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else if (!emailPattern.test(fid.value)) {
		alert("email");
		error = "Email is not valid. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "white";
	}
	return error;

}

function validateconformemail(fid) {
	var error = "";
	var reson = "";
	if (fid.value != email) {
		error = "Both Email Not Match\n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "White";
	}
	return error;

}

var pass;
function validatepass(fid) {
	var error = "";
	var reason = "";
	pass = fid.value;

	if (fid.value == "") {
		error = "Please enter Password. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else if ((fid.value.length < 5) || (fid.value.length > 20)) {
		error = "Password Length must be 5 TO 10 Characters. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "White";
	}
	return error;
}

function validateconformpass(fid) {
	var error = "";
	var reson = "";
	if (fid.value != pass) {
		error = "Password not match";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "White";
	}
	return error;

}

function ValidateFirstname(fid) {
	var error = "";
	var reason = "";
	var first = /[^a-zA-Z ]+$/;

	if (fid.value == "") {
		error = "Please enter First Name. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "White";
	}
	return error;
}

function ValidateLastname(fid) {
	var error = "";
	var reason = "";
	var first = /[^a-zA-Z ]+$/;

	if (fid.value == "") {
		error = "Please enter Last Name. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "White";
	}
	return error;
}

var country;
function ValidateCountry(fid) {
	var error = "";
	var reason = "";
	country = fid.value;

	if (fid.value == '') {
		error = "Please Select Country. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "white";
	}
	return error;
}

function Validatepcode(fid) {

	var error = "";
	var reson = "";

	if (country == "UK" && fid.value == "") {
		error = "Please enter Post Code \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "White";
	}
	return error;

}

function ValidateTelno(fid) {
	var error = "";
	var reason = "";
	var phone = /[^0-9](0,10)/;
	if (fid.value == "") {
		error = "Please enter Telephone \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else if ((fid.value.length < 10)) {
		error = "Please enter correct Telephone \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else if (phone.test(fid.value)) {
		error = "Please enter correct Telephone \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";

	} else {
		fid.style.background = "white";
	}
	return error;
}

function Validateadd1(fid) {
	var error = "";
	var reason = "";

	if (fid.value == '') {
		error = "Please enter Address 1. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "white";
	}
	return error;

}

function Validateadd2(fid) {
	var error = "";
	var reason = "";

	if (fid.value == '') {
		error = "Please enter Address 2. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "white";
	}
	return error;

}

function Validatetown(fid) {
	var error = "";
	var reason = "";

	if (fid.value == '') {
		error = "Please enter Town. \n";
		fid.style.border = "red";
		fid.style.borderWidth = "1px";
		fid.style.borderStyle = "solid";
	} else {
		fid.style.background = "white";
	}
	return error;

}

function Validatemobile(fid) {
	var error = "";
	var reason = "";
	var phone = /^07+[0-9]+$/;
	var phone2 = /^[0-9]+$/;

	var mob = fid.value;
	mob = mob.split(' ').join('');
	mob = mob.split('-').join('');

	if (fid.value != "") {

		if (!phone.test(mob) && country == "UK") {
			error = "Please enter correct Mobile  \n";
			fid.style.border = "red";
			fid.style.borderWidth = "1px";
			fid.style.borderStyle = "solid";

		} else if (!phone2.test(mob)) {
			error = "Please enter correct Mobile  \n";
			fid.style.border = "red";
			fid.style.borderWidth = "1px";
			fid.style.borderStyle = "solid";

		} else if ((mob.length < 11) || (mob.length > 11)) {
			error = "Please enter correct length of Mobile  \n";
			fid.style.border = "red";
			fid.style.borderWidth = "1px";
			fid.style.borderStyle = "solid";
		} else {
			fid.style.background = "white";
		}
	} else {
		fid.style.background = "white";
	}
	return error;
}

function not() {
	alert("not valid");
}

//insert user
function reg(str) {
	var email = document.getElementById("email").value;
	var pass = document.getElementById("pass1").value;
	var fname = document.getElementById("fname").value.replace(/[&\/\\#,+()$~%.'":*?<>;@{}]/g,'');
	var lname = document.getElementById("lname").value.replace(/[&\/\\#,+()$~%.'":*?<>;@{}]/g,'');
	var add1 = document.getElementById("add1").value;
	var add2 = document.getElementById("add2").value;
	var town = document.getElementById("town").value;
	var country = document.getElementById("country").value;
	var pcode = document.getElementById("pcode").value;
	var phone = document.getElementById("phone").value;
	var buissness = document.getElementById("buissness").value.replace(/[&\/\\#,+()$~%.'":*?<>;@{}]/g,'');
	var mob = document.getElementById("mobile").value;
	var current_url = document.getElementById("current_url").innerHTML;
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	if(document.getElementById('radio1')){
		var radio = document.getElementById('radio1').value;
		var i = document.getElementById('i1').value;
	}
	
	if(ajaxCalls[ajaxCalls.length - 2] != ""){
		var requestPage	= ajaxCalls[ajaxCalls.length - 2];	
		var requestPage	= requestPage.substring(0, requestPage.indexOf('?'));
		var requestPage	= requestPage.substring(0, requestPage.indexOf('.'));
		var page = requestPage;		
	}
	
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById('fade').style.display = 'block';
			document.getElementById("result").style.display = 'none';
			document.getElementById("enquirediv").style.display = 'block';
			
			if(xmlhttp.responseText == 'success'){
				document.getElementById("result2").style.display = 'none';				
			}else{
				alert(xmlhttp.responseText);
			}			
		}
	}
	xmlhttp.open("GET", "user_ins.php?pass=" + pass + "&fname=" + fname + "&lname=" + lname + "&add1=" + add1 + "&add2=" + add2 + "&town=" + town + "&country=" + country + "&pcode=" + pcode + "&phone=" + phone + "&buissness=" + buissness + "&email=" + email + "&str=" + str + "&mob=" + mob, true);
	xmlhttp.send();
	
	if(radio != '' || radio != 'undefined'){
		if(page != ''){
			if(page == 'enquire'){
				page = 	'';		
				loginchk_register(str,page,radio, i, email, pass);
			}else if(page == 'req' || page == 'viewcart' || page == 'slogin' || page == 'feedback' || page == 'login' || page == 'part' || page == 'buywithoutcart'){
				loginchk_register(str,page,radio, i, email, pass);
			}else{
				loginchk_register(str,page,radio, i, email, pass);
			}			
		}else{
			loginchk_register(str,'buy',radio, i, email, pass)	;
		}
	}else{
		window.location= 'http://'+current_url;
	}	
	
}

//enquire
function login(str) {
	var SupportDiv = document.getElementById('result');
	document.getElementById('load1').style.display = 'block';
	window.scroll(0, findPos(SupportDiv));
	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {

			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';
			document.getElementById('enquirediv').style.display = 'none';
			document.getElementById('result').style.display = 'block';

		}
	}
	xmlhttp.open("GET", "enquire.php?str=" + str, true);

	xmlhttp.send();

}

//request quote
function login1(str, page) {
	var SupportDiv = document.getElementById('result');

	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('enquirediv').style.display = 'none';
			document.getElementById('result').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "requestquote.php?str=" + str + "&p=" + page, true);

	xmlhttp.send();

}

function loginv(str, page) {
	var SupportDiv = document.getElementById('result');

	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('enquirediv').style.display = 'none';
			document.getElementById('result').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "loginchk.php?str=" + str + "&p=" + page, true);

	xmlhttp.send();

}

//buy page
function login2(str, page, radio, i) {
	var SupportDiv = document.getElementById('result');

	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('enquirediv').style.display = 'none';
			document.getElementById('result').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "buy.php?str=" + str + "&p=" + page + "&radio=" + radio + "&i=" + i, true);

	xmlhttp.send();

}

//request total

function total(str, page) {
	document.getElementById('load1').style.display = 'block';
	document.getElementById('cart').style.display = 'none';
	var SupportDiv = document.getElementById('result');

	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;

			document.getElementById('result').style.display = 'none';
			document.getElementById('load1').style.display = 'none';
			document.getElementById('enquirediv').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "requesttotal.php?str=" + str + "&p=" + page, true);

	xmlhttp.send();

}

//request total for match apart
//request total

function mtotal(client) {
	document.getElementById('load1').style.display = 'block';
	document.getElementById('cart').style.display = 'none';
	var SupportDiv = document.getElementById('result');

	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';

			document.getElementById('result').style.display = 'none';
			document.getElementById('enquirediv').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "requesttotal.php?p=total&client=" + client, true);

	xmlhttp.send();

}

function mquerymail(client) {
	document.getElementById('load1').style.display = 'block';

	var query1 = document.getElementById('query').value;
	var vr = document.getElementById('vreg').value;

	if (query1 != "") {
		if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}

		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
			}
		}
		xmlhttp.open("GET", "query.php?query=" + query1 + "&vr=" + vr + "&p=total&client=" + client, true);
		document.getElementById('fade').style.display = 'block';
		document.getElementById('load1').style.display = 'none';

		document.getElementById("result").style.display = 'none';
		document.getElementById('enquirediv').style.display = 'block';
		xmlhttp.send();
	} else {
		alert("Please Enter Your Query");
	}
}

//requestpart
function part(str, page) {

	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	var SupportDiv = document.getElementById('result');

	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';
			document.getElementById('smallpopup').style.display = 'none';
			document.getElementById('enquirediv').style.display = 'none';
			document.getElementById('result').style.display = 'block';

		}
	}
	xmlhttp.open("GET", "requestpart.php?str=" + str + "&p=" + page, true);

	xmlhttp.send();

}

//login check
function loginchk(str, page) {

	var elLength = document.login.elements.length;

	for ( i = 0; i < elLength; i++) {

		if (document.login.elements[i].checked) {
			var rem = "chk";
		} else {
			var rem = "no";
		}

	}

	var uname = document.getElementById('uname').value;
	var pass = document.getElementById('pass').value;

	var radio = document.getElementById('radio1').value;
	var i = document.getElementById('i1').value;

	document.getElementById('load1').style.display = 'block';
	document.getElementById('fade').style.display = 'block';
	document.getElementById("result").style.display = 'none';
	document.getElementById('enquirediv').style.display = 'none';

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {

			document.getElementById("cart").innerHTML = xmlhttp.responseText;
			document.getElementById('fade').style.display = 'block';
			document.getElementById('load1').style.display = 'none';
			document.getElementById('cart1').style.display = 'none';
			document.getElementById("cart").style.display = 'block';
		}
	}
	xmlhttp.open("GET", "loginchk.php?uname=" + uname + "&pass=" + pass + "&str=" + str + "&p=" + page + "&radio=" + radio + "&i=" + i + "&rem=" + rem, true);

	xmlhttp.send();

}

//login check
function loginchk_register(str, page, radio, i, uname,pass ) {
	
	/*var elLength = document.login.elements.length;
	for (i=0; i<elLength; i++) {
		if(document.login.elements[i].checked) {
			var rem = "chk";
		} else {
			var rem="no";
		}
	}*/
	var rem="no";
	/*var uname=document.getElementById('uname').value;
	var pass=document.getElementById('pass').value;*/
	/*var radio=document.getElementById('radio1').value;
	var i=document.getElementById('i1').value;*/
	document.getElementById('load1').style.display='block';
	document.getElementById('fade').style.display='block';
	document.getElementById("cart").style.display='none';
	document.getElementById('enquirediv').style.display='none';
	if(window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	document.getElementById("result2").style.display='none';
	document.getElementById("result").style.display='none';
	xmlhttp.onreadystatechange= function() {
		if (xmlhttp.readyState==4 && xmlhttp.status==200) {
			document.getElementById("cart").innerHTML=xmlhttp.responseText;
			if(page	!= "undefined") {
				document.getElementById("cart").style.display='block';
				document.getElementById('fade').style.display='block';
				document.getElementById('load1').style.display='none';
				document.getElementById('cart1').style.display='none';
                                //window.location ="cart.php";
                               // return false;
			} else {
				document.getElementById("result").style.display='none';
				document.getElementById('fade').style.display='none';
				document.getElementById('load1').style.display='none';
				document.getElementById('cart1').style.display='none';
                                
				window.location.reload();
			}
			//var id=document.getElementById("uid").value;
			//if(id!=""){
			//	cmain(id);
			//}
		}
	}
	xmlhttp.open("GET","loginchk.php?uname="+uname+"&pass="+pass+"&str="+str+"&p="+page+"&radio="+radio+"&i="+i+"&rem="+rem,true);
	xmlhttp.send();
}

//query search
function querymail(page) {
	var query1 = document.getElementById('query').value;
	var vr = document.getElementById('vreg').value;
	//document.getElementById('load').style.display='block';
	var SupportDiv = document.getElementById('enquirediv');
	document.getElementById('load1').style.display = 'block';
	window.scroll(0, findPos(SupportDiv));
	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}
	if (query1 != "") {
		document.getElementById('load1').style.display = 'block';
		if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
				document.getElementById('fade').style.display = 'block';
				document.getElementById('load1').style.display = 'none';
				document.getElementById("result").style.display = 'none';
				document.getElementById('enquirediv').style.display = 'block';
			}
		}
		xmlhttp.open("GET", "query.php?query=" + query1 + "&vr=" + vr + "&p=" + page, true);
		xmlhttp.send();
	} else {
		alert("Please Enter Your Query");
		$('#load1').hide();
	}
}

//popup search
function spopup(str) {

	if (str == "str1") {
		erase();
	}

	document.getElementById('enquirediv').style.display = 'none';
	//var stock=document.getElementById("stock"+str).value;

	//document.location=document.location+"&stockid="+stock;

	//document.location=document.location+"&stockid="+stock;

	var SupportDiv = document.getElementById('result');
	document.getElementById('result').style.marginTop = '20px';
	document.getElementById('result1').style.display = 'none';
	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	//Scroll to location of SupportDiv on load
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	//Get object

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('cart').style.display = 'none';
			document.getElementById('load1').style.display = 'none';
			document.getElementById('result').style.display = 'block';

		}
	}
	xmlhttp.open("GET", "part1.php?q=" + str + "&str=" + str, true);

	xmlhttp.send();

}

function popup(str) {

	if (str == "str1") {
		erase();
	}

	document.getElementById('enquirediv').style.display = 'none';
	var stock = document.getElementById("stock" + str).value;

	//document.location=document.location+"&stockid="+stock;

	//document.location=document.location+"&stockid="+stock;
	var SupportDiv = document.getElementById('result');
	document.getElementById('result').style.marginTop = '20px';
	document.getElementById('result1').style.display = 'none';
	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	//Scroll to location of SupportDiv on load
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	//Get object

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('cart').style.display = 'none';
			document.getElementById('load1').style.display = 'none';
			document.getElementById('result').style.display = 'block';

		}
	}
	xmlhttp.open("GET", "part1.php?q=" + stock + "&str=" + str, true);

	xmlhttp.send();

}

function popup3(str, img) {
	var stock = $("#stock"+str).val();
	document.getElementById('load1').style.display = 'block';

	//document.getElementById('fade1').style.display='block';

	var SupportDiv = document.getElementById('fade1');

	//Scroll to location of SupportDiv on load
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result1").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';
			document.getElementById('cart').style.display = 'none';
			document.getElementById('result1').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "part2.php?q=" + stock + "&str=" + str + "&img=" + img, true);

	xmlhttp.send();

}

function erase() {
	document.getElementById('smallpopup').style.display = 'none';
	document.getElementById('result').style.display = 'none';
	document.getElementById('fade').style.display = 'none';
	document.getElementById('result1').style.display = 'none';
	document.getElementById('fade1').style.display = 'none';
	document.getElementById('load').style.display = 'none';
	document.getElementById('enquirediv').style.display = 'none';
	document.getElementById('cart').style.display = 'none';
	document.getElementById('cart1').style.display = 'none';
	if(document.getElementById('result2')){
		document.getElementById('result2').style.display = 'none';
	}
	$('#conf').hide();
//	location.reload();
}
function erase1() {
	document.getElementById('smallpopup').style.display = 'none';
	document.getElementById('result').style.display = 'none';
	document.getElementById('fade').style.display = 'none';
	document.getElementById('result1').style.display = 'none';
	document.getElementById('fade1').style.display = 'none';
	document.getElementById('load').style.display = 'none';
	document.getElementById('enquirediv').style.display = 'none';
	document.getElementById('cart').style.display = 'none';
	document.getElementById('cart1').style.display = 'none';
	$('#conf').hide();
	if(document.getElementById('result2')){
		document.getElementById('result2').style.display = 'none';
	}
        window.location	= "part.php";
	//window.history.back(-1);
}

function erase2() {
	document.getElementById('smallpopup').style.display = 'none';
	document.getElementById('result').style.display = 'none';
	document.getElementById('fade').style.display = 'none';
	document.getElementById('result1').style.display = 'none';
	document.getElementById('fade1').style.display = 'none';
	document.getElementById('load').style.display = 'none';
	document.getElementById('enquirediv').style.display = 'none';
	document.getElementById('cart').style.display = 'none';
	document.getElementById('cart1').style.display = 'none';
	if(document.getElementById('result2')){
		document.getElementById('result2').style.display = 'none';
	}
	$('#conf').hide();
	//	location.reload();
}

function HideDIV(str) {
	document.getElementById("kas").src = document.getElementById('kas1' + str).src;
}

function HideDIV1() {
	document.getElementById("kas").src = document.getElementById("kas").src;
}

function forgot(str) {

	document.getElementById('result').style.display = 'none';
	document.getElementById('enquirediv').style.display = 'block';

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
		}
	}
	xmlhttp.open("GET", "forgot.php?str=" + str, true);

	xmlhttp.send();

}

function forgotmail(str) {
	var email = document.getElementById('femail').value;
	document.getElementById('result').style.display = 'none';
	document.getElementById('enquirediv').style.display = 'block';

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
		}
	}
	xmlhttp.open("GET", "forgotmail.php?str=" + str + "&email=" + email, true);

	xmlhttp.send();

}

//enquire logout
function logout(str) {

	if (str == "str1") {
		var popen = "requestpart.php";

	} else {
		var popen = "enquire.php";
	}
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;

			document.getElementById('result').style.display = 'block';
			document.getElementById('enquirediv').style.display = 'none';

		}
	}
	xmlhttp.open("GET", popen + "?str=" + str + "&out=" + logout, true);

	xmlhttp.send();

}

//request part

//buy validation
function Validate(str) {	
	var shippingOptionPrice	= document.getElementById('shipp').value;
	shippingOptions			= shippingOptionPrice.split('_');
	var shippingOption		= shippingOptions[0];
	var i 					= shippingOptions[1];
//	alert(shippingOption+" First And Second "+i)
	if(shippingOptionPrice == "") {
		alert("Please Select Shipping Option");
	}else{
		var k=0;
		var s	= document.getElementById("ses").value;
		if(s != "") {
                    
			buy(str,shippingOption,i);
			k	= 1;
		} else {
			login2(str,"buy",shippingOption,i);
			k	= 1;
		}
		window.scrollTo(0, 0);
	}
/*	var radios = document.getElementsByName('shipp')
	var k = 0;

	for (var i = 0; i < radios.length; i++) {
		if (radios[i].checked) {
			//alert("Selected Value = " + radios[i].value);
			var s = document.getElementById("ses").value;
			if (s != "") {
				buy(str, radios[i].value, i);
				k = 1;
			} else {
				login2(str, "buy", radios[i].value, i);
				k = 1;
			}
		}

	};

	// not checked, show error
	//document.getElementById('ValidationError').innerHTML = 'Error!!!';
	if (k == 0) {
		alert("Please Select Shipping Option");
	}*/

}

function buy(str, radio, i) {
	var s = document.getElementById("ses").value;
	var page = 'buy';
        if(document.getElementById("stock" + str))
        {
         var stock = document.getElementById("stock" + str).value;
        }
	document.getElementById('load1').style.display = 'block';
	document.getElementById('result').style.display = 'none';
	document.getElementById('enquirediv').style.display = 'none';

	var SupportDiv = document.getElementById('result');
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {

			if (s != "") {
				document.getElementById("cart").innerHTML = xmlhttp.responseText;
				document.getElementById('load1').style.display = 'none';
				document.getElementById('result').style.display = 'none';
				document.getElementById('enquirediv').style.display = 'none';
				document.getElementById('cart1').style.display = 'none';
				document.getElementById('cart').style.display = 'block';
			} else {

				document.getElementById("cart1").innerHTML = xmlhttp.responseText;
				document.getElementById('load1').style.display = 'none';
				document.getElementById('result').style.display = 'none';
				document.getElementById('enquirediv').style.display = 'none';
				document.getElementById('cart').style.display = 'none';
				document.getElementById('cart1').style.display = 'block';
			}
		}
	}
	xmlhttp.open("GET", "buy.php?q="+stock+"&str="+str+"&radio="+radio+"&i="+i+"&p="+page,true);
	xmlhttp.send();
}

function buy_rosh(str, radio, i) {
	var s = document.getElementById("ses").value;
	var page = 'buy';
        if(document.getElementById("stock" + str))
        {
         var stock = document.getElementById("stock" + str).value;
        }
		
	/*document.getElementById('load1').style.display = 'block';
	document.getElementById('result').style.display = 'none';
	document.getElementById('enquirediv').style.display = 'none';*/

/*	var SupportDiv = document.getElementById('result');
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}
*/
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {

			if (s != "") {
				alert(xmlhttp.responseText);
				/*document.getElementById("cart").innerHTML = xmlhttp.responseText;
				document.getElementById('load1').style.display = 'none';
				document.getElementById('result').style.display = 'none';
				document.getElementById('enquirediv').style.display = 'none';
				document.getElementById('cart1').style.display = 'none';
				document.getElementById('cart').style.display = 'block';*/
			} else {

				/*document.getElementById("cart1").innerHTML = xmlhttp.responseText;
				document.getElementById('load1').style.display = 'none';
				document.getElementById('result').style.display = 'none';
				document.getElementById('enquirediv').style.display = 'none';
				document.getElementById('cart').style.display = 'none';
				document.getElementById('cart1').style.display = 'block';*/
			}
		}
	}
	xmlhttp.open("GET", "buy.php?q="+stock+"&str="+str+"&radio="+radio+"&i="+i+"&p="+page,true);
	xmlhttp.send();
}

function checkout(str) {

	//var stock=document.getElementById("stock"+str).value;
	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';
			document.getElementById('enquirediv').style.display = 'block';

		}
	}
	xmlhttp.open("GET", "partcheckout.php", true);

	xmlhttp.send();

}

function popupalert() {
/*	$("#fade").show();
	$("#load1").show();
	$("#divnoResult").dialog();*/

	document.getElementById('enquirediv').style.display = 'none';
	var SupportDiv = document.getElementById('smallpopup');
	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	//Scroll to location of SupportDiv on load
	window.scroll(0, findPos(SupportDiv));
	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}
	//Get object
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("smallpopup").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';
			document.getElementById('smallpopup').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "noresult.php", true);
	xmlhttp.send();
}

function cart(str) {
	var radio1 = document.getElementById("soption").value;
	var i = document.getElementById("i").value;

	var stock = document.getElementById("stock" + str).value;

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
			document.getElementById('result').style.display = 'none';
			document.getElementById('enquirediv').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "shoppingcart.php?q=" + stock + "&str=" + str + "&radio=" + radio1 + "&i=" + i, true);

	xmlhttp.send();

}

function viewcart(str) {

	var s = document.getElementById("ses").value;
	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	var SupportDiv = document.getElementById('result');
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (s == "") {
		ologin('viewcart');
	} else {
		//var stock=document.getElementById("stock"+str).value;
		document.getElementById('load1').style.display = 'block';
		var SupportDiv = document.getElementById('result');
		window.scroll(0, findPos(SupportDiv));

		function findPos(obj) {
			var curtop = 0;
			if (obj.offsetParent) {
				do {
					curtop += obj.offsetTop;
				} while (obj = obj.offsetParent);
				return [curtop];
			}
		}

		if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}

		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("cart").innerHTML = xmlhttp.responseText;
				document.getElementById('load1').style.display = 'none';
				document.getElementById('result').style.display = 'none';
				document.getElementById('enquirediv').style.display = 'none';
				document.getElementById('cart').style.display = 'block';
			}
		}
		xmlhttp.open("GET", "viewcart.php", true);

		xmlhttp.send();
	}
}

function del(id) {

	var id1 = id;

	var text = "Are you sure to delete this Item";

	var c = confirm(text);

	if (c == true) {

		//var stock=document.getElementById("stock"+str).value;

		if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}

		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("cart").innerHTML = xmlhttp.responseText;
				document.getElementById('result').style.display = 'none';
				document.getElementById('enquirediv').style.display = 'none';
				document.getElementById('cart').style.display = 'block';
			}
		}
		xmlhttp.open("GET", "viewcart.php?id=" + id, true);

		xmlhttp.send();

	}

}

function del1(str, id) {

	var stock = document.getElementById("stock" + str).value;

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("cart").innerHTML = xmlhttp.responseText;
			document.getElementById('result').style.display = 'none';
			document.getElementById('enquirediv').style.display = 'none';
			document.getElementById('cart').style.display = 'block';
		}
	}
	xmlhttp.open("GET", "viewcart.php?q=" + stock + "&str=" + str + "&id=" + id, true);

	xmlhttp.send();

}

//reqpart
function reqpart(page) {

	var make = document.getElementById("make").value;
	var model = document.getElementById("find_model").value;
	var year = document.getElementById("year").value;
	var pname = document.getElementById("pname").value;
	var pname1 = document.getElementById("pname1").value;

	var ptype = document.getElementById("ptype").value;
	var cc = document.getElementById("cc").value;
	var color = document.getElementById("color").value;
	var fuel = document.getElementById("fuel").value;
	var gear = document.getElementById("gear").value;
	var key = document.getElementById("key").value;

	var veh = document.getElementById("veh").value;
	var year1 = document.getElementById("year1").value;
	var cc1 = document.getElementById("cc1").value;
	var color1 = document.getElementById("color1").value;
	var fuel1 = document.getElementById("fuel1").value;
	var ok = 0;
	var err = "";
	var yerr = "";
	var ccerr = "";
	var coerr = "";
	var ferr = "";
	if (year1 != "" && year == "Select Year") {
		var yerr = "Please Select: Year \n";

	}
	if (cc1 != "" && cc == "Select CC") {
		var ccerr = "Please Select: CC \n";

	}

	if (color1 != "" && color == "Select Colour") {
		var coerr = "Please Select: Colour \n";

	}
	if (fuel1 != "" && fuel == "Select Fuel") {
		var ferr = "Please Select: Fuel \n";
	}
	err = yerr + ccerr + coerr + ferr;
	if (err != "") {
		alert(err);
		ok = 0;
	} else {
		ok = 1;
	}

	if (pname != "Select Parts" && ok != 0) {
		if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}

		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById('load1').style.display = 'none';
				document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
			}
		}
		xmlhttp.open("GET", "reqpart.php?make=" + make + "&model=" + model + "&year=" + year + "&pname=" + pname + "&cc=" + cc + "&color=" + color + "&fuel=" + fuel + "&gear=" + gear + "&key=" + key + "&veh=" + veh + "&p=" + page + "&ptype=" + ptype + "&pname1=" + pname1, true);
		document.getElementById('load1').style.display = 'block';
		document.getElementById('fade').style.display = 'block';
		document.getElementById("result").style.display = 'none';
		document.getElementById('enquirediv').style.display = 'block';
		xmlhttp.send();
	} else {
		if (pname == "Select Parts") {
			alert("Please Select Part");
		}
	}

}

//partcheckout
function partcheckout(str) {

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('cart').style.display = 'none';
			document.getElementById('result').style.display = 'block';
			document.getElementById('enquirediv').style.display = 'none';

		}
	}
	xmlhttp.open("GET", "reqcheck.php?str=" + str, true);

	xmlhttp.send();

}

function ologin(page) {
	document.location = "#login";
	if (page != "viewcart" && page != "slogin" && page != "sreg" && page != "feedback") {
		var page = "login";
		ologin1();
	}

	document.getElementById('load1').style.display = 'block';
	document.getElementById("cart").style.display = 'none';
	if(document.getElementById('enquirediv')){
		document.getElementById('enquirediv').style.display = 'none';
	}
	var SupportDiv = document.getElementById('result');
	window.scroll(0, findPos(SupportDiv));
	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('fade').style.display = 'block';
			document.getElementById('load1').style.display = 'none';
			document.getElementById('cart1').style.display = 'none';
			document.getElementById("result").style.display = 'block';

		}
	}
	xmlhttp.open("GET", "login1.php?p=" + page, true);

	xmlhttp.send();

}

function ologin1(page) {

	document.getElementById('load1').style.display = 'block';
	document.getElementById("cart").style.display = 'none';
	if(document.getElementById('enquirediv')){
		document.getElementById('enquirediv').style.display = 'none';
	}
	var SupportDiv = document.getElementById('result');
	window.scroll(0, findPos(SupportDiv));
	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('fade').style.display = 'block';
			document.getElementById('load1').style.display = 'none';
			document.getElementById('cart1').style.display = 'none';
			document.getElementById("result").style.display = 'block';
		}
	}
	xmlhttp.open("GET", "login2.php?p=" + page, true);

	xmlhttp.send();

}

function outpopup() {
	//alert("You are Successfully logged out ");

	document.getElementById('load1').style.display = 'block';

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById('load1').style.display = 'none';

			document.getElementById("result").style.display = 'block';
			document.getElementById("result").innerHTML = xmlhttp.responseText;

		}
	}
	xmlhttp.open("GET", "logout.php", true);

	xmlhttp.send();

}

function chkform() {

	var orderref = document.getElementById('orderref').value;
	var emailref = document.getElementById('emailref').value

	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;

			document.getElementById("result").style.display = 'block';
			document.getElementById('load1').style.display = 'none';

		}
	}
	xmlhttp.open("GET", "partcheckout.php?orderref=" + orderref + "&email=" + emailref, true);

	xmlhttp.send();

}

function kas() {
	document.getElementById('load1').style.display = 'block';

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("kas321").innerHTML = xmlhttp.responseText;

			document.getElementById('load1').style.display = 'none';

		}
	}
	xmlhttp.open("GET", "kas.php", true);

	xmlhttp.send();

}

function previouspay() {

	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;

			document.getElementById("result").style.display = 'block';
			document.getElementById('load1').style.display = 'none';

		}
	}
	xmlhttp.open("GET", "previouspay.php", true);

	xmlhttp.send();

}

function pendingpay() {
	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("cart").innerHTML = xmlhttp.responseText;
			document.getElementById("result").style.display = 'none';
			document.getElementById('load1').style.display = 'none';
			document.getElementById("cart").style.display = 'block';
		}
	}
	xmlhttp.open("GET", "pending.php", true);
	xmlhttp.send();
}

function myacc() {
	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById("result").style.display = 'block';
			document.getElementById('load1').style.display = 'none';
		}
	}
	xmlhttp.open("GET", "myacc1.php", true);
	xmlhttp.send();
}

//salvage enq
function salvage(str) {

	var stock = document.getElementById("stock" + str).value;
	document.getElementById('load1').style.display = 'block';
	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {

			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';
			document.getElementById('enquirediv').style.display = 'none';
			document.getElementById('result').style.display = 'block';

		}
	}
	xmlhttp.open("GET", "enquire.php?str=" + str + "&stock=" + stock, true);

	xmlhttp.send();

}

//feedback
function feedback(f) {

	var SupportDiv = document.getElementById('result');
	if (f != 'f' || f != 'feedback') {
		var str = f;
	} else {
		var str = "";
	}
	document.getElementById('fade').style.display = 'block';
	document.getElementById('load1').style.display = 'block';
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {

			document.getElementById("result").innerHTML = xmlhttp.responseText;
			document.getElementById('load1').style.display = 'none';

			document.getElementById('result').style.display = 'block';

		}
	}
	xmlhttp.open("GET", "feedback1.php?str=" + str, true);

	xmlhttp.send();

}

//feedback mail

function feedbackmail(str) {
	var email = document.getElementById('feedmail').value;
	document.getElementById('result').style.display = 'none';
	document.getElementById('enquirediv').style.display = 'none';
	document.getElementById('load1').style.display = 'block';

	if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}

	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("enquirediv").innerHTML = xmlhttp.responseText;
			document.getElementById('enquirediv').style.display = 'block';
			document.getElementById('load1').style.display = 'none';
		}
	}
	xmlhttp.open("GET", "feedbackmail.php?str=" + str + "&email=" + email, true);

	xmlhttp.send();

}

function change(str) {
	//alert(str);
	var SupportDiv = document.getElementById('result');
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}
	document.getElementById('loadgc').style.display = 'block';
	document.getElementById("ki" + str).style.display = '';
	document.getElementById("k" + str).innerHTML = '';
}

function conf() {
	var SupportDiv = document.getElementById('result');
	window.scroll(0, findPos(SupportDiv));

	function findPos(obj) {
		var curtop = 0;
		if (obj.offsetParent) {
			do {
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curtop];
		}
	}
	document.getElementById('fade').style.display = 'block';
	document.getElementById('conf').style.display = 'block';
}

function getPartsPage(){
	window.location	= "part.php";
}

function showPaymentOptions(){
	document.getElementById('cart').style.display='none';
	$("#divpaymentOptions").dialog();
}
function checkoutPaymentOption(clientId){
	document.getElementById('divfadeIn').style.display = 'block';
	document.getElementById('loadgc').style.display = 'block';
	var radios = document.getElementsByName('rdpaymentOption')
	var k = 0;
	for (var i = 0; i < radios.length; i++) {
		if (radios[i].checked) {
			//alert("Selected Value = " + radios[i].value);
			//exit();
			var selectedValue	= radios[i].value;
			if (selectedValue == "paypal") {
				var k = 1;
				location = 'reqcheck.php';
			} else if(selectedValue == "googleCheckout"){
				var k = 1;
				location = 'reqcheckgc.php';
			}else{
				var k = 1;
				location = 'reqcheckworld_pay.php';
			}
		}
	};
	// not checked, show error
	//document.getElementById('ValidationError').innerHTML = 'Error!!!';
	if (k == 0) {
		alert("Please Select Shipping Option");
	}
}

