<?php
//Script Name: Ebay Functions
//Revision No.: 1.12
//Revision Date: 31/10/2010
//error_reporting(0);

	function ebaydispatch($accountid,$itemid,$logString, $transid){
		//so that the keys can reference to the correct record
		$clientid=$accountid;
		$subject="Error in view data from db" ;
		$headers  = "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		$headers .= "From: Matchapart<noreply@matchapart.com>\r\n";
		//$headers .= "CC: kas30r@gmail.com\r\n";
		require_once('./ebaycommon/eBaySession.php');
		include('./ebaycommon/keys.php'); 
		
		//error_reporting(0);
		//query the fields from the client table
		$query = mssql_query_upgrade('SELECT CAST([Ebay_DescTemplate] AS VARCHAR(MAX)) As [Ebay_DescTemplate], CAST([Ebay_ReturnPolicy] AS VARCHAR(MAX)) AS [Ebay_ReturnPolicy], CAST([Town] AS VARCHAR) AS [Town], [Paypal_email], CAST([Ebay_VATRate] AS VARCHAR(MAX)) AS [Ebay_VATRate] FROM [dbo].[Clients] WHERE [ClientID] = \''.$accountid.'\'', dblink()) or die(@smtp_mail("alyons1880@googlemail.com",$subject,$msg,$headers));

		$row				= mssql_fetch_array_upgrade($query);
		$itemDescription	= $row['Ebay_DescTemplate'];
		$returnsPolicy		= $row['Ebay_ReturnPolicy'];
		$location			= $row['Town'];
		$paypal_email		= $row['Paypal_email'];
		$ebayVATRate		= $row['Ebay_VATRate'];

		
		if (isset($_REQUEST['ShippingCarrierUsed']) && $_REQUEST['ShippingCarrierUsed']!="" ){
			$c		= $_REQUEST['ShippingCarrierUsed'];
		}else{
			$c		= "carrier";
		}
		echo "<Shipping_Number>Shipping no".$s."</Shipping_Number>";
		echo "<br><Shipping_Cart>Shipping cart".$c."</Shipping_Cart><br>";
		//the call being made:
		$verb = 'CompleteSale';
		$requestXmlBody  = '<?xml version="1.0" encoding="utf-8" ?>';
		$requestXmlBody .='<CompleteSaleRequest xmlns="urn:ebay:apis:eBLBaseComponents">';
		$requestXmlBody  .="<ItemID>$itemid</ItemID>";

		if($transid==""){
			
		}else{
			$requestXmlBody  .="<TransactionID>$transid</TransactionID>";
		}

		
		$requestXmlBody  .="<Shipment>";

		if (isset($_REQUEST['ShippingTracking']) && $_REQUEST['ShippingTracking']!="" ){
			$s		= $_REQUEST['ShippingTracking'];

			$requestXmlBody  .="<ShipmentTrackingDetails>";
			$requestXmlBody  .="<ShipmentTrackingNumber>$s</ShipmentTrackingNumber>";
			$requestXmlBody  .="<ShippingCarrierUsed>$c</ShippingCarrierUsed>";
			$requestXmlBody  .="</ShipmentTrackingDetails>";
		}else{
			$s		= "";
		}
		
		
		$requestXmlBody  .="</Shipment>";
		$requestXmlBody  .="<Shipped>true</Shipped>";
		
		$requestXmlBody  .="<RequesterCredentials>";
		$requestXmlBody  .="<eBayAuthToken>$userToken</eBayAuthToken>";
		$requestXmlBody  .="</RequesterCredentials>";
		
		$requestXmlBody  .='</CompleteSaleRequest>';
		$logString		.= "\r\n".$requestXmlBody."\r\n";
		//echo "Request XML:<br>". $requestXmlBody."<br><br>";
		
        //Create a new eBay session with all details pulled in from included keys.php
        $session = new eBaySession($userToken, $devID, $appID, $certID, $serverUrl, $compatabilityLevel, $siteID, $verb);

		//send the request and get response
		$responseXml = $session->sendHttpRequest($requestXmlBody);

		$logString		.= "\r\n".$responseXml."\r\n";

		if(stristr($responseXml, 'HTTP 404') || $responseXml == ''){
			//die('<P>Error sending request');
			"Response XML:<br>".$responseXml;
			//Xml string is parsed and creates a DOM Document object
		}
		$responseDoc = new DomDocument();
		$responseDoc->loadXML($responseXml);
			
		//get any error nodes
		$errors = $responseDoc->getElementsByTagName('Errors');
		
		//set the variables ready if required
		$returnerror = "";
		$ack = "";
		$itemID = "";
		$fee = "";
		
		//if there are error nodes
		if($errors->length > 0){
			$returnerror .= 'Failed - ';
			//display each error
			//Get error code, ShortMesaage and LongMessage
			$code     = $errors->item(0)->getElementsByTagName('ErrorCode');
			$shortMsg = $errors->item(0)->getElementsByTagName('ShortMessage');
			$longMsg  = $errors->item(0)->getElementsByTagName('LongMessage');
			//Display code and shortmessage
			$returnerror .= $code->item(0)->nodeValue." ".str_replace(">", "&gt;", str_replace("<", "&lt;", $shortMsg->item(0)->nodeValue));
			//if there is a long message (ie ErrorLevel=1), display it
			if(count($longMsg) > 0)
				$returnerror .= str_replace(">", "&gt;", str_replace("<", "&lt;", $longMsg->item(0)->nodeValue));

				$logString		.= "\r\n".$returnerror."\r\n";
			//get results nodes
            $responses = $responseDoc->getElementsByTagName("CompleteSaleResponse");
			foreach ($responses as $response) {
				$itemIDs  = $response->getElementsByTagName("ItemID");
				if(isset($itemIDs->item(0)->nodeValue)){
					echo $itemID   = $itemIDs->item(0)->nodeValue;
					$logString		.= "\r\n".$itemID."\r\n";
				}
				//echo "itemID = $itemID <BR />\n";
			}
      		if ($itemID == ""){
				
			}else{
				$returnerror = "A warning occured";
				$logString		.= "\r\n".$itemID."\r\n";
				echo $ack = "Success";
			}
		} else { //no errors
			//get results nodes
            $responses = $responseDoc->getElementsByTagName("CompleteSaleResponse");
			foreach ($responses as $response) {
				$acks = $response->getElementsByTagName("Ack");
				$ack   = $acks->item(0)->nodeValue;
				$linkBase = "http://cgi.sandbox.ebay.com/ws/eBayISAPI.dll?ViewItem&item=";
            } // foreach response
		} // if $errors->length > 0
		$returnarr		= array();
		$returnarr[0]	= $ack;
		$returnarr[1]	= $itemID;
		$returnarr[2]	= $fee;
		$returnarr[3]	= $returnerror;
		$returnarr[4]	.= $logString;
		return $returnarr;
	} //end function
?>