<?

//Script Name: Web Functions
//Revision No.: 1.00
//Revision Date: 31/07/2010


function queryregistrationfields() {
		//query the database
		$query = mssql_query_upgrade('SELECT [ID],[FieldLabel],[FieldType],[Length],[Required],[FieldMapping] FROM [dbo].[WebRegistrationFields] ORDER BY [Order] ASC', webdblink());
		
		// Did the query fail?
		if (!$query) {
			die('MSSQL error: ' . mssql_get_last_message_upgrade());
		}
		
		//pull in the values to an array
		$arr_ID = array();
		$arr_FieldLabel = array();
		$arr_FieldType = array();
		$arr_Length = array();
		$arr_Required = array();
		$arr_FieldMapping = array();
		
		for ($i = 0; $i < mssql_num_rows_upgrade($query); ++$i) {
        	$arr_ID[$i] = mssql_result_upgrade($query, $i, 'ID');
			$arr_FieldLabel[$i] = mssql_result_upgrade($query, $i, 'FieldLabel');
			$arr_FieldType[$i] = mssql_result_upgrade($query, $i, 'FieldType');
			$arr_Length[$i] = mssql_result_upgrade($query, $i, 'Length');
			$arr_Required[$i] = mssql_result_upgrade($query, $i, 'Required');
			$arr_FieldMapping[$i] = mssql_result_upgrade($query, $i, 'FieldMapping');
    	}
		
		
		//add the arrays to an array
		$arr_return = array();
		$arr_return["ID"] = $arr_ID;
		$arr_return["FieldLabel"] = $arr_FieldLabel;
		$arr_return["FieldType"] = $arr_FieldType;
		$arr_return["Length"] = $arr_Length;
		$arr_return["Required"] = $arr_Required;
		$arr_return["FieldMapping"] = $arr_FieldMapping;
		
		//return the array
		return $arr_return;
	}
	
	
	function queryusernameexist($username) {
		//query the database
		$query = mssql_query_upgrade('SELECT [userID] FROM [dbo].[User] WHERE [email]=\''.$username.'\'', webdblink());
		
		// Did the query fail?
		if (!$query) {
			die('MSSQL error: ' . mssql_get_last_message_upgrade());
		}
		
		if(mssql_num_rows_upgrade($query)>0){
			return true;
		}else{
			return false;
		}
	}
	
	function newuser($arr_FieldMapping, $arr_values, $sitecode, $email, $password)
	{
	
		//timestamp
		$datenow = date("m/d/y H:i:s");
	
		$strSQL = "INSERT INTO [dbo].[User] (";
		$strColumns = "";
		$strValues = "";
		for ($i = 0; $i < count($arr_values); ++$i) {
			$strColumns = $strColumns.$arr_FieldMapping[$i].",";
			$strValues = $strValues."'".$arr_values[$i]."' ,";
		}
		
		$strColumns = substr($strColumns,0, -1);
		$strValues = substr($strValues,0, -1);
		
		$strSQL = $strSQL.$strColumns.", email, sitecode, pass, dateCreated) VALUES (".$strValues.", '".$email."', '".$sitecode."', '".md5($password)."', '".$datenow."')";	
		
		$query=mssql_query_upgrade($strSQL, webdblink());
	}
	
	function checkpassword($username,$password) {
	//query the database
		$query = mssql_query_upgrade('SELECT [userID] FROM [dbo].[User] WHERE [email]=\''.$username.'\' AND [Pass]=\''.md5($password).'\'', webdblink());
		
		// Did the query fail?
		if (!$query) {
			die('MSSQL error: ' . mssql_get_last_message_upgrade());
		}
		
		if(mssql_num_rows_upgrade($query)>0){
			return true;
		}else{
			return false;
		}
	
	}
	
	function getregdate($username){
	
	//query the database
		$query = mssql_query_upgrade('SELECT CONVERT(VARCHAR,dateCreated,104) AS dateC FROM [dbo].[User] WHERE [email]=\''.$username.'\'', webdblink());
		
		// Did the query fail?
		if (!$query) {
			die('MSSQL error: ' . mssql_get_last_message_upgrade());
		}
				
		for ($i = 0; $i < mssql_num_rows_upgrade($query); ++$i) {
        	$returnval = mssql_result_upgrade($query, $i, "dateC");
		}
		
		return $returnval;
	
	}
	
	function getuserfield($fieldname,$username){
	
	
	//query the database
		$query = mssql_query_upgrade('SELECT ['.$fieldname.'] FROM [dbo].[User] WHERE [email]=\''.$username.'\'', webdblink());
		
		// Did the query fail?
		if (!$query) {
			die('MSSQL error: ' . mssql_get_last_message_upgrade());
		}
		

		
		for ($i = 0; $i < mssql_num_rows_upgrade($query); ++$i) {
        	$returnval = mssql_result_upgrade($query, $i, $fieldname);
		}
		
		return $returnval;
	
	}
	
	
	function updateuser($arr_FieldMapping, $arr_values, $sitecode, $email, $password)
	{
		$strSQL = "UPDATE [dbo].[User] SET ";
		$strValues = "";
		for ($i = 0; $i < count($arr_values); ++$i) {
			$strValues = $strValues.$arr_FieldMapping[$i]."='".$arr_values[$i]."' ,";
		}
		
		$strValues = substr($strValues,0, -1);
		
		$strSQL = $strSQL.$strValues.", pass='".md5($password)."' WHERE email='".$email."'";	
		
		$query=mssql_query_upgrade($strSQL, webdblink());
	}
	
	
	function newpartrequest($site_ref, $username, $make, $model, $year, $parts)
	{
		//timestamp
		$datenow = date("m/d/y H:i:s");
	
		$strSQL = "INSERT INTO [dbo].[PartRequest] (Username, SiteRef, Make, Model, Year, Parts, DateStamp) VALUES ('".$username."', '".$site_ref."', '".$make."', '".$model."', '".$year."', '".$parts."', '".$datenow."')";	
		
		$query=mssql_query_upgrade($strSQL, webdblink());
	}
	
	function sendquestion($site_ref, $username, $partid, $message, $clientid)
	{
		//timestamp
		$datenow = date("m/d/y H:i:s");
	
		$strSQL = "INSERT INTO [dbo].[WebMessages] (SiteCode, Email, PartID, MessageDetails, Date, SupplierID, MessageType, MessageFrom, Unread) VALUES ('".$site_ref."', '".$username."', '".$partid."', '".$message."', '".$datenow."', '".$clientid."', 'PartQuestion', 'User', 'n')";	
		
		$query=mssql_query_upgrade($strSQL, webdblink());
	
	}
	
	function messageminilist($site_ref, $username, $number)
	{
	
		$strSQL = "SELECT TOP (".$number.") [MessageDetails], CONVERT(VARCHAR,Date,104) As [Date] FROM [dbo].[WebMessages] WHERE ([Email] = '".$username."' OR [Email] = '*') AND [SiteCode] = '".$site_ref."' ORDER BY [Date] DESC";

		$query=mssql_query_upgrade($strSQL, webdblink());
	
		$arr_Questions = array();
		$arr_Date = array();
	
		for ($i = 0; $i < mssql_num_rows_upgrade($query); ++$i) {
			$arr_Questions[$i] = mssql_result_upgrade($query, $i, 'MessageDetails');
			$arr_Dates[$i] = mssql_result_upgrade($query, $i, 'Date');
		}
		
		$arr_return = array();
		
		$arr_return["questions"] = $arr_Questions;
		$arr_return["dates"] = $arr_Dates;
		
		return $arr_return;
	
	}
	
	
	function messagesummarylist($site_ref, $username, $number)
	{
	
		$strSQL = "SELECT TOP (".$number.") [QuestionID], [MessageDetails], [MessageFrom],  CONVERT(VARCHAR,Date,104) As [Date] FROM [dbo].[WebMessages] WHERE ([Email] = '".$username."' OR [Email] = '*') AND [SiteCode] = '".$site_ref."' AND [ReplyID] IS NULL ORDER BY [Date] DESC";

		$query=mssql_query_upgrade($strSQL, webdblink());
	
		$arr_Questions = array();
		$arr_Date = array();
		$arr_From = array();
		$arr_ID = array();
		
		for ($i = 0; $i < mssql_num_rows_upgrade($query); ++$i) {
			$arr_Questions[$i] = mssql_result_upgrade($query, $i, 'MessageDetails');
			$arr_Dates[$i] = mssql_result_upgrade($query, $i, 'Date');
			$arr_From[$i] = mssql_result_upgrade($query, $i, 'MessageFrom');
			$arr_ID[$i] = mssql_result_upgrade($query, $i, 'QuestionID');
		}
		
		$arr_return = array();
		
		$arr_return["questions"] = $arr_Questions;
		$arr_return["dates"] = $arr_Dates;
		$arr_return["from"] = $arr_From;
		$arr_return["id"] = $arr_ID;
		
		return $arr_return;
	
	}
	
	function unreadmessages($site_ref, $username)
	{
	
		$strSQL = "SELECT COUNT([QuestionID]) as [UnreadCount] FROM [dbo].[WebMessages] WHERE ([Email] = '".$username."' OR [Email] = '*') AND [SiteCode] = '".$site_ref."' AND [Unread] = 'y'";

		$query=mssql_query_upgrade($strSQL, webdblink());
	
		$returnval = mssql_result_upgrade($query, 0, 'UnreadCount');
		
		return $returnval;
	
	}
	
	function viewmessage($mid, $site_ref, $username)
	{
	
		$strSQL = "SELECT [Date], [MessageDetails], [MessageType], [PartID], [MessageFrom] FROM [dbo].[WebMessages] WHERE ([Email] = '".$username."' OR [Email] = '*') AND [SiteCode] = '".$site_ref."' AND [QuestionID] = '$mid'";

		$query=mssql_query_upgrade($strSQL, webdblink());
		
		$arr_date = array();
		$arr_details = array();
		$arr_type = array();
		$arr_partid = array();
		$arr_from = array();
		
		for ($i = 0; $i < mssql_num_rows_upgrade($query); ++$i) {
			$arr_date[0] = mssql_result_upgrade($query, 0, 'Date');
			$arr_details[0] = mssql_result_upgrade($query, 0, 'MessageDetails');
			$arr_type[0] = mssql_result_upgrade($query, 0, 'MessageType');
			$arr_partid[0] = mssql_result_upgrade($query, 0, 'PartID');
			$arr_from[0] = mssql_result_upgrade($query, 0, 'MessageFrom');
		}
	
		//get the replied messages aswell
		$strSQL = "SELECT [Date], [MessageDetails], [MessageType], [PartID], [MessageFrom] FROM [dbo].[WebMessages] WHERE ([Email] = '".$username."' OR [Email] = '*') AND [SiteCode] = '".$site_ref."' AND [ReplyID] = '$mid'";

		$query=mssql_query_upgrade($strSQL, webdblink());
		
		for ($i = 0; $i < mssql_num_rows_upgrade($query); ++$i) {
			$arr_date[$i+1] = mssql_result_upgrade($query, 0, 'Date');
			$arr_details[$i+1] = mssql_result_upgrade($query, 0, 'MessageDetails');
			$arr_type[$i+1] = mssql_result_upgrade($query, 0, 'MessageType');
			$arr_partid[$i+1] = mssql_result_upgrade($query, 0, 'PartID');
			$arr_from[$i+1] = mssql_result_upgrade($query, 0, 'MessageFrom');
		}
		
		$arr_return = array();
		
		$arr_return["date"] = $arr_date;
		$arr_return["details"] = $arr_details;
		$arr_return["type"] = $arr_type;
		$arr_return["partid"] = $arr_partid;
		$arr_return["from"] = $arr_from;
		
		return $arr_return;
	
	}