//==========================================================
//  Time and Date Pickers
//==========================================================
function resizescreen(scrwidth)
{
	if (scrwidth > 520) {
     $('body').addClass('mini-navbar');
    } else {
      $('body').removeClass('mini-navbar');
    }
}


$(function() {
    /*$('.timepicker').timepicker();*/

    $('.datepicker').datepicker({
        autoclose: true,
        todayBtn: "linked",
		format: 'dd-mm-yyyy'
    });

    $('.monthyear').datepicker({
        autoclose: true,
        startView: 1,
        format: 'yyyy-mm',
        minViewMode: 1
    });
    $('.years').datepicker({
        startView: 2,
        format: 'yyyy',
        minViewMode: 2,
        autoclose: true
    });
});


//==========================================================
//  Tooltips icon
//==========================================================

$(function() {
    $('[data-toggle="tooltip"]').tooltip()
})

//==========================================================
//  Alert hide time set
//==========================================================

setTimeout(function() {
    $(".alert").fadeOut("slow", function() {
        $(".alert").remove();
    });
}, 2000);

//==========================================================
//  Select All Checkbox
//==========================================================

$(function() {

    $('#parent_present').on('change', function() {
        $('.child_present').prop('checked', $(this).prop('checked'));
    });
    $('.child_present').on('change', function() {
        $('#parent_present').prop($('.child_present:checked').length ? true : false);
    });
    $('#parent_absent').on('change', function() {
        $('.child_absent').prop('checked', $(this).prop('checked'));
    });
    $('.child_absent').on('change', function() {
        $('#parent_absent').prop($('.child_absent:checked').length ? true : false);
    });
});


//==========================================================
//  Print Area Select
//==========================================================
function print_invoice(printableArea) {

    var table = $('#dataTables-example').DataTable();
    table.destroy();

    //$('#dataTables-example').attr('id','none');
    var printContents = document.getElementById(printableArea).innerHTML;
    var originalContents = document.body.innerHTML;
    document.body.innerHTML = printContents;
    window.print();
    //$('table').attr('id','dataTables-example');
    location.reload(document.body.innerHTML = originalContents);
    //document.body.innerHTML = originalContents;
}

//==========================================================
//  Reload Datatable For Server Processing
//==========================================================
function LoadDatatable(method)
 {
	 //alert('method');
	 var dtable = $('#datatable').DataTable();
	 dtable.draw(method);
 }
 
function LoadDatatableNew()
 {
	 //alert('method');
	 var dtable = $('#datatable').DataTable();
	 dtable.draw();
 } 
 
//==========================================================
//  Reload Datatable for browser processing
//==========================================================
function LoadDatatableClient(method)
 {
	 //alert('LoadDatatableClient');
	 var dtable = $('#datatable').DataTable()
	 dtable.ajax.reload( null, method ); // user paging is not reset on reload
 } 
 
//==========================================================
//  Delete from Datatable in server processing
//==========================================================
function DeleteRow(id)
{
  var submitlink = $('#submiturl').val();
   //alert(submitlink + ' ' + id);
   
   if(confirm('Are you sure delete this row?'))
      {
        // ajax delete data from database
          $.ajax({
            url : submitlink,
            type: "POST",
            dataType: "JSON",
			data: {mode: 'DEL', id:id},
            success: function(response)
            {
               //alert(response);
			   showmessage(response[0], response[1], response[2], response[3], '');
			   LoadDatatable(false);
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error deleting data');
            }
        });

      }
}

function DeleteRowwithoutDT(id)
{
  var submitlink = $('#submiturl').val();
   //alert(submitlink + ' ' + id);
   
   if(confirm('Are you sure delete this row?'))
      {
        // ajax delete data from database
          $.ajax({
            url : submitlink,
            type: "POST",
            dataType: "JSON",
			data: {mode: 'DEL', id:id},
            success: function(response)
            {
               //alert(response);
			   showmessage(response[0], response[1], response[2], response[3], '');
			   setTimeout(function(){ location.reload(true); }, 1500);
			   
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error deleting data');
            }
        });

      }
}
//==========================================================
//  Delete from Datatable in without server processing
//==========================================================
function DeleteRowClient(id)
{
  var submitlink = $('#submiturl').val();
   //alert(submitlink + ' ' + id);
   if(confirm('Are you sure delete this row?'))
      {
        // ajax delete data from database
          $.ajax({
            url : submitlink,
            type: "POST",
            dataType: "JSON",
			data: {mode: 'DEL', id:id},
            success: function(response)
            {
               //alert(response);
			   //$('#displaymsg').html(response);
			   showmessage(response[0], response[1], response[2], response[3], '');
			   LoadDatatableClient(false);
               //$('#deletemsg').fadeOut(2000);
               //location.reload();
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error deleting data');
            }
        });

      }
}


////////////////////////Validations Functions///////////////////	
$().ready(function() {
    $("#course_form").validate({
//debug: true,

        rules: {
            course: {
                required: true,
				minlength: 3
                   }
        },
		
		messages: {
            course: {
                required: 'Please enter course.',
				minlength: 'Enter Valid course name'
                   }
        },

        highlight: function(element) {
            $(element).closest('.form-group').addClass('has-error');
        },
        unhighlight: function(element) {
            $(element).closest('.form-group').removeClass('has-error');
        },
		
		 submitHandler: function (form) {
			 var $form = $(this);
			 var mode = $("#mode").val();
			 var id = $("#courseid").val();
			 var course = $('[name="course"]').val();
			 //alert(mode+ ' ' +id+ ' ' +course);
			 $.ajax({
                 type: "POST",
                 url: "submit_courses.php",
                 data: {mode: mode, id: id, course: course},
                 success: function (response) {
					 if(mode=="ADD")
					 {
					 $(form)[0].reset();
                     //$('#course_form')[0].reset();
					 $("#mode").val('ADD');  //alert(response);
  					 $("#courseid").val('');
					 LoadDatatable(true);
					 }
					 
					 else if(mode=="EDIT")
					 {
					 $("#mode").val('EDIT');  //alert(response);
  					 $("#courseid").val(id);
					 LoadDatatable(false);
					}
                     $('#modalmsg').html(response);
                     $('#msg').fadeOut(2000);
                 	//LoadDatatable(); 
					//alert(" hello");
                 }
             });
             return false; // required to block normal submit since you used ajax
         }
		
		
		
    });
});
	
	
/* Toaster Notifications */
function showmessage(mode, msgtype, msgtitle, msgbody, msgtime)
{
	if(msgtime=='' ) { msgtime=1500; } //alert('check124');alert(msgtype +' ' +msgbody+' ' + msgtitle);
	toastr.options = {
                    closeButton: true,
                    progressBar: true,
                    showMethod: 'slideDown',
					//positionClass: "toast-top-full-width",
                    timeOut: msgtime
     		         };
   if(msgtype==true) { 
     
      if(mode=="ADD")
        toastr.success(msgbody, msgtitle);   
      if(mode=="UPDATE")
        toastr.info(msgbody, msgtitle);   
      if(mode=="DEL")
        toastr.error(msgbody, msgtitle);   
   
   }
   else if(msgtype==false) { 
   toastr.error(msgbody, msgtitle );
   }
}

