<?php
	//Script Name: Ebay Get Active Listings
	//Revision No.: 1.00
	//Revision Date: 29/06/2010
	$clientid = $_GET["clientid"];
	$pageno = $_GET["pageno"];
	$ModTimeFrom = $_GET["ModTimeFrom"];
	$ModTimeTo = $_GET["ModTimeTo"];
	require_once ("../centralized/config.php");
	//require_once("funcs/config1.php");
	require_once ('ebaycommon/eBaySession.php');
	require_once ("funcs/db.php");
	require_once ('ebaycommon/keys.php');
	if (!function_exists('smtp_mail')) {
	 require_once ("../../centralized/mailerClass/centralize_mail_class_funcs.php");
	}
	ini_set('magic_quotes_gpc', false);
	// magic quotes will only confuse things like escaping apostrophe
	//Get the item entered
	//the call being made:
	$verb = 'GetSellerList';
	///Build the request Xml string
	$requestXmlBody = '<?xml version="1.0" encoding="utf-8" ?>';
	$requestXmlBody .= '<GetSellerListRequest xmlns="urn:ebay:apis:eBLBaseComponents">';
	$requestXmlBody .= '<GranularityLevel>Coarse</GranularityLevel> ';
	$requestXmlBody .= '<Pagination><EntriesPerPage>200</EntriesPerPage><PageNumber>' . $pageno . '</PageNumber></Pagination>';
	$requestXmlBody .= '<RequesterCredentials>';
	$requestXmlBody .= '<eBayAuthToken>' . $userToken . '</eBayAuthToken>';
	$requestXmlBody .= '</RequesterCredentials>';
	$requestXmlBody .= '<EndTimeTo>' . $ModTimeTo . '</EndTimeTo> ';
   	$requestXmlBody .= '<EndTimeFrom>' . $ModTimeFrom . '</EndTimeFrom> ';
	$requestXmlBody .= '<WarningLevel>High</WarningLevel>';
	$requestXmlBody .= '</GetSellerListRequest>';
	//Create a new eBay session with all details pulled in from included keys.php
	$session = new eBaySession($userToken, $devID, $appID, $certID, $serverUrl, $compatabilityLevel, $siteID, $verb);
	//send the request and get response
	$responseXml = $session -> sendHttpRequest($requestXmlBody);
	if(stristr($responseXml, 'HTTP 404') || stristr($responseXml, 'error(s)') || $responseXml == ''){
		$subject     = "Error : ebay_getactiveitems";
		$headers     = "MIME-Version: 1.0\r\n";
		$headers	.= "Content-type: text/html; charset=iso-8859-1\r\n";
		$headers	.= "From: Matchapart<noreply@matchapart.com>\r\n";
		$msg 		= "";
		$msg 		.= "Error Url : " . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'] . $_SERVER['HTTP_USER_AGENT'] . $_SERVER['REMOTE_ADDR'] . "<br><br>Error Message ".$responseXml."<br><br>DB Error :".mssql_get_last_message_upgrade();;
		if(@smtp_mail("weberrors@matchapart.com", $subject, $msg, $headers)){
			die('<P>Error sending request');
		}

	}
	//check for errors
	//Xml string is parsed and creates a DOM Document object
	$responseDoc = new DomDocument();
	$responseDoc -> loadXML($responseXml);
	//get any error nodes
	$errors = $responseDoc -> getElementsByTagName('Errors');
	//if there are error nodes
	if($errors -> length > 0) {
		echo '<P><B>eBay returned the following error(s):</B>';
		//display each error
		//Get error code, ShortMesaage and LongMessage
		$code = $errors -> item(0) -> getElementsByTagName('ErrorCode');
		$shortMsg = $errors -> item(0) -> getElementsByTagName('ShortMessage');
		$longMsg = $errors -> item(0) -> getElementsByTagName('LongMessage');
		//Display code and shortmessage
		echo '<P>', $code -> item(0) -> nodeValue, ' : ',  str_replace(">", "&gt;", str_replace("<", "&lt;", $shortMsg -> item(0) -> nodeValue));
		//if there is a long message (ie ErrorLevel=1), display it
		if(count($longMsg) > 0)
			echo '<BR>',  str_replace(">", "&gt;", str_replace("<", "&lt;", $longMsg -> item(0) -> nodeValue));
	} else { //no errors
		header("Content-type: text/xml");
		echo $responseXml;
	}

	/*$clientId		= $clientid;
	$pageno			= $pageno;
	$xmlsend		= $responseXml;
	$scriptName		= "ebay_getactiveitems";

	$logFile	= 'logs/'.$clientId."_".$scriptName."_".date('mY').'.txt';
	$logString	= "";
	$fileOpen	= fopen($logFile,'a');
	$logString .= "\r\n /-----------------------".date("d/m/Y H:i:s")."-----------------------------------------/ \r\n	";
	$logString .= "\r\nURL : ".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'];
	$logString .= "\r\nClient ID : ".$clientId;
	$logString .= "\r\nPage No : ".$pageno;
	$logString .= "\r\nXMLRequest : ".$requestXmlBody;
	$logString .= "\r\nXML : ".$xmlsend;
	$logString .= "\r\n\r\n /----------------------------------------------------------------------------------/ \r\n	";
	$filewrite	= fwrite($fileOpen,$logString);
	fclose($fileOpen);*/
?>