<?php

//Script Name: Ebay Store Categories
//Revision No.: 1.00
//Revision Date: 29/06/2010

$clientid = $_GET["clientid"];

require_once('../config1.php');
//require_once("funcs/config1.php");
require_once('ebaycommon/eBaySession.php');
require_once("funcs/db.php");
require_once('ebaycommon/keys.php');
if (!function_exists('smtp_mail')) {
 require_once ("../../centralized/mailerClass/centralize_mail_class_funcs.php");
}

        ini_set('magic_quotes_gpc', false);    // magic quotes will only confuse things like escaping apostrophe
		//Get the item entered

		//the call being made:
		$verb = 'GetStore';
		
		///Build the request Xml string
		$requestXmlBody  = '<?xml version="1.0" encoding="utf-8" ?>';

		$requestXmlBody .= '<GetStoreRequest xmlns="urn:ebay:apis:eBLBaseComponents">';
		$requestXmlBody .= '<RequesterCredentials>';
		$requestXmlBody .= '<eBayAuthToken>'.$userToken.'</eBayAuthToken>';
		$requestXmlBody .= '</RequesterCredentials>';
		$requestXmlBody .= '<CategoryStructureOnly>True</CategoryStructureOnly>';
		$requestXmlBody .= '<WarningLevel>Low</WarningLevel>';

		$requestXmlBody .= '</GetStoreRequest>';

		
        //Create a new eBay session with all details pulled in from included keys.php
        $session = new eBaySession($userToken, $devID, $appID, $certID, $serverUrl, $compatabilityLevel, $siteID, $verb);
		
		
		//send the request and get response
		$responseXml = $session->sendHttpRequest($requestXmlBody);
		if(stristr($responseXml, 'HTTP 404') || $responseXml == '')
			die('<P>Error sending request');
		
		
		
		//check for errors
		//Xml string is parsed and creates a DOM Document object
			$responseDoc = new DomDocument();
			$responseDoc->loadXML($responseXml);
				
			//get any error nodes
			$errors = $responseDoc->getElementsByTagName('Errors');
			
			//if there are error nodes
			if($errors->length > 0)
			{
				echo '<P><B>eBay returned the following error(s):</B>';
				//display each error
				//Get error code, ShortMesaage and LongMessage
				$code     = $errors->item(0)->getElementsByTagName('ErrorCode');
				$shortMsg = $errors->item(0)->getElementsByTagName('ShortMessage');
				$longMsg  = $errors->item(0)->getElementsByTagName('LongMessage');
				//Display code and shortmessage
				echo '<P>', $code->item(0)->nodeValue, ' : ', str_replace(">", "&gt;", str_replace("<", "&lt;", $shortMsg->item(0)->nodeValue));
				//if there is a long message (ie ErrorLevel=1), display it
				if(count($longMsg) > 0)
					echo '<BR>', str_replace(">", "&gt;", str_replace("<", "&lt;", $longMsg->item(0)->nodeValue));
		
			} else { //no errors
				
				header("Content-type: text/xml"); 
				
				echo $responseXml;
			}

?>