<?php

//Script Name: Ebay Functions
//Revision No.: 1.12
//Revision Date: 31/10/2010

if (!function_exists('smtp_mail')) {
 require_once ("../../../centralized/mailerClass/centralize_mail_class_funcs.php");
}
function ebaydispatch($accountid,$stockid,$itemid)
{
	//so that the keys can reference to the correct record
	$clientid=$accountid;
	
	$subject="Error in view data from db" ;
$headers  = "MIME-Version: 1.0\r\n";
$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
$headers .= "From: Matchapart<noreply@matchapart.com>\r\n";
$headers .= "CC: kas30r@gmail.com\r\n";

	
	require_once('./ebaycommon/eBaySession.php');
	include('./ebaycommon/keys.php'); 
	
	//query the fields from the client table
	$query = mssql_query_upgrade('SELECT CAST([Ebay_DescTemplate] AS VARCHAR(MAX)) As [Ebay_DescTemplate], CAST([Ebay_ReturnPolicy] AS VARCHAR(MAX)) AS [Ebay_ReturnPolicy], CAST([Town] AS VARCHAR) AS [Town], [Paypal_email], CAST([Ebay_VATRate] AS VARCHAR(MAX)) AS [Ebay_VATRate] FROM [dbo].[Clients] WHERE [ClientID] = \''.$accountid.'\'', dblink()) or die(mail("alyons1880@googlemail.com",$subject,$msg,$headers));
	$row = mssql_fetch_array_upgrade($query);
	$itemDescription =  $row['Ebay_DescTemplate'];
	$returnsPolicy =  $row['Ebay_ReturnPolicy'];
	$location = $row['Town'];
	$paypal_email = $row['Paypal_email'];
	$ebayVATRate = $row['Ebay_VATRate'];
			
	//query the fields from the stock table
	$query2 = mssql_query_upgrade('SELECT [ID], CAST([VehicleID] AS VARCHAR(MAX)) AS [VehicleID], CAST([Condition] AS VARCHAR(MAX)) AS [Condition], CAST([Engine] AS VARCHAR(MAX)) AS [Engine], CAST([Ebay_Model] AS VARCHAR(MAX)) AS [Ebay_Model], CAST([Ebay_Make] AS VARCHAR(MAX)) AS [Ebay_Make], CAST([manufact_year] AS VARCHAR(MAX)) AS [manufact_year], CAST([Ebay_Title] AS VARCHAR(MAX)) AS [Ebay_Title], CAST([Ebay_FixedPrice] AS VARCHAR(MAX)) AS [Ebay_FixedPrice], CAST([Ebay_ReservePrice] AS VARCHAR(MAX)) AS [Ebay_ReservePrice], CAST([Ebay_Desc_HTML] AS VARCHAR(MAX)) AS [Ebay_Desc_HTML], CAST([Ebay_StoreCategory1] AS VARCHAR) AS [Ebay_StoreCategory1], CAST([Ebay_StoreCategory2] AS VARCHAR) AS [Ebay_StoreCategory2], CAST([Ebay_Category1] AS VARCHAR) AS [Ebay_Category1], CAST([Ebay_PicURL] AS VARCHAR(MAX)) AS [Ebay_PicURL], CAST([Ebay_Duration] AS VARCHAR) AS [Ebay_Duration], [Ebay_Format], CAST([Ebay_StartingPrice] AS VARCHAR) AS [Ebay_StartingPrice],  Ebay_ShippingOptions,  Ebay_ShippingPrice, CAST([Ebay_ShippingDispatch] AS VARCHAR) AS [Ebay_ShippingDispatch], Item_Specifics_Model, Item_Specifics_Type, Item_Specifics_SubType, Item_Specifics_Make FROM [dbo].[LiveStock] WHERE [StockID] = \''.$stockid.'\' AND [AccountID] = \''.$accountid.'\'', dblink()) or die(@smtp_mail("alyons1880@googlemail.com",$subject,$msg,$headers));
	$row2 = mssql_fetch_array_upgrade($query2);
	$vehicleID =  $row2['VehicleID'];
	$itemTitle =  $row2['Ebay_Title'];
	$detail =  $row2['Ebay_Desc_HTML'];
	$fixedPrice = $row2['Ebay_FixedPrice'];
	$startPrice = $row2['Ebay_StartingPrice'];
	$reservePrice = $row2['Ebay_ReservePrice'];
	$storeCat1 = $row2['Ebay_StoreCategory1'];
	$storeCat2 = $row2['Ebay_StoreCategory2'];
	$ebayCat = $row2['Ebay_Category1'];
	$pictureURL = $row2['Ebay_PicURL'];
	//add days_ to the listing duration field from db if its not GTC
	if($row2['Ebay_Duration']=="GTC"){
		$listingDuration = $row2['Ebay_Duration'];
	}else{
		$listingDuration = "Days_".$row2['Ebay_Duration'];
	}
	$format = $row2['Ebay_Format'];
	$shippingoptions = $row2['Ebay_ShippingOptions'];
	$shippingprice = $row2['Ebay_ShippingPrice'];
	$shippingdispatch = $row2['Ebay_ShippingDispatch'];
	
	$manuyear = $row2['manufact_year'];
	$make = $row2['Ebay_Make'];
	$model = $row2['Ebay_Model'];
	$cond = $row2['Condition'];
	$engine = $row2['Engine'];
	$specmodel = $row2['Item_Specifics_Model'];
	$spectype = $row2['Item_Specifics_Type'];
	$specsubtype = $row2['Item_Specifics_SubType'];
	$specmake = $row2['Item_Specifics_Make'];
	
	//insert the item title into the description
	$itemDescription = str_replace("**BP_TITLE**",$itemTitle,$itemDescription);
	
	//insert the detailed description into the itemdescription
	$itemDescription = str_replace("**BP_PARTDESC**",$detail,$itemDescription);
	

	//insert the manufactured year into the itemdescription
	$itemDescription = str_replace("**BP_VEHYEAR**",$manuyear,$itemDescription);
	
	//insert the make into the itemdescription
	$itemDescription = str_replace("**BP_VEHMAKE**",$make,$itemDescription);

	//insert the mdel into the itemdescription
	$itemDescription = str_replace("**BP_VEHMODEL**",$model,$itemDescription);
	
	//insert the make into the itemdescription
	$itemDescription = str_replace("**BP_VEHCC**",$engine,$itemDescription);
	
	//insert the vehicleID into the itemdescription
	$itemDescription = str_replace("**BP_VEHICLEID**",$vehicleID,$itemDescription);
	
	//if condition field ii blank, set it to used
	if($cond=="~"||$cond==" ")
	{$cond="Used";}
	
	//insert the mdel into the itemdescription
	$itemDescription = str_replace("**BP_PARTCOND**",$cond,$itemDescription);
	
	//encode the item description as required by ebay
	$itemDescription = utf8_encode($itemDescription);
	
	//Get the item entered
	if(substr($format, 0, 1)=="1"){
		$listingType = "Chinese";
	}elseif(substr($format, 0, 1)=="9"){
		$listingType = "FixedPriceItem";
	}
	
	
	$quantity = "1";	


if (isset($_REQUEST['ShippingTracking']) && $_REQUEST['ShippingTracking']!="" )
{
$s=$_REQUEST['ShippingTracking'];
}
else
{
$s="";
}

if (isset($_REQUEST['hippingCarrierUsed']) && $_REQUEST['hippingCarrierUsed']!="" )
{
$c=$_REQUEST['hippingCarrierUsed'];
}
else
{
$c="";
}


	//the call being made:
	$verb = 'CompleteSale';
	$requestXmlBody = '<?xml version="1.0" encoding="utf-8" ?>';

	$requestXmlBody  .='<CompleteSaleRequest xmlns="urn:ebay:apis:eBLBaseComponents">
  <WarningLevel>High</WarningLevel>
  
  <ItemID>'.$itemid.'</ItemID>
  <Paid>true</Paid>
  <Shipment>
    
    <ShipmentTrackingDetails>
      <ShipmentTrackingNumber>'.$s.'</ShipmentTrackingNumber>
      <ShippingCarrierUsed>'.$c.'</ShippingCarrierUsed>
    </ShipmentTrackingDetails>
  </Shipment>
  <Shipped>true</Shipped>
 
  <RequesterCredentials>';
   $requestXmlBody  .= '<eBayAuthToken>'.$userToken.'</eBayAuthToken>
  </RequesterCredentials>
  <WarningLevel>High</WarningLevel>
</CompleteSaleRequest>';
	
	
	
	
			
			
		 
/*$requestXmlBody  = '<?xml version="1.0" encoding="utf-8" ?>';
$requestXmlBody  .='<ReviseFixedPriceItemRequest xmlns="urn:ebay:apis:eBLBaseComponents">';
  $requestXmlBody  .='<ErrorLanguage>en_US</ErrorLanguage>';
  $requestXmlBody  .='<WarningLevel>High</WarningLevel>';
  $requestXmlBody  .='<Item>';
   $requestXmlBody  .='<ItemID>'.$itemid.'</ItemID>';
	$requestXmlBody .= "<AttributeSetArray>";
        $requestXmlBody .= "<AttributeSet attributeSetID=\"4075\">";
		
		
		//input item specifics here
			//type
			$requestXmlBody .= "<Attribute attributeID=\"6\">";
			$requestXmlBody .= "<Value>";
			$requestXmlBody .= "<ValueLiteral><![CDATA[".$spectype."]]></ValueLiteral>";
			$requestXmlBody .= "</Value>";
			$requestXmlBody .= "</Attribute>";
			
			//intended use
			$requestXmlBody .= "<Attribute attributeID=\"39702\">";
			$requestXmlBody .= "<Value>";
			$requestXmlBody .= "<ValueLiteral>Replacement Part</ValueLiteral>";
			$requestXmlBody .= "</Value>";
			$requestXmlBody .= "</Attribute>";
			
			//manufacturer
			$requestXmlBody .= "<Attribute attributeID=\"39\">";
			$requestXmlBody .= "<Value>";
			$requestXmlBody .= "<ValueLiteral><![CDATA[".$specmake."]]></ValueLiteral>";
			$requestXmlBody .= "</Value>";
			$requestXmlBody .= "</Attribute>";
	
			//model
			$requestXmlBody .= "<Attribute attributeID=\"41\">";
			$requestXmlBody .= "<Value>";
			$requestXmlBody .= "<ValueLiteral><![CDATA[".$specmodel."]]></ValueLiteral>";
			$requestXmlBody .= "</Value>";
			
			//if the ebay_model is the same as the specifics model then do nothing, else
			if($specmodel==$model){}else{
				$requestXmlBody .= "<Value>";
				$requestXmlBody .= "<ValueLiteral><![CDATA[".$model."]]></ValueLiteral>";
				$requestXmlBody .= "</Value>";
			}
			
			$requestXmlBody .= "</Attribute>";
	
			//subtype
			$requestXmlBody .= "<Attribute attributeID=\"42078\">";
			$requestXmlBody .= "<Value>";
			$requestXmlBody .= "<ValueLiteral><![CDATA[".$specsubtype."]]></ValueLiteral>";
			$requestXmlBody .= "</Value>";
			$requestXmlBody .= "</Attribute>";
			
		//end item specifics
        $requestXmlBody .= "</AttributeSet>";
		$requestXmlBody .= "</AttributeSetArray>";


		$requestXmlBody .= "<Site>$siteCountry</Site>";
		$requestXmlBody .= '<PrimaryCategory>';
		$requestXmlBody .= "<CategoryID>$ebayCat</CategoryID>";
		$requestXmlBody .= '</PrimaryCategory>';

		//if its an auction and the value of fixed price is no 0 then assume there is a buy it 
		//now on the item
		
		
		if($listingType=="Chinese"&&intval($fixedPrice)!=0)
		{
			$requestXmlBody .= "<BuyItNowPrice currencyID=\"$currencycode\">$fixedPrice</BuyItNowPrice>";
		}
		
		//if the format has BO at the end, then best offer is enabled
		if(substr($format, -2)=="BO"){
			$requestXmlBody .= "<BestOfferDetails>";
			$requestXmlBody .= "<BestOfferEnabled>1</BestOfferEnabled>";
			$requestXmlBody .= "</BestOfferDetails>";
		}
			
		$requestXmlBody .= "<Country>$ebay_country</Country>";
		$requestXmlBody .= "<Currency>$currencycode</Currency>";
		$requestXmlBody .= "<ListingDuration>$listingDuration</ListingDuration>";
        $requestXmlBody .= "<ListingType>$listingType</ListingType>";
		$requestXmlBody .= '<Location>'.$location.'</Location>';
		$requestXmlBody .= '<PaymentMethods>MOCC</PaymentMethods>';
		$requestXmlBody .= '<PaymentMethods>CCAccepted</PaymentMethods>';
		$requestXmlBody .= '<PaymentMethods>PayPal</PaymentMethods>';
		$requestXmlBody .= "<Quantity>$quantity</Quantity>";
		$requestXmlBody .= '<RegionID>0</RegionID>';
		
		
		//if the listing is an auction then use the start price, otherwise if its a 
		//fixed price item then use the fixedprice field
		if($listingType=="Chinese"){
			$requestXmlBody .= "<StartPrice currencyID=\"$currencycode\">$startPrice</StartPrice>";
		}elseif($listingType=="FixedPriceItem"){
			$requestXmlBody .= "<StartPrice currencyID=\"$currencycode\">$fixedPrice</StartPrice>";
		}
		
		//if the listing is an auction and the value of reserveprice is not 0 then assume
		//there is a reserve on the item
		if($listingType=="Chinese"&&intval($reservePrice)!=0)
		{
			$requestXmlBody .= "<ReservePrice currencyID=\"$currencycode\">$reservePrice</ReservePrice>";
		}
		
		
		if(empty($ebayVATRate)){
			//no vat listed in clients so no vat added to item (either null or 0)
		}else{
				
			//vat inclusive
			$requestXmlBody .= '<VATDetails>';
			//<BusinessSeller>False</BusinessSeller>';
			//$requestXmlBody .= '<RestrictedToBusiness>False</RestrictedToBusiness>';
			$requestXmlBody .= '<VATPercent>'.$ebayVATRate.'</VATPercent>';
			$requestXmlBody .= '</VATDetails>';
		}
					
		$requestXmlBody .= '<ShippingTermsInDescription>True</ShippingTermsInDescription>';
		$requestXmlBody .= "<Title>".str_replace("&","+",substr($itemTitle, 0, 55))."</Title>";
		$requestXmlBody .= "<Description><![CDATA['".$itemDescription."']]></Description>";
		
		
		$requestXmlBody .= "<ReturnPolicy>";
		$requestXmlBody .= "<Description>";
		$requestXmlBody .= $returnsPolicy;
		$requestXmlBody .= "</Description>";
		//$requestXmlBody .= "<RefundOption>MerchandiseCredit</RefundOption>";
		$requestXmlBody .= "<ReturnsAcceptedOption>ReturnsAccepted</ReturnsAcceptedOption>";
		//$requestXmlBody .= "<ReturnsWithinOption>Days_7</ReturnsWithinOption>";
		//$requestXmlBody .= "<ShippingCostPaidByOption>Buyer</ShippingCostPaidByOption>";
		$requestXmlBody .= "</ReturnPolicy>";
		
		$requestXmlBody .= "<ShippingDetails>";
		$requestXmlBody .= "<ShippingType>Flat</ShippingType>";

		//define the arrays from the database fields
		$arrshipoptions = array();
		$arrshipoptions = explode(",",$shippingoptions);
		$arrshipprice = array();
		$arrshipprice = explode(",",$shippingprice);
		
		$i = 0;

		foreach($arrshipoptions as $shipop)
		{
			$query3 = mssql_query_upgrade('SELECT [EbayName] FROM [autoweb].[lookupVariables] WHERE [BreakerPROName] = \''.$shipop.'\'', dblink());
			$row3 = mssql_fetch_array_upgrade($query3);
			$ebayshipop =  $row3['EbayName'];
	
	
			

			$priority = strval($i + 1);
			$requestXmlBody .= "<ShippingServiceOptions>";
			$requestXmlBody .= "<ShippingServicePriority>".$priority."</ShippingServicePriority>";
			$requestXmlBody .= " <ShippingService>".$ebayshipop."</ShippingService>";
			$requestXmlBody .= "<ShippingServiceCost>".$arrshipprice[$i]."</ShippingServiceCost>";
			$requestXmlBody .= "</ShippingServiceOptions>";
			
			$i++;
			
			
		}
		
//		$requestXmlBody .= "<ShippingServiceAdditionalCost>0.50</ShippingServiceAdditionalCost>";

		$requestXmlBody .= "</ShippingDetails>";

		
		
		
			
		$requestXmlBody .= "<DispatchTimeMax>1</DispatchTimeMax>";
		$requestXmlBody .= "<PaymentMethods>PayPal</PaymentMethods>";
		$requestXmlBody .= "<PayPalEmailAddress>".$paypal_email."</PayPalEmailAddress>";
		
		//if the picture url has not been stored in the database don't attempt to pu
		//the picture in

		if($pictureURL=="~"){}else{

			$requestXmlBody .= "<PictureDetails>";
			$requestXmlBody .= "<GalleryType>None</GalleryType>";
			$requestXmlBody .= "<PhotoDisplay>None</PhotoDisplay>";
			$requestXmlBody .= "<PictureURL>".$pictureURL."</PictureURL>";
		//$requestXmlBody .= "<PictureURL>http://i16.ebayimg.com/01/c/03/c2/9d/d5_7.JPG</PictureURL>";
		//$requestXmlBody .= "<PictureURL>http://i8.ebayimg.com/04/c/05/a7/ca/f2_7.JPG</PictureURL>";
			$requestXmlBody .= "</PictureDetails>";
		}
		
		
		//if there is no storecat1 typed, then do nothing else put in storecat1
/*
		if(intval($storeCat1)==0){}else{
			$requestXmlBody .= "<Storefront>";
			$requestXmlBody .= "<StoreCategoryID>".intval($storeCat1)."</StoreCategoryID>";
			//if there is no storecat2 typed, then do nothing else put in storecat2
			if(intval($storeCat2)==0){
				$requestXmlBody .= "</Storefront>";
			}else{
				$requestXmlBody .= "<StoreCategory2ID>".intval($storeCat2)."</StoreCategory2ID>";
				$requestXmlBody .= "</Storefront>";
			}
		}
		*/
		/*//condition id
		if($cond=="BRAND NEW"){$condid = "1000";}else{$condid = "3000";}
		$requestXmlBody .= "<ConditionID>$condid</ConditionID>";
		
		


		
		
		$requestXmlBody  .='</Item>';
  $requestXmlBody  .='<RequesterCredentials>';
     $requestXmlBody  .="<eBayAuthToken>$userToken</eBayAuthToken>";
   $requestXmlBody  .='</RequesterCredentials>';
   $requestXmlBody  .='<WarningLevel>High</WarningLevel>';
 $requestXmlBody  .='</ReviseFixedPriceItemRequest>';
//echo $requestXmlBody;
*/			
					/*$requestXmlBody  = '<?xml version="1.0" encoding="utf-8" ?>';
		$requestXmlBody .= '<ReviseFixedPriceItemRequest xmlns="urn:ebay:apis:eBLBaseComponents">';
		$requestXmlBody .= "<RequesterCredentials><eBayAuthToken>$userToken</eBayAuthToken></RequesterCredentials>";
		$requestXmlBody .= '<DetailLevel>ReturnAll</DetailLevel>';
		$requestXmlBody .= '<ErrorLanguage>en_UK</ErrorLanguage>';
		$requestXmlBody .= "<Version>$compatabilityLevel</Version>";
				 $requestXmlBody .= "<Item>";
				
					$requestXmlBody .='<ItemID ComplexType="ItemIDType">'.$itemid.'</ItemID>';
				
					$requestXmlBody .= "<ShippingDetails>";
				
					  $requestXmlBody .= "<ShippingServiceOptions>";
				
						$requestXmlBody .= "<ShippingServiceCost>9.9</ShippingServiceCost>";
				
					
					  $requestXmlBody .= "</ShippingServiceOptions>";
				
					$requestXmlBody .= "</ShippingDetails>";
				
				  $requestXmlBody .= "</Item>";
				
				
				
				$requestXmlBody .= "</ReviseFixedPriceItemRequest>";
					
					*/
		
        //Create a new eBay session with all details pulled in from included keys.php
        $session = new eBaySession($userToken, $devID, $appID, $certID, $serverUrl, $compatabilityLevel, $siteID, $verb);

		//send the request and get response
		 $responseXml = $session->sendHttpRequest($requestXmlBody);
		if(stristr($responseXml, 'HTTP 404') || $responseXml == '')
			die('<P>Error sending request');
		 $responseXml;
		//Xml string is parsed and creates a DOM Document object
		$responseDoc = new DomDocument();
		$responseDoc->loadXML($responseXml);
			
		//get any error nodes
		$errors = $responseDoc->getElementsByTagName('Errors');
		
		//set the variables ready if required
		$returnerror = "";
		$ack = "";
		$itemID = "";
		$fee = "";
		
		//if there are error nodes
		if($errors->length > 0)
		{
			$returnerror .= 'Failed - ';
			//display each error
			//Get error code, ShortMesaage and LongMessage
			$code     = $errors->item(0)->getElementsByTagName('ErrorCode');
			$shortMsg = $errors->item(0)->getElementsByTagName('ShortMessage');
			$longMsg  = $errors->item(0)->getElementsByTagName('LongMessage');
			//Display code and shortmessage
			$returnerror .= $code->item(0)->nodeValue." ".str_replace(">", "&gt;", str_replace("<", "&lt;", $shortMsg->item(0)->nodeValue));
			//if there is a long message (ie ErrorLevel=1), display it
			if(count($longMsg) > 0)
				$returnerror .= str_replace(">", "&gt;", str_replace("<", "&lt;", $longMsg->item(0)->nodeValue));
	
			//get results nodes
            $responses = $responseDoc->getElementsByTagName("CompleteSaleResponse");
            foreach ($responses as $response) {
				$itemIDs  = $response->getElementsByTagName("ItemID");
				  if(isset($itemIDs->item(0)->nodeValue)){
				  echo $itemID   = $itemIDs->item(0)->nodeValue;
				  }
				  
				  //echo "itemID = $itemID <BR />\n";
             }
      		if ($itemID==""){
			
			}else{
			$returnerror = "A warning occured";
			echo $ack = "Success";
			}
			  
			  //update stock record in database with ebay id
			  //mssql_query_upgrade('UPDATE [dbo].[LiveStock] SET [Ebay_Number] = \''.$itemID.'\' WHERE [StockID] = \''.$stockid.'\'');
			  
			  
		} else { //no errors
            
			//get results nodes
            $responses = $responseDoc->getElementsByTagName("CompleteSaleResponse");
           
			foreach ($responses as $response) {
              $acks = $response->getElementsByTagName("Ack");
              $ack   = $acks->item(0)->nodeValue;
                            
              //$endTimes  = $response->getElementsByTagName("EndTime");
              //$endTime   = $endTimes->item(0)->nodeValue;
              //echo "endTime = $endTime <BR />\n";
              
              //$itemIDs  = $response->getElementsByTagName("ItemID");
              //$itemID   = $itemIDs->item(0)->nodeValue;
              //echo "itemID = $itemID <BR />\n";
             
              $linkBase = "http://cgi.sandbox.ebay.com/ws/eBayISAPI.dll?ViewItem&item=";
              //echo "<a href=$linkBase" . $itemID . ">$itemTitle</a> <BR />";
              
			  
			  //update stock record in database with ebay id
			  //mssql_query_upgrade('UPDATE [dbo].[LiveStock] SET [Ebay_Number] = \''.$itemID.'\' WHERE [StockID] = \''.$stockid.'\'');
			  
/*              $feeNodes = $responseDoc->getElementsByTagName('Fee');
              foreach($feeNodes as $feeNode) {
                $feeNames = $feeNode->getElementsByTagName("Name");
                if ($feeNames->item(0)) {
                    $feeName = $feeNames->item(0)->nodeValue;
                    $fees = $feeNode->getElementsByTagName('Fee');  // get Fee amount nested in Fee
                    $fee = $fees->item(0)->nodeValue;
                    if ($fee > 0.0) {
                        if ($feeName == 'ListingFee') {
                          printf("<B>$feeName : %.2f </B><BR>\n", $fee); 
                        } else {
                          printf("$feeName : %.2f <BR>\n", $fee);
                        }      
                    }  // if $fee > 0
                } // if feeName
              } // foreach $feeNode*/
            
            } // foreach response
            
		} // if $errors->length > 0
		
		
	//update the date field - goes in american format and database stores it in british
	mssql_query_upgrade('UPDATE [dbo].[LiveStock] SET [Ebay_Date] = \''.date("m/d/Y").'\' WHERE [StockID] = \''.$stockid.'\'');

	$returnarr = array();
	 $returnarr[0] = $ack;
	 $returnarr[1] = $itemID;
	 $returnarr[2] = $fee;
	 $returnarr[3] = $returnerror;
	
	return $returnarr;

} //end function


?>