<?php
//Script Name: Paypal IPN
//Revision No.: 1.07
//Revision Date: 19/09/2010


require_once("../config1.php");
require_once("funcs/db.php");
require_once("funcs/paypal.php");
require_once("funcs/ebay.php");

require_once("funcs/errorlog.php");

// read the post from PayPal system and add 'cmd'
$req = 'cmd=_notify-validate';

foreach ($_REQUEST as $key => $value) {
$value = urlencode(stripslashes($value));
$req .= "&$key=$value";
}

// post back to PayPal system to validate
$header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
$header .= "Content-Length: ".strlen($req)."\r\n\r\n";

//$fp = fsockopen ('ssl://www.sandbox.paypal.com', 443, $errno, $errstr, 30);
$fp = fsockopen ('ssl://www.paypal.com', 443, $errno, $errstr, 30);

// assign posted variables to local variables
//remove quote mark
echo $txn_id =  str_replace("'","",$_REQUEST['txn_id']);
$txn_type = str_replace("'","",$_REQUEST['txn_type']);
$payment_type = str_replace("'","",$_REQUEST['payment_type']);
$payment_date = str_replace("'","",$_REQUEST['payment_date']);
$payment_status = str_replace("'","",$_REQUEST['payment_status']);
$first_name = str_replace("'","",$_REQUEST['first_name']);
$last_name = str_replace("'","",$_REQUEST['last_name']);
echo $payer_email = str_replace("'","",$_REQUEST['payer_email']);
$payer_id = str_replace("'","",$_REQUEST['payer_id']);
$address_name = str_replace("'","",$_REQUEST['address_name']);
$address_country = str_replace("'","",$_REQUEST['address_country']);
$address_country_code = str_replace("'","",$_REQUEST['address_country_code']);
$address_zip = str_replace("'","",$_REQUEST['address_zip']);
$address_state = str_replace("'","",$_REQUEST['address_state']);
$address_city = str_replace("'","",$_REQUEST['address_city']);
$address_street = str_replace("'","",$_REQUEST['address_street']);
$contact_phone = str_replace("'","",$_REQUEST['contact_phone']);
$business = str_replace("'","",$_REQUEST['business']);
$receiver_email = str_replace("'","",$_REQUEST['receiver_email']);
$receiver_id = str_replace("'","",$_REQUEST['receiver_id']);
$residence_country = str_replace("'","",$_REQUEST['residence_country']);
echo $item_name = str_replace("'","",$_REQUEST['item_name']);
$item_number = str_replace("'","",$_REQUEST['item_number']);
$item_name1 = str_replace("'","",$_REQUEST['item_name1']);
$item_number1 = str_replace("'","",$_REQUEST['item_number1']);
$quantity = str_replace("'","",$_REQUEST['quantity']);
$quantity1 = str_replace("'","",$_REQUEST['quantity1']);
$shipping = str_replace("'","",$_REQUEST['shipping']);
if(!isset($_REQUEST['shipping']) && isset($_REQUEST['mc_shipping']))
{
 $shipping = str_replace("'","",$_REQUEST['mc_shipping']);
}
$tax = str_replace("'","",$_REQUEST['tax']);
$mc_currency = str_replace("'","",$_REQUEST['mc_currency']);
$mc_fee = str_replace("'","",$_REQUEST['mc_fee']);
$mc_gross = str_replace("'","",$_REQUEST['mc_gross']);
$custom = str_replace("'","",$_REQUEST['custom']);
$invoice = str_replace("'","",$_REQUEST['invoice']);
$memo = str_replace("'","",$_REQUEST['memo']);
$auction_buyer_id = str_replace("'","",$_REQUEST['auction_buyer_id']);
$ebaysubject = str_replace("'","",$_REQUEST['emailsubject']);

$myFile = "log.txt";
$fh = fopen($myFile, 'a');

if(!$fh) {mail("alyons1880@googlemail.com,kas30r@gmail.com","Dirrectory permission error for log.txt :".$_SERVER['SCRIPT_FILENAME'],"error in open log file on ppipn.php");}

$date=date("d/m/Y");
//error_log("You messed up!".$date.PHP_EOL, 3, "log.txt");
$msg.=PHP_EOL."--------------  --------------  --------------  --------------  --------------  --------------  --------------".PHP_EOL;
		$msg.="  txn_id           txn_type      payer_email   	   business      					mc_gross     Date".PHP_EOL;
	$msg.="--------------  --------------  --------------  --------------  --------------  --------------  -------------- ".PHP_EOL;
 $msg.=  $txn_id."   ".$txn_type."   ".$payer_email."   ".$business."   ".$mc_gross."   ".'['.date("F j, Y, g:i a").']'.PHP_EOL;
	$msg.="--------------  --------------  --------------  --------------  --------------  --------------  --------------".PHP_EOL;
error_log($msg.PHP_EOL, 3, "log.txt");


 $orderid =$item_name;
echo "<br><br> item_name : ".$orderid."<br>";
echo "txn_type : ".$txn_type."<br>";

//remove ' marks from memo field
$memo = str_replace("'","",$memo);


//split the street into lines in an array
$addresslines = explode("\n",$address_street);

//set a blank variable ready for later
$partprice = "";

//if the transaction was send money - guess it was paypal request
if($txn_type=="send_money"){
	//pull the array of partids, partnames and orderid from the paypal request table
	$tmparr = array();
	//$tmparr = paypalrequestsendmoneyget($payer_email,$receiver_email,$mc_gross);

echo "Query For Fetch data from DB:  SELECT [ID], [PartID], [PartName], [OrderID], CAST([Delivery] AS Decimal(18,2)) AS [Delivery], [PartPrice] FROM [autoweb].[Paypal_Requests],[source] WHERE [Paypal_email] = '".$payer_email."' AND [business_paypal]='".$receiver_email."' AND CAST([TotalDue] AS Decimal(18,2)) = ".$mc_gross;
	
	
	$query = mssql_query_upgrade("SELECT [ID], [PartID], [PartName], [OrderID], CAST([Delivery] AS Decimal(18,2)) AS [Delivery], [PartPrice],[source] FROM [autoweb].[Paypal_Requests] WHERE [Paypal_email] = '".$payer_email."' AND [business_paypal]='".$receiver_email."' AND CAST([TotalDue] AS Decimal(18,2)) = ".$mc_gross, dblink());


     $row = mssql_fetch_array_upgrade($query);
	 $ct=mssql_num_rows_upgrade($query);
	 
	 if($ct!=0)
	 {
	 $clientid=$row['ClientID'];
	 $partID =  $row['PartID'];
	 $PartName =  $row['PartName'];
	 $delivery = $row['Delivery'];
	 $OrderID =  $row['OrderID'];
	 $ID =  $row['ID'];
	 $source=$row['source'];
	$PartPrice =  $row['PartPrice'];
	
	
	//array for the partids
	$arrpartid = array();
	$arrpartid = explode(",",$partID);
	
	//array for the partnames
	$arrpartname = array();
	$arrpartname = explode(",",$PartName);
	
	$tmparr[0] = $arrpartid;
	$tmparr[1] = $arrpartname;
	$tmparr[2] = $OrderID;
	$tmparr[3] = $delivery;
	$tmparr[4] = $PartPrice;
	
	
	//build arrays to put the data in from the paypal request table
	$arrpartid = array();
	$arrpartname = array(); 
	$arrpartid = $tmparr[0];
	$arrpartname = $tmparr[1];
	
	//get the shipping/delivery
	$shipping = $tmparr[3];
	
	//finally get the orderid
	
	//$orderid = $tmparr[2];
	
	//get the part prices
	$partprice = $tmparr[4];
	
	//implode the array for the upload to the ipn table
	echo $custom = implode(",", $arrpartid);
	
	$item_name = implode(",", $arrpartname);
	}
	if(!$ID){
	}else{
		//delete the row that relates to the paypalrequest
		mssql_query_upgrade('DELETE FROM [autoweb].[Paypal_Requests] WHERE [ID] = '.$ID, dblink());
	}
	
	
	
	//build arrays to put the data in from the paypal request table
	
	//$custom = $tmparr[0];
	//$item_name = $tmparr[1];
	
}


//if there is no custom field or ebay item name then assume that this was a paypal request
//attempt to look up the item number from paypal request table
if(!$custom&&!$item_number&&!$item_number1&&$item_name)
{

	//pull the array of partids, partnames and orderid from the paypal request table
	$tmparr = array();
	//$tmparr = paypalrequestgetpart($item_name,$mc_gross);
	
	 $orderid = substr($orderid,10);
	//get the part id from the paypal requests table
echo "<br/>Query For Fetch data from DB: SELECT [ID], [PartID], [PartName], [OrderID],[ClientID], CAST([Delivery] AS Decimal(18,2)) AS [Delivery], [PartPrice],[source] FROM [autoweb].[Paypal_Requests] WHERE ([OrderID] = '".$orderid."')  OR ([Paypal_email]='$payer_email' AND CAST([TotalDue] AS Decimal(18,2)) = ".$mc_gross.")<br/>"; 

	 $query =mssql_query_upgrade("SELECT [ID], [PartID], [PartName], [OrderID],[ClientID], CAST([Delivery] AS Decimal(18,2)) AS [Delivery], [PartPrice],[source] FROM [autoweb].[Paypal_Requests] WHERE ([OrderID] = '".$orderid."') OR ([Paypal_email]='$payer_email' AND CAST([TotalDue] AS Decimal(18,2)) =$mc_gross)", dblink());
	
	$row = mssql_fetch_array_upgrade($query);
	 $ct=mssql_num_rows_upgrade($query);
	 if($ct!=0)
	 {
	 $clientid=$row['ClientID'];
	  $partID =  $row['PartID'];
	 $PartName =  $row['PartName'];
	$delivery = $row['Delivery'];
	 $OrderID =  $row['OrderID'];
	 $ID =  $row['ID'];
	$PartPrice =  $row['PartPrice'];
	$source=$row['source'];
	
	//array for the partids
	$arrpartid = array();
	$arrpartid = explode(",",$partID);
	
	//array for the partnames
	$arrpartname = array();
	$arrpartname = explode(",",$PartName);
	
	$tmparr[0] = $arrpartid;
	$tmparr[1] = $arrpartname;
	$tmparr[2] = $OrderID;
	$tmparr[3] = $delivery;
	$tmparr[4] = $PartPrice;
	
	
	//build arrays to put the data in from the paypal request table
	$arrpartid = array();
	$arrpartname = array(); 
	$arrpartid = $tmparr[0];
	$arrpartname = $tmparr[1];
	
	//get the shipping/delivery
	$shipping = $tmparr[3];
	
	//finally get the orderid
	
	//$orderid = $tmparr[2];
	
	//get the part prices
	$partprice = $tmparr[4];
	
	//implode the array for the upload to the ipn table
	 $custom = implode(",", $arrpartid);
	echo  "Parts ID :".$custom."<br>";
	$item_name = implode(",", $arrpartname);
	//$custom = $tmparr[0];
	//$item_name = $tmparr[1];
	}
if(!$ID){
	//senderror("OrderID Does Not Exist!", $txn_id." | ".$txn_type." | ".$payment_type." | ".$payment_date." | ".$payment_status." | ".$first_name." | ".$last_name." | ".$payer_email." | ".$payer_id." | ".$address_name." | ".$address_country." | ".$address_country_code." | ".$address_zip." | ".$address_state." | ".$address_city." | ".$addresslines[0]." | ". $addresslines[1]." | ".$contact_phone." | ".$business." | ".$receiver_email." | ".$receiver_id." | ".$residence_country." | ".$item_name." | ".$item_number." | ".$item_name1." | ".$item_number1." | ".$quantity." | ".$quantity1." | ".$shipping." | ".$tax." | ".$mc_currency." | ".$mc_fee." | ".$mc_gross." | ".$custom." | ".$invoice." | ".$memo." | ".$auction_buyer_id." | ".$orderid." | ".$allitems);
	 
	 
	 
	}else{
		//delete the row that relates to the paypalrequest
		mssql_query_upgrade('DELETE FROM [autoweb].[Paypal_Requests] WHERE [ID] = '.$ID, dblink());
	}


}


//count the number of items
$arritems = explode(",",$item_name);
$ic = count($arritems);

$allitems = "";

for($i = 1;$i<=$ic;++$i)
{
	$currentitemamount =  str_replace("'","",$_REQUEST["mc_gross_".$i]);
	$allitems .= $currentitemamount.", ";
}

//if the partprice has been set ues it, otherwise try and work it out
if($partprice==""){
	$allitems = substr($allitems,0,strlen($allitems) - 2);
}else{
	$allitems = $partprice;
}

if (!$fp) {
// HTTP ERROR

} else {
$k="OR";
$m="QU";
echo "<br>OrderID : ".$orderid."<br>";
 $order=substr($orderid,0,2);
if($order==$k || $order==$m)
{
 $orderid;
}
else
{
 $orderid=" ";
}
	fputs ($fp, $header . $req);
	while (!feof($fp)) {
	$res = fgets ($fp, 1024);
	if (strcmp ($res, "VERIFIED") == 0) {
		if($payment_status=="Completed"){
		
			if(paypalchecks($txn_id, $receiver_email, $mc_gross, $custom, $item_number, $mc_currency))
			{
				$id = ipnsuccess($txn_id,$clientid,$txn_type,$payment_type,$payment_date,$payment_status,$first_name,$last_name,$payer_email,$payer_id,$address_name,$address_country,$address_country_code,$address_zip,$address_state,$address_city,$addresslines[0], $addresslines[1],$contact_phone,$business,$receiver_email,$receiver_id,$residence_country,$item_name,$item_number,$item_name1,$item_number1,$quantity,$quantity1,$shipping,$tax,$mc_currency,$mc_fee,$mc_gross,$custom,$invoice,$memo,$auction_buyer_id,$orderid,$allitems,$source);
				
				if($id==""){
					senderror("IPN ERROR!", $txn_id." | ".$txn_type." | ".$payment_type." | ".$payment_date." | ".$payment_status." | ".$first_name." | ".$last_name." | ".$payer_email." | ".$payer_id." | ".$address_name." | ".$address_country." | ".$address_country_code." | ".$address_zip." | ".$address_state." | ".$address_city." | ".$addresslines[0]." | ". $addresslines[1]." | ".$contact_phone." | ".$business." | ".$receiver_email." | ".$receiver_id." | ".$residence_country." | ".$item_name." | ".$item_number." | ".$item_name1." | ".$item_number1." | ".$quantity." | ".$quantity1." | ".$shipping." | ".$tax." | ".$mc_currency." | ".$mc_fee." | ".$mc_gross." | ".$custom." | ".$invoice." | ".$memo." | ".$auction_buyer_id." | ".$orderid." | ".$allitems);
				}
		
			}
			else
			{
				// log for manual investigation - payment checks fail - fraud?
				// check the payment_status is Completed
				// check that txn_id has not been previously processed
				// check that receiver_email is your Primary PayPal email
				// check that payment_amount/payment_currency are correct
				$id = ipnfailure($txn_id,$clientid,$txn_type,$payment_type,$payment_date,$payment_status,$first_name,$last_name,$payer_email,$payer_id,$address_name,$address_country,$address_country_code,$address_zip,$address_state,$address_city,$addresslines[0], $addresslines[1],$contact_phone,$business,$receiver_email,$receiver_id,$residence_country,$item_name,$item_number,$item_name1,$item_number1,$quantity,$quantity1,$shipping,$tax,$mc_currency,$mc_fee,$mc_gross,$custom,$invoice,$memo,$auction_buyer_id,$orderid,$allitems,$source);
				
				if($id==" "){
					senderror("IPN ERROR!", $txn_id." | ".$txn_type." | ".$payment_type." | ".$payment_date." | ".$payment_status." | ".$first_name." | ".$last_name." | ".$payer_email." | ".$payer_id." | ".$address_name." | ".$address_country." | ".$address_country_code." | ".$address_zip." | ".$address_state." | ".$address_city." | ".$addresslines[0]." | ". $addresslines[1]." | ".$contact_phone." | ".$business." | ".$receiver_email." | ".$receiver_id." | ".$residence_country." | ".$item_name." | ".$item_number." | ".$item_name1." | ".$item_number1." | ".$quantity." | ".$quantity1." | ".$shipping." | ".$tax." | ".$mc_currency." | ".$mc_fee." | ".$mc_gross." | ".$custom." | ".$invoice." | ".$memo." | ".$auction_buyer_id." | ".$orderid." | ".$allitems);
		
			}
		}
		}elseif($payment_status=="Pending"){
			
			
			//if the status is pending and the type is echeck
			if($payment_type=="echeck"){
				//include this for the reminders to be sent by breakerpro
				$id = ipnsuccess($txn_id,$clientid,$txn_type,$payment_type,$payment_date,$payment_status,$first_name,$last_name,$payer_email,$payer_id,$address_name,$address_country,$address_country_code,$address_zip,$address_state,$address_city,$addresslines[0], $addresslines[1],$contact_phone,$business,$receiver_email,$receiver_id,$residence_country,$item_name,$item_number,$item_name1,$item_number1,$quantity,$quantity1,$shipping,$tax,$mc_currency,$mc_fee,$mc_gross,$custom,$invoice,$memo,$auction_buyer_id,$orderid,$allitems,$source);
				
				if($id==""){
					senderror("IPN ERROR!", $txn_id." | ".$txn_type." | ".$payment_type." | ".$payment_date." | ".$payment_status." | ".$first_name." | ".$last_name." | ".$payer_email." | ".$payer_id." | ".$address_name." | ".$address_country." | ".$address_country_code." | ".$address_zip." | ".$address_state." | ".$address_city." | ".$addresslines[0]." | ". $addresslines[1]." | ".$contact_phone." | ".$business." | ".$receiver_email." | ".$receiver_id." | ".$residence_country." | ".$item_name." | ".$item_number." | ".$item_name1." | ".$item_number1." | ".$quantity." | ".$quantity1." | ".$shipping." | ".$tax." | ".$mc_currency." | ".$mc_fee." | ".$mc_gross." | ".$custom." | ".$invoice." | ".$memo." | ".$auction_buyer_id." | ".$orderid." | ".$allitems);
				}
				
				
			}
			
		}else{
			
			// log for manual investigation - payment status not completed
			//no longer logged as requested
			//$id = ipnfailure($txn_id,$txn_type,$payment_type,$payment_date,$payment_status,$first_name,$last_name,$payer_email,$payer_id,$address_name,$address_country,$address_country_code,$address_zip,$address_state,$address_city,$addresslines[0], $addresslines[1],$contact_phone,$business,$receiver_email,$receiver_id,$residence_country,$item_name,$item_number,$item_name1,$item_number1,$quantity,$quantity1,$shipping,$tax,$mc_currency,$mc_fee,$mc_gross,$custom,$invoice,$memo,$auction_buyer_id);
		
		
			
			//mail("contact@easterndigital.co.uk","paymentstatus invalid","ipn".$id);
		}
		
	}
	else if (strcmp ($res, "INVALID") == 0) {
		// log for manual investigation - unknown
		//no longer logged
		
		 $id = ipnfailure($txn_id,$clientid,$txn_type,$payment_type,$payment_date,$payment_status,$first_name,$last_name,$payer_email,$payer_id,$address_name,$address_country,$address_country_code,$address_zip,$address_state,$address_city,$addresslines[0], $addresslines[1],$contact_phone,$business,$receiver_email,$receiver_id,$residence_country,$item_name,$item_number,$item_name1,$item_number1,$quantity,$quantity1,$shipping,$tax,$mc_currency,$mc_fee,$mc_gross,$custom,$invoice,$memo,$auction_buyer_id,$orderid,$allitems,$source);
		
		if($id==""){ 
					senderror("IPN ERROR! IPN NOT ADDED TO DATABASE", $txn_id." | ".$txn_type." | ".$payment_type." | ".$payment_date." | ".$payment_status." | ".$first_name." | ".$last_name." | ".$payer_email." | ".$payer_id." | ".$address_name." | ".$address_country." | ".$address_country_code." | ".$address_zip." | ".$address_state." | ".$address_city." | ".$addresslines[0]." | ". $addresslines[1]." | ".$contact_phone." | ".$business." | ".$receiver_email." | ".$receiver_id." | ".$residence_country." | ".$item_name." | ".$item_number." | ".$item_name1." | ".$item_number1." | ".$quantity." | ".$quantity1." | ".$shipping." | ".$tax." | ".$mc_currency." | ".$mc_fee." | ".$mc_gross." | ".$custom." | ".$invoice." | ".$memo." | ".$auction_buyer_id." | ".$orderid." | ".$allitems);
				}

	}
	
	
	
}
fclose ($fp);
}
?>
