<?php
$IS_LIVE = true;
ini_set('max_execution_time', 0);
if($IS_LIVE) {
  ini_set('display_errors', 1);
  error_reporting(E_ALL & ~E_WARNING);
  require_once("../../centralized/config.php");
  require_once("../../centralized/db.php");
}
header('Content-Type: application/json');

/**
 * Define variables
 */
$API_URL = "https://api.onbuy.com/v2";
if($IS_LIVE) {
  $secret_key = "";
  $customer_key = "";
} else {
  $secret_key = "sk_test_eeea6c672fe349d58e7d77f5d2193dea";
  $customer_key = "ck_test_97bb641745a142a89c6f33e57b0b612e";
}
$access_token = "";
$site_id = 2000;
$action = "";
if(isset($_REQUEST["action"]) && $_REQUEST["client_id"]!="") {
  $action = $_REQUEST["action"];
}
if(!isset($_REQUEST["client_id"]) || $_REQUEST["client_id"]=="") {
  echo "<h2>ClientID required</h2>";
  exit();
}
$client_id = $_REQUEST['client_id'];

/**
 * Select secret & customer key from table
 */
if($IS_LIVE) {
  $querynew = "SELECT * FROM [automatch].[dbo].[CLIENTS] where [ClientID]='".$client_id."'";
  $dataquery    = mssql_query_upgrade($querynew, dblink());
  $countrowdata = mssql_num_rows_upgrade($dataquery);
  if($countrowdata>0) {
    $rowdata   = mssql_fetch_array_upgrade($dataquery);
    $secret_key = $rowdata["OnBuy_SecretKey"];
    $customer_key = $rowdata["OnBuy_CustomerKey"];
  }
}

/**
 * Generate Token
 */
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => $API_URL . '/auth/request-token',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_SSL_VERIFYPEER => false,
  CURLOPT_FAILONERROR => true,
  CURLOPT_POSTFIELDS => 'secret_key=' . $secret_key . '&consumer_key=' . $customer_key,
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/x-www-form-urlencoded'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$responseArr = json_decode($response, true);
$access_token = $responseArr["access_token"];

// echo "\nToken Generated -> Here it is: " . $access_token . "\n\n";

if($action=="orderBrowse") {
  /**
   * Browse Orders
   */
  $params = "site_id=" . $site_id;
  if(isset($_REQUEST["filter"]["status"])) {
    $params .= "&filter[status]=" . $_REQUEST["filter"]["status"];
  }
  if(isset($_REQUEST["filter"]["order_ids"])) {
    $params .= "&filter[order_ids]=" . $_REQUEST["filter"]["order_ids"];
  }
  if(isset($_REQUEST["filter"]["modified_since"])) {
    $params .= "&filter[modified_since]=" . $_REQUEST["filter"]["modified_since"];
  }
  if(isset($_REQUEST["filter"]["previously_exported"])) {
    $params .= "&filter[previously_exported]=" . $_REQUEST["filter"]["previously_exported"];
  }
  if(isset($_REQUEST["sort"]["created"])) {
    $params .= "&sort[created]=" . $_REQUEST["sort"]["created"];
  }
  if(isset($_REQUEST["sort"]["modified"])) {
    $params .= "&sort[modified]=" . $_REQUEST["sort"]["modified"];
  }
  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => $API_URL . '/orders?' . $params,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_SSL_VERIFYPEER => false,
    CURLOPT_FAILONERROR => true,
    CURLINFO_HEADER_OUT => true,
    CURLOPT_HTTPHEADER => array(
      'Authorization: ' . $access_token
    ),
  ));


  $response = curl_exec($curl);
  $error_msg = "";
  if (curl_errno($curl)) {
    echo "\n" . $error_msg = curl_error($curl);
    echo "\n";
    echo "\n";
  }

  print_r(curl_getinfo($curl)["request_header"]);
  echo "\n";
  echo "\n";
  curl_close($curl);
  // echo $response;

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  
  echo $xmlResponse;
} else if($action=="setDispatch") {
  /**
   * Mark Order as Dispatch
   */
  $params = "site_id=" . $site_id;
  
  $order_id = isset($_REQUEST["order_id"]) ? $_REQUEST["order_id"] : "";
  $sku = isset($_REQUEST["sku"]) ? $_REQUEST["sku"] : "";
  $opc = isset($_REQUEST["opc"]) ? $_REQUEST["opc"] : "";
  $quentity = isset($_REQUEST["quentity"]) ? $_REQUEST["quentity"] : "";
  $tracking_id = isset($_REQUEST["tracking_id"]) ? $_REQUEST["tracking_id"] : "";
  $supplier_name = isset($_REQUEST["supplier_name"]) ? $_REQUEST["supplier_name"] : "";
  $number = isset($_REQUEST["number"]) ? $_REQUEST["number"] : "";
  $url = isset($_REQUEST["url"]) ? $_REQUEST["url"] : "";

  $postFields = '{"orders": [ { "order_id": "' . $order_id . '", "products": [ {"sku": "' . $sku . '", "opc": "' . $opc . '", "quentity": "' . $quentity . '"} ], "tracking": {"tracking_id": "' . $tracking_id . '", "supplier_name": "'.$supplier_name.'", "number": "' . $number . '", "url": "' . $url . '"} } ] }';

  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => $API_URL . '/orders/dispatch?' . $params,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_SSL_VERIFYPEER => false,
    CURLOPT_FAILONERROR => true,
    CURLINFO_HEADER_OUT => true,
    CURLOPT_POSTFIELDS => $postFields,
    CURLOPT_HTTPHEADER => array(
    	"content-type: application/json",
      'Authorization: ' . $access_token
    ),
  ));

  $response = curl_exec($curl);
  $error_msg = "";
  if (curl_errno($curl)) {
    echo "\n" . $error_msg = curl_error($curl);
    echo "\n";
    echo "\n";
  }

  print_r(curl_getinfo($curl)["request_header"]);
  echo "\n";
  echo "\n";
  curl_close($curl);
  // echo $response;

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  echo $xmlResponse;

} else if($action=="createProduct") {

  $querynew = "SELECT Top 1 [ID]  ,[StockID],[VehicleID]  ,[ClientID]  ,[AccountID]  ,[Make]  ,[Model]  ,[PartType], [PartName]  ,[nDetails]  ,[Price]  ,[Year]  ,[manufact_year]  ,[Engine]  ,Weight, [Condition], [fuel]  , [colour]  ,[mileage]  ,CAST([ImageThumbnailURLList] as [text]) ImageThumbnailURLList, CAST([ImageURLList] as [text]) ImageURLList, CAST([ImageStandardURLList] as [text]) ImageStandardURLList,CAST([Ebay_PicURL] as [text]) Ebay_PicURL, CAST([Keywords] as [text]) Keywords, [WEB_Price] ,[Woo_CATID], CAST([Details] as [TEXT]) Details, CAST([ebay_title] as [text]) ebay_title FROM [automatch].[dbo].[LiveStock] where [StockID]='1269-290514-112511-20' AND [ClientID]='".$client_id."'";

  $dataquery    = mssql_query_upgrade($querynew, dblink());
  $countrowdata = mssql_num_rows_upgrade($dataquery);
  $rowdata = mssql_fetch_array_upgrade($dataquery);
  
  if($countrowdata && $countrowdata>0) {
    echo "Yes";
    print_r($rowdata);
  } else {
    echo "No";
  }

} else {
  /**
   * Delete SKU
   */
  if(!isset($_REQUEST["stock_id"]) || $_REQUEST["stock_id"]=="") {
    echo "<h2>StockID required</h2>";
    exit();
  }
  $skus = '["'.$_REQUEST["stock_id"].'"]';

  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => $API_URL . '/listings/by-sku',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_SSL_VERIFYPEER => false,
    CURLOPT_FAILONERROR => true,
    CURLINFO_HEADER_OUT => true,
    CURLOPT_POSTFIELDS =>'{
    "site_id": ' . $site_id . ',
    "skus": ' . $skus . '
    }',
    CURLOPT_HTTPHEADER => array(
      'Authorization: ' . $access_token,
      'Content-Type: application/json'
    ),
  ));


  $response = curl_exec($curl);
  $error_msg = "";
  if (curl_errno($curl)) {
    echo "\n" . $error_msg = curl_error($curl);
    echo "\n";
    echo "\n";
  }

  print_r(curl_getinfo($curl)["request_header"]);
  echo "\n";
  echo "\n";
  curl_close($curl);
  // echo $response;

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  echo $xmlResponse;
}

/**
 * Convert Array to XML
 */
function array2xml($array, $xml = false){

  if($xml === false){
      $xml = new SimpleXMLElement('<result/>');
  }
  
  foreach($array as $key => $value){
      if(is_array($value)){
          array2xml($value, $xml->addChild($key));
      } else {
          $xml->addChild($key, $value);
      }
  }
  /* */
  $domxml = new DOMDocument('1.0');
  $domxml->preserveWhiteSpace = true;
  $domxml->formatOutput = true;
  /* @var $xml SimpleXMLElement */
  $domxml->loadXML($xml->asXML());
  $out = $domxml->saveXML();
  $domxml->save('resultdata.xml');
  $xml=simplexml_load_file("resultdata.xml");
  /*echo str_replace('<?xml version="1.0"?>', '', $out);
  /* */
  
  // return $out;
  return $xml->asXML();
}

?>