<?php
ini_set('max_execution_time', 0);
$IS_LIVE = true;

ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_WARNING);
require_once("../../centralized/config.php");
require_once("../../centralized/db.php");
// require_once( '../../lib/woocommerce-api.php' );
  
header('Content-Type: application/json');

function remoteFileExists($url) {
    $curl = curl_init($url);
    //don't fetch the actual page, you only want to check the connection is ok
    curl_setopt($curl, CURLOPT_NOBODY, true);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
    //do request
    $result = curl_exec($curl);
    $ret = false;
    //if request did not fail
    if ($result !== false) {
        //if request was ok, check response code
        $statusCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);  
        if ($statusCode == 200) {
            $ret = true;   
        }
    }
    curl_close($curl);
    return $ret;
}

/**
 * Define variables
 */
$API_URL = "https://api.onbuy.com/v2";
if($IS_LIVE) {
  $secret_key = "";
  $customer_key = "";
} else {
  $secret_key = "sk_test_eeea6c672fe349d58e7d77f5d2193dea";
  $customer_key = "ck_test_97bb641745a142a89c6f33e57b0b612e";
}
$secret_key = "";
$customer_key = "";
$access_token = "";
$site_id = 2000;
$action = "";
if(isset($_REQUEST["action"]) && $_REQUEST["client_id"]!="") {
  $action = $_REQUEST["action"];
}
if(!isset($_REQUEST["client_id"]) || $_REQUEST["client_id"]=="") {
  echo "<h2>ClientID required</h2>";
  exit();
}
$client_id = $_REQUEST['client_id'];
// $stock_id = $_REQUEST['stock_id'];

/**
 * Select secret & customer key from table
 */

  $querynew = "SELECT * FROM [automatch].[dbo].[CLIENTS] where [ClientID]='".$client_id."'";
  $dataquery    = mssql_query_upgrade($querynew, dblink());
  $countrowdata = mssql_num_rows_upgrade($dataquery);
  if($countrowdata>0) {
    $rowdata   = mssql_fetch_array_upgrade($dataquery);
    $secret_key = $rowdata["OnBuy_SecretKey"];
    $customer_key = $rowdata["OnBuy_CustomerKey"];
  }


/**
 * Generate Token
 */
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => $API_URL . '/auth/request-token',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_SSL_VERIFYPEER => false,
  CURLOPT_FAILONERROR => true,
  CURLOPT_POSTFIELDS => 'secret_key=' . $secret_key . '&consumer_key=' . $customer_key,
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/x-www-form-urlencoded'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
$responseArr = json_decode($response, true);
$access_token = $responseArr["access_token"];

// echo "\nToken Generated -> Here it is: " . $access_token . "\n\n";

if($action=="orderBrowse") {
  /**
   * Browse Orders
   */
  $params = "site_id=" . $site_id . "&limit=100";
  if(isset($_REQUEST["filter"]["status"])) {
    $params .= "&filter[status]=" . $_REQUEST["filter"]["status"];
  }
  if(isset($_REQUEST["order_id"])) {
    $params .= "&filter[order_ids]=" . $_REQUEST["order_id"];
  }
  if(isset($_REQUEST["filter"]["modified_since"])) {
    $params .= "&filter[modified_since]=" . $_REQUEST["filter"]["modified_since"];
  }
  if(isset($_REQUEST["filter"]["previously_exported"])) {
    $params .= "&filter[previously_exported]=" . $_REQUEST["filter"]["previously_exported"];
  }
  if(isset($_REQUEST["sort"]["created"])) {
    $params .= "&sort[created]=" . $_REQUEST["sort"]["created"];
  }
  if(isset($_REQUEST["sort"]["modified"])) {
    $params .= "&sort[modified]=" . $_REQUEST["sort"]["modified"];
  }

  // do{
    // echo "\n ===== \n";
    // echo "\n Param: " . $params;
    $continueLoop = 0;
    $curl = curl_init();

    curl_setopt_array($curl, array(
      CURLOPT_URL => $API_URL . '/orders?' . $params,
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => '',
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_SSL_VERIFYPEER => false,
      CURLOPT_FAILONERROR => true,
      CURLINFO_HEADER_OUT => true,
      CURLOPT_HTTPHEADER => array(
        'Authorization: ' . $access_token
      ),
    ));


    $response = curl_exec($curl);
    $error_msg = "";
    if (curl_errno($curl)) {
      echo "\n" . $error_msg = curl_error($curl);
      echo "\n";
      echo "\n";
    }

    print_r(curl_getinfo($curl)["request_header"]);
    echo "\n";
    echo "\n";
    curl_close($curl);
    echo $response;

    $arr = json_decode($response, true);
    if($arr["metadata"]["total_rows"]==0) {
      $params = "site_id=" . $site_id;
      if(isset($_REQUEST["filter"]["status"])) {
        $params .= "&filter[status]=" . $_REQUEST["filter"]["status"];
      }
      if(isset($_REQUEST["filter"]["modified_since"])) {
        $params .= "&filter[modified_since]=" . $_REQUEST["filter"]["modified_since"];
      }
      if(isset($_REQUEST["filter"]["previously_exported"])) {
        $params .= "&filter[previously_exported]=" . $_REQUEST["filter"]["previously_exported"];
      }
      if(isset($_REQUEST["sort"]["created"])) {
        $params .= "&sort[created]=" . $_REQUEST["sort"]["created"];
      }
      if(isset($_REQUEST["sort"]["modified"])) {
        $params .= "&sort[modified]=" . $_REQUEST["sort"]["modified"];
      }
      $continueLoop=0;
    } else {
      $continueLoop=1;
    }
    // print_r($arr);
  // } while($continueLoop<1);
  $xmlResponse = array2xml($arr, false);
  
  echo $xmlResponse;
} 
/* Product listing */
else if($action=="productList") {
  $offset = 0;
  if(isset($_REQUEST["offset"])) {
    $offset = intval(trim($_REQUEST["offset"]));
    if($offset=="" || $offset<0) {
      $offset = 0;
    }
  }
  $params = "site_id=" . $site_id . "&limit=200&offset=" . $offset;
  
  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => $API_URL . '/listings?' . $params,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_SSL_VERIFYPEER => false,
    CURLOPT_FAILONERROR => true,
    CURLINFO_HEADER_OUT => true,
    CURLOPT_HTTPHEADER => array(
      'Authorization: ' . $access_token
    ),
  ));


  $response = curl_exec($curl);
  $error_msg = "";
  if (curl_errno($curl)) {
    echo "\n" . $error_msg = curl_error($curl);
    echo "\n";
    echo "\n";
  }

  print_r(curl_getinfo($curl)["request_header"]);
  echo "\n";
  echo "\n";
  curl_close($curl);
  echo $response;

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  echo $xmlResponse;
} 
/* insert product */
else if ($action=="createProduct" && isset($client_id))
{
  if(isset($_REQUEST['stock_id']) && trim($_REQUEST['stock_id'])!="") {
    $stock_id = trim($_REQUEST['stock_id']);
  } else {
    echo "<h2>StockID required</h2>";
    exit();
  }
  $productCounter = 0;
  $insertFields = "[";
  $skuArr = explode(",", $_REQUEST["stock_id"]);
  foreach($skuArr as $sku) {
    $STOCK = "[StockID]='".$sku."'";
    $output_arr = array();

    echo $querynew = "SELECT Top 1 [ID]  ,[StockID],[VehicleID]  ,[ClientID]  ,[AccountID]  ,[Make]  ,[Model]  ,[PartType], [PartName]  ,[nDetails]  ,[Price]  ,[Year]  ,[manufact_year]  ,[Engine]  ,Weight, [Condition], [fuel]  , [colour]  ,[mileage]  ,CAST([ImageThumbnailURLList] as [text]) ImageThumbnailURLList, CAST([ImageURLList] as [text]) ImageURLList, CAST([ImageStandardURLList] as [text]) ImageStandardURLList,CAST([Ebay_PicURL] as [text]) Ebay_PicURL, CAST([Keywords] as [text]) Keywords, [WEB_Price] ,[Woo_CATID], CAST([Details] as [TEXT]) Details, CAST([ebay_title] as [text]) ebay_title, OnBuyCatID, OnBuyDeliveryTemplateID, [Thatcham_PartManufacturerNumber] FROM [automatch].[dbo].[LiveStock] where ".$STOCK." AND [ClientID]='".$client_id."'";

    $dataquery    = mssql_query_upgrade($querynew, dblink());
    $countrowdata = mssql_num_rows_upgrade($dataquery);
    $rowdata   = mssql_fetch_array_upgrade($dataquery);

    if($countrowdata>0) {
      $productCounter++;
      print_r($rowdata); // exit();

      if(isset($rowdata['ImageStandardURLList']) && $rowdata['ImageStandardURLList']!="") {
        $additional_imagesVar = "";
        $imageArr = explode(",", $rowdata['ImageStandardURLList']);
        $defImage = $imageArr[0];
        if(count($imageArr)>1) {
          $additional_imagesArr = array();
          for($i=1; $i<count($imageArr); $i++) {
            array_push($additional_imagesArr, $imageArr[$i]);  
          }
          $additional_imagesVar = '"additional_images": ' . json_encode($additional_imagesArr) . ',';
        }
      }

      $warranty = isset($rowdata['Warranty']) ? intval($rowdata['Warranty']) : 0;
      
      $productDataD = '';
      $productCodes = ''; //'"product_codes" : ["NA"],';
      $isProduct = false;
      if(isset($rowdata['Year']) && trim($rowdata['Year'])!="") {
        $productDataD .= '{
          "label": "Year",
          "value": "'.$rowdata['Year'].'"
        }';
        $isProduct = true;
      }
      if(isset($rowdata['colour']) && trim($rowdata['colour'])!="") {
        if($isProduct) { $productDataD .= ','; }
        $productDataD .= '{
          "label": "Colour",
          "value": "'.$rowdata['colour'].'"
        }';
        $isProduct = true;
      }
      if($isProduct) {
        $productData = '"product_data" : ['.$productDataD.'],';
      }
      // if(isset($rowdata['Thatcham_PartManufacturerNumber']) && trim($rowdata['Thatcham_PartManufacturerNumber']) != "") {
      //   $productCodes = '"product_codes" : ["'.trim($rowdata['Thatcham_PartManufacturerNumber']).'"],';
      // }
      if(isset($rowdata['Condition'])) {
        $setVal = false;
        $conditionVal = strtolower($rowdata['Condition']);
        $conditionArr = explode(" ", $conditionVal);
        if($conditionVal=="very good") {
          $condition = "verygood";
          $setVal = true;
        } else if($conditionVal=="below average") {
          $condition = "belowaverage";
          $setVal = true;
        }
        foreach($conditionArr as $ca) {
          if(!$setVal) {
            if($ca=="good") {
              $condition = "good";
              $setVal = true;
            } if($ca=="new") {
              $condition = "new";
              $setVal = true;
            } if($ca=="refurbished") {
              $condition = "refurbished";
              $setVal = true;
            } if($ca=="average") {
              $condition = "average";
              $setVal = true;
            } else {
              $condition = "excellent";
              $setVal = true;
            }
          }
        }
      }
      $Details = removeCharacters($rowdata['Details']);
      $rowdata['ebay_title'] = removeCharacters($rowdata['ebay_title']);
      $rowdata['Make'] = removeCharacters($rowdata['Make']);
      $insertFields .= '{
        "category_id": "'.$rowdata['OnBuyCatID'].'",
        "uid": "'.$rowdata['StockID'].'",
        "published": "1",
        "product_name": "'.$rowdata['ebay_title'].'",
        "mpn": "'.$rowdata['StockID'].'",
        "description": "'.$Details.' <br /><br /> Powered by: BreakerPRO.co.uk - Professional Inventory Management Solution",
        "brand_name": "'.$rowdata['Make'].'",
        "default_image": "'.$defImage.'",
        '.$additional_imagesVar.'
        '.$productData.'
        '.$productCodes.'
        "listings": {
          "'.$condition.'": {
            "sku": "'.$rowdata['StockID'].'",
            "price": "'.$rowdata['WEB_Price'].'",
            "stock": "1",
            "handling_time": "1",
            "return_time": "30",
            "free_returns": true,
            "warranty": '.$warranty.',
            "delivery_template_id": "0"
          }
        }
      },';
    }
    // "delivery_template_id": "'.$rowdata['OnBuyDeliveryTemplateID'].'"
  }
  $insertFields = rtrim($insertFields, ",");
  $insertFields .= "]";
  // exit();
  // $stock_id = trim($_REQUEST['stock_id']);
    
  // echo $querynew = "SELECT Top 1 [ID], [StockID], [VehicleID], [ClientID], [AccountID], [Make], [Model], [PartType], [PartName], [nDetails], [Price], [Year], [manufact_year], [Engine], Weight, [Condition], [fuel], [colour], [mileage], CAST([ImageThumbnailURLList] as [text]) ImageThumbnailURLList, CAST([ImageURLList] as [text]) ImageURLList, CAST([ImageStandardURLList] as [text]) ImageStandardURLList, CAST([Ebay_PicURL] as [text]) Ebay_PicURL, CAST([Keywords] as [text]) Keywords, [WEB_Price], [Woo_CATID], CAST([Details] as [TEXT]) Details, CAST([ebay_title] as [text]) ebay_title, OnBuyCatID, OnBuyDeliveryTemplateID FROM [automatch].[dbo].[LiveStock] where ".$STOCK." AND [ClientID]='".$client_id."'";
  
  // $dataquery    = mssql_query_upgrade($querynew, dblink());
  // $countrowdata = mssql_num_rows_upgrade($dataquery);
  // // $rowdata   = print_r(mssql_fetch_array_upgrade($dataquery));
  // while($rowdata   = mssql_fetch_array_upgrade($dataquery)){
  //   print_r($rowdata);
  // }
    
  // if(isset($rowdata['ImageStandardURLList']) && $rowdata['ImageStandardURLList']!="") {
  //   $additional_imagesVar = "";
  //   $imageArr = explode(",", $rowdata['ImageStandardURLList']);
  //   $defImage = $imageArr[0];
  //   if(count($imageArr)>1) {
  //     $additional_imagesArr = array();
  //     for($i=1; $i<count($imageArr); $i++) {
  //       array_push($additional_imagesArr, $imageArr[$i]);  
  //     }
  //     $additional_imagesVar = '"additional_images": ' . json_encode($additional_imagesArr) . ',';
  //   }
  // }
    
  // $warranty = isset($rowdata['Warranty']) ? intval($rowdata['Warranty']) : 0;
    
  // $productDataD = '';
  // $isProduct = false;
  // if(isset($rowdata['Year'])) {
  //   $productDataD .= '{
  //     "label": "Year",
  //     "value": "'.$rowdata['Year'].'"
  //   }';
  //   $isProduct = true;
  // }
  // if(isset($rowdata['colour'])) {
  //   if($isProduct) { $productDataD .= ','; }
  //   $productDataD .= '{
  //     "label": "Colour",
  //     "value": "'.$rowdata['colour'].'"
  //   }';
  //   $isProduct = true;
  // }
  // if($isProduct) {
  //   $productData = '"product_data" : ['.$productDataD.'],';
  // }

  // $insertFields = '';
  // foreach($skuArr as $sku) {

  // }
  // $insertFields = '{
  //   "site_id": 2000,
  //   "category_id": "'.$rowdata['OnBuyCatID'].'",
  //   "published": "1",
  //   "product_name": "'.$rowdata['ebay_title'].'",
  //   "mpn": "'.$rowdata['StockID'].'",
  //   "description": "'.$rowdata['Details'].' <br /><br /> Powered by: BreakerPRO.co.uk - Professional Inventory Management Solution",
  //   "brand_name": "'.$rowdata['Make'].'",
  //   "default_image": "'.$defImage.'",
  //   '.$additional_imagesVar.'
  //   '.$productData.'
  //   "listings": {
  //     "new": {
  //       "sku": "'.$rowdata['StockID'].'",
  //       "price": "'.$rowdata['WEB_Price'].'",
  //       "stock": "1",
  //       "handling_time": "1",
  //       "return_time": "30",
  //       "free_returns": true,
  //       "warranty": '.$warranty.',
  //       "delivery_template_id": "'.$rowdata['OnBuyDeliveryTemplateID'].'"
  //     }
  //   }
  // }';
  // delivery_weight ==> Not found in create product API document.
  echo $insertFields;
  $insertFields1 = '{
    "site_id": '.$site_id.',
    "products": '.$insertFields.'
  }';
  echo $insertFields1;
  // exit();

  if($productCounter>0) {
    $params = "site_id=" . $site_id;

    $curl = curl_init();

    curl_setopt_array($curl, array(
      CURLOPT_URL => $API_URL . '/products?limit=100',
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => "",
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => "POST",
      CURLOPT_SSL_VERIFYPEER => false,
      CURLOPT_FAILONERROR => false,
      CURLINFO_HEADER_OUT => true,
      CURLOPT_POSTFIELDS => $insertFields1,
      CURLOPT_HTTPHEADER => array(
        "content-type: application/json",
        'Authorization: ' . $access_token
      ),
    ));

    $response = curl_exec($curl);
    $error_msg = "";
    if (curl_errno($curl)) {
      echo "\n" . $error_msg = curl_error($curl);
      echo "\n";
      echo "\n";
    }

    print_r(curl_getinfo($curl)["request_header"]);
    echo "\n";
    echo "\n";
    curl_close($curl);
    echo "response: \n" . $response;
  } else {
    $response = json_encode(array("status" => "Fail", "response" => "Record not found"));
  }

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  echo $xmlResponse;
  exit();    

} 
/* update product */
else if ($action=="updateProduct" && isset($client_id))
{
  if(isset($_REQUEST['stock_id']) && trim($_REQUEST['stock_id'])!="") {
    $stock_id = trim($_REQUEST['stock_id']);
  } else {
    echo "<h2>StockID required</h2>";
    exit();
  }
  $refreshimages = 0;
  if(isset($_REQUEST['refreshimages']) && trim($_REQUEST['refreshimages'])==1) {
    $refreshimages = 1;
  }
  $insertFields = "[";
  $skuArr = explode(",", $_REQUEST["stock_id"]);
  $opcArr = explode(",", $_REQUEST["opc"]);
  $rowCounter = 0;
  $productCounter = 0;
  foreach($skuArr as $sku) {
    $STOCK = "[StockID]='".$sku."'";
    $output_arr = array();

    $querynew = "SELECT Top 1 [ID]  ,[StockID],[VehicleID]  ,[ClientID]  ,[AccountID]  ,[Make]  ,[Model]  ,[PartType], [PartName]  ,[nDetails]  ,[Price]  ,[Year]  ,[manufact_year]  ,[Engine]  ,Weight, [Condition], [fuel]  , [colour]  ,[mileage]  ,CAST([ImageThumbnailURLList] as [text]) ImageThumbnailURLList, CAST([ImageURLList] as [text]) ImageURLList, CAST([ImageStandardURLList] as [text]) ImageStandardURLList,CAST([Ebay_PicURL] as [text]) Ebay_PicURL, CAST([Keywords] as [text]) Keywords, [WEB_Price] ,[Woo_CATID], CAST([Details] as [TEXT]) Details, CAST([ebay_title] as [text]) ebay_title, OnBuyCatID, OnBuyDeliveryTemplateID, [Thatcham_PartManufacturerNumber] FROM [automatch].[dbo].[LiveStock] where ".$STOCK." AND [ClientID]='".$client_id."'";

    $dataquery    = mssql_query_upgrade($querynew, dblink());
    $countrowdata = mssql_num_rows_upgrade($dataquery);
    $rowdata   = mssql_fetch_array_upgrade($dataquery);

    print_r($rowdata);
    if($countrowdata>0) {
      $productCounter++;
      $additional_imagesVar = "";
      if($refreshimages==1) {
        if(isset($rowdata['ImageStandardURLList']) && $rowdata['ImageStandardURLList']!="") {
          $imageArr = explode(",", $rowdata['ImageStandardURLList']);
          $defImage = $imageArr[0];
          if(count($imageArr)>1) {
            $additional_imagesArr = array();
            for($i=1; $i<count($imageArr); $i++) {
              array_push($additional_imagesArr, $imageArr[$i]);  
            }
            $additional_imagesVar = '"additional_images": ' . json_encode($additional_imagesArr) . ',';
          }
        }
      }

      $warranty = isset($rowdata['Warranty']) ? intval($rowdata['Warranty']) : 0;
      
      $productDataD = '';
      $productCodes = '';
      $isProduct = false;
      if(isset($rowdata['Year']) && trim($rowdata['Year'])!="") {
        $productDataD .= '{
          "label": "Year",
          "value": "'.$rowdata['Year'].'"
        }';
        $isProduct = true;
      }
      if(isset($rowdata['colour']) && trim($rowdata['colour'])!="") {
        if($isProduct) { $productDataD .= ','; }
        $productDataD .= '{
          "label": "Colour",
          "value": "'.$rowdata['colour'].'"
        }';
        $isProduct = true;
      }
      if($isProduct) {
        $productData = '"product_data" : ['.$productDataD.'],';
      }
      // if(isset($rowdata['Thatcham_PartManufacturerNumber']) && trim($rowdata['Thatcham_PartManufacturerNumber']) != "") {
      //   $productCodes = '"product_codes" : ["'.trim($rowdata['Thatcham_PartManufacturerNumber']).'"],';
      // }
      if(isset($rowdata['Condition'])) {
        $setVal = false;
        $conditionVal = strtolower($rowdata['Condition']);
        $conditionArr = explode(" ", $conditionVal);
        if($conditionVal=="very good") {
          $condition = "verygood";
          $setVal = true;
        } else if($conditionVal=="below average") {
          $condition = "belowaverage";
          $setVal = true;
        }
        foreach($conditionArr as $ca) {
          if(!$setVal) {
            if($ca=="good") {
              $condition = "good";
              $setVal = true;
            } if($ca=="new") {
              $condition = "new";
              $setVal = true;
            } if($ca=="refurbished") {
              $condition = "refurbished";
              $setVal = true;
            } if($ca=="average") {
              $condition = "average";
              $setVal = true;
            } else {
              $condition = "excellent";
              $setVal = true;
            }
          }
        }
      }
      $Details = removeCharacters($rowdata['Details']);
      $rowdata['ebay_title'] = removeCharacters($rowdata['ebay_title']);
      $rowdata['Make'] = removeCharacters($rowdata['Make']);
      $insertFields .= '{
        "opc": "'.$opcArr[$rowCounter].'",
        "category_id": "'.$rowdata['OnBuyCatID'].'",
        "uid": "'.$rowdata['StockID'].'",
        "published": "1",
        "product_name": "'.$rowdata['ebay_title'].'",
        "mpn": "'.$rowdata['StockID'].'",
        "description": "'.$Details.' <br /><br /> Powered by: BreakerPRO.co.uk - Professional Inventory Management Solution",
        "brand_name": "'.$rowdata['Make'].'",
        "default_image": "'.$defImage.'",
        '.$additional_imagesVar.'
        '.$productData.'
        '.$productCodes.'
        "listings": {
          "'.$condition.'": {
            "sku": "'.$rowdata['StockID'].'",
            "price": "'.$rowdata['WEB_Price'].'",
            "stock": "1",
            "handling_time": "1",
            "return_time": "30",
            "free_returns": true,
            "warranty": '.$warranty.',
            "delivery_template_id": "0"
          }
        }
      },';
    }
    $rowCounter++;
    // "delivery_template_id": "'.$rowdata['OnBuyDeliveryTemplateID'].'"
  }
  $insertFields = rtrim($insertFields, ",");
  $insertFields .= "]";
  // delivery_weight ==> Not found in create product API document.
  echo $insertFields;
  $insertFields1 = '{
    "site_id": '.$site_id.',
    "products": '.$insertFields.'
  }';
  // echo $insertFields1;
  // exit();
  if($productCounter>0) {
    $params = ""; //"/" . $opc;

    $curl = curl_init();

    curl_setopt_array($curl, array(
      CURLOPT_URL => $API_URL . '/products' . $params,
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => "",
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => "PUT",
      CURLOPT_SSL_VERIFYPEER => false,
      CURLOPT_FAILONERROR => false,
      CURLINFO_HEADER_OUT => true,
      CURLOPT_POSTFIELDS => $insertFields1,
      CURLOPT_HTTPHEADER => array(
        "content-type: application/json",
        'Authorization: ' . $access_token
      ),
    ));

    $response = curl_exec($curl);
    $error_msg = "";
    if (curl_errno($curl)) {
      echo "\n" . $error_msg = curl_error($curl);
      echo "\n";
      echo "\n";
    }

    print_r(curl_getinfo($curl)["request_header"]);
    echo "\n";
    echo "\n";
    curl_close($curl);
    echo "response: \n" . $response;
  } else {
    $response = json_encode(array("status" => "Fail", "response" => "Record not found"));
  }

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  echo $xmlResponse;
  exit();    

} else if($action=="setDispatch") {
  /**
   * Mark Order as Dispatch
   */
  $params = "site_id=" . $site_id;
  
  $order_id = isset($_REQUEST["order_id"]) ? $_REQUEST["order_id"] : "";
  $sku = isset($_REQUEST["sku"]) ? $_REQUEST["sku"] : "";
  $opc = isset($_REQUEST["opc"]) ? $_REQUEST["opc"] : "";
  $quantity = isset($_REQUEST["quantity"]) ? $_REQUEST["quantity"] : "";
  $tracking_id = isset($_REQUEST["tracking_id"]) ? $_REQUEST["tracking_id"] : "";
  $supplier_name = isset($_REQUEST["supplier_name"]) ? $_REQUEST["supplier_name"] : "";
  $number = isset($_REQUEST["number"]) ? $_REQUEST["number"] : "";
  $url = isset($_REQUEST["URL"]) ? $_REQUEST["URL"] : "";

  $product = '';
  if(trim($sku)!="" && trim($opc)!="" && trim($quantity)!="") {
    $product = '"products": [ {"sku": "' . $sku . '", "opc": "' . $opc . '", "quantity": "' . $quantity . '"} ], ';
  }

  $postFields = '{"orders": [ { "order_id": "' . $order_id . '", ' . $product . '"tracking": {"tracking_id": "' . $tracking_id . '", "supplier_name": "'.$supplier_name.'", "number": "' . $number . '", "url": "' . $url . '"} } ] }';

  echo $postFields;
  echo "\n";
  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => $API_URL . '/orders/dispatch?' . $params,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_SSL_VERIFYPEER => false,
    CURLOPT_FAILONERROR => false,
    CURLINFO_HEADER_OUT => true,
    CURLOPT_POSTFIELDS => $postFields,
    CURLOPT_HTTPHEADER => array(
      "content-type: application/json",
      'Authorization: ' . $access_token
    ),
  ));

  $response = curl_exec($curl);
  $error_msg = "";
  if (curl_errno($curl)) {
    echo "\n" . $error_msg = curl_error($curl);
    echo "\n";
    echo "\n";
  }

  print_r(curl_getinfo($curl)["request_header"]);
  echo "\n";
  echo "\n";
  curl_close($curl);
  // echo $response;

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  echo $xmlResponse;

} 
/* Queue status check */
else if($action=="queueStatus") {
  if(!isset($_REQUEST["queue_id"]) || $_REQUEST["queue_id"]=="") {
    echo "<h2>QueueID required</h2>";
    exit();
  }
  /** CHECK SKU */
  $curl = curl_init();
  curl_setopt_array($curl, array(
    CURLOPT_URL => $API_URL . '/queues?site_id=2000&limit=100&filter[queue_ids]='.$_REQUEST["queue_id"],
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_SSL_VERIFYPEER => false,
    CURLOPT_FAILONERROR => true,
    CURLINFO_HEADER_OUT => true,
    CURLOPT_HTTPHEADER => array(
      "content-type: application/json",
      'Authorization: ' . $access_token
    ),
  ));

  $response = curl_exec($curl);
  $error_msg = "";
  if (curl_errno($curl)) {
    echo "\n" . $error_msg = curl_error($curl);
    echo "\n";
    echo "\n";
  }

  print_r(curl_getinfo($curl)["request_header"]);
  echo "\n";
  echo "\n";
  curl_close($curl);
  // echo $response;

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  echo $xmlResponse;
  /* ********** */
} else {
  /**
   * Delete SKU
   */
  if(!isset($_REQUEST["stock_id"]) || $_REQUEST["stock_id"]=="") {
    echo "<h2>StockID required</h2>";
    exit();
  }
  // $skus = '["'.$_REQUEST["stock_id"].'"]';
  $skuArr = explode(",", $_REQUEST["stock_id"]);
  if(is_array($skuArr)) {
    $c = 0;
    $skus = '[';
    foreach($skuArr as $sku) {
      $c++;
      $skus .= '"'.$sku.'"';
      if($c!=count($skuArr)) {
        $skus .= ', ';
      }
    }
    $skus .= ']';
  } else {
    $skus = '["'.$_REQUEST["stock_id"].'"]';
  }

  $curl = curl_init();
  
  curl_setopt_array($curl, array(
    CURLOPT_URL => $API_URL . '/listings/by-sku?limit=100',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_SSL_VERIFYPEER => false,
    CURLOPT_FAILONERROR => true,
    CURLINFO_HEADER_OUT => true,
    CURLOPT_POSTFIELDS =>'{
    "site_id": ' . $site_id . ',
    "skus": ' . $skus . '
    }',
    CURLOPT_HTTPHEADER => array(
      'Authorization: ' . $access_token,
      'Content-Type: application/json'
    ),
  ));


  $response = curl_exec($curl);
  $error_msg = "";
  if (curl_errno($curl)) {
    echo "\n" . $error_msg = curl_error($curl);
    echo "\n";
    echo "\n";
  }

  print_r(curl_getinfo($curl)["request_header"]);
  echo "\n";
  echo "\n";
  curl_close($curl);
  // echo $response;

  $arr = json_decode($response, true);
  $xmlResponse = array2xml($arr, false);
  echo $xmlResponse;
}

/**
 * Convert Array to XML
 */
function array2xml($array, $xml = false){

  if($xml === false){
      $xml = new SimpleXMLElement('<result/>');
  }
  global $action;
  
  if($action=="orderBrowse") {
    static $prevKey = "";
    static $arrCounter = 0;
    static $totalProducts = 0;
    foreach($array as $key => $value){
      if(is_array($value)){
        if($key === 0||1||2||3||4||5||6||7||8||9) {
          if($key !== "buyer" && $key !== "billing_address" && $key !== "delivery_address" && $key !== "fee" && $key !== "products" && $key !== "metadata" && $key !== "filters" && $key !== "sort") {
            if($key === "results") {
              $key = 'orders';
            } else if($prevKey === "products" || $prevKey === "productdetail") {
              $key = 'productdetail';
            } else {
              $key = 'orderdetails';
            }
          }
        }
        $prevKey = $key;
        if($key=="products") { 
          $totalProducts = count($value);
          $arrCounter++;
        } else {
          $arrCounter++;
          if($arrCounter <= $totalProducts) {
            $prevKey="productdetail";
          } else {
            $arrCounter = 0;
            $prevKey="orderdetails";
            $totalProducts = 0;
          }
        }
        array2xml($value, $xml->addChild($key));
      } else {
        $xml->addChild($key, $value);
      }
    }
  } else if ($action=="queueStatus") {
    static $prevKey = "";
    static $arrCounter = 0;
    static $totalProducts = 0;
    foreach($array as $key => $value){
      if(is_array($value)){
        if($key === 0||1||2||3||4||5||6||7||8||9) {
          if($key !== "buyer" && $key !== "billing_address" && $key !== "delivery_address" && $key !== "fee" && $key !== "products" && $key !== "metadata" && $key !== "filters" && $key !== "sort") {
            if($key === "results") {
              $key = 'queues';
            // } else if($prevKey === "products" || $prevKey === "productdetail") {
            //   $key = 'productdetail';
            } else {
              $key = 'queuedetails';
            }
          }
        }
        $prevKey = $key;
        if($key=="products") { 
          $totalProducts = count($value);
          $arrCounter++;
        } else {
          $arrCounter++;
          if($arrCounter <= $totalProducts) {
            $prevKey="productdetail";
          } else {
            $arrCounter = 0;
            $prevKey="orderdetails";
            $totalProducts = 0;
          }
        }
        array2xml($value, $xml->addChild($key));
      } else {
        $xml->addChild($key, $value);
      }
    }
  } else if ($action=="createProduct") {
    static $prevKey = "";
    static $arrCounter = 0;
    static $totalProducts = 0;
    foreach($array as $key => $value){
      if(is_array($value)){
        if($key === 0||1||2||3||4||5||6||7||8||9) {
          if($key !== "error" && $key !== "data" && $key !== "delivery_address" && $key !== "fee" && $key !== "products" && $key !== "metadata" && $key !== "filters" && $key !== "sort") {
            if($key === "results") {
              $key = 'products';
            // } else if($prevKey === "products" || $prevKey === "productdetail") {
            //   $key = 'productdetail';
            } else {
              $key = 'createproduct';
            }
          }
        }
        $prevKey = $key;
        if($key=="products") { 
          $totalProducts = count($value);
          $arrCounter++;
        } else {
          $arrCounter++;
          if($arrCounter <= $totalProducts) {
            $prevKey="productdetail";
          } else {
            $arrCounter = 0;
            $prevKey="orderdetails";
            $totalProducts = 0;
          }
        }
        array2xml($value, $xml->addChild($key));
      } else {
        $xml->addChild($key, $value);
      }
    }
  } else if ($action=="updateProduct") {
    static $prevKey = "";
    static $arrCounter = 0;
    static $totalProducts = 0;
    foreach($array as $key => $value){
      if(is_array($value)){
        if($key === 0||1||2||3||4||5||6||7||8||9) {
          if($key !== "error" && $key !== "data" && $key !== "delivery_address" && $key !== "fee" && $key !== "products" && $key !== "metadata" && $key !== "filters" && $key !== "sort") {
            if($key === "results") {
              $key = 'products';
            // } else if($prevKey === "products" || $prevKey === "productdetail") {
            //   $key = 'productdetail';
            } else {
              $key = 'updateproduct';
            }
          }
        }
        $prevKey = $key;
        if($key=="products") { 
          $totalProducts = count($value);
          $arrCounter++;
        } else {
          $arrCounter++;
          if($arrCounter <= $totalProducts) {
            $prevKey="productdetail";
          } else {
            $arrCounter = 0;
            $prevKey="orderdetails";
            $totalProducts = 0;
          }
        }
        array2xml($value, $xml->addChild($key));
      } else {
        $xml->addChild($key, $value);
      }
    }
  } else if ($action=="productList") {
    static $prevKey = "";
    static $arrCounter = 0;
    static $totalProducts = 0;
    foreach($array as $key => $value){
      if(is_array($value)){
        if($key === 0||1||2||3||4||5||6||7||8||9) {
          if($key !== "error" && $key !== "data" && $key !== "delivery_address" && $key !== "fee" && $key !== "products" && $key !== "metadata" && $key !== "filters" && $key !== "sort" && $key !== "product_codes") {
            if($key === "results") { 
              $key = 'results';
            } else {
              $key = 'item';
            }
            // if($key === "results") {
            //   $key = 'products';
            // // } else if($prevKey === "products" || $prevKey === "productdetail") {
            // //   $key = 'productdetail';
            // } else {
            //   $key = 'createproduct';
            // }
          }
        }
        $prevKey = $key;
        if($key=="products") { 
          $totalProducts = count($value);
          $arrCounter++;
        } else {
          $arrCounter++;
          if($arrCounter <= $totalProducts) {
            $prevKey="productdetail";
          } else {
            $arrCounter = 0;
            $prevKey="orderdetails";
            $totalProducts = 0;
          }
        }
        array2xml($value, $xml->addChild($key));
      } else {
        $xml->addChild($key, $value);
      }
    }
  } else {
    foreach($array as $key => $value){
      if(is_array($value)){
          array2xml($value, $xml->addChild($key));
      } else {
          $xml->addChild($key, $value);
      }
    }
  }
  /* Generate xml file */
  $domxml = new DOMDocument('1.0');
  $domxml->preserveWhiteSpace = true;
  $domxml->formatOutput = true;
  $domxml->loadXML($xml->asXML());
  $out = $domxml->saveXML();
  $domxml->save('resultdata.xml');
  /* */
  
  // return $out;
  return $xml->asXML();
}

function removeCharacters($str) {
  $str = strip_tags(stripslashes($str));
  $str = preg_replace( "/\r|\n/", "<br />", $str );
  $str = preg_replace( "/\t/", " ", $str );
  $str = preg_replace( "/'/", "", $str );
  $str = preg_replace( '/"/', '', $str );
  return $str;
}

?>