<?php
require_once( 'lib/woocommerce-api.php' );
ini_set('max_execution_time', 0);
header('Content-Type: application/json');   
require_once("../../centralized/config.php");
require_once("../../centralized/db.php");
$imagenotfound='';
function remoteFileExists($url) {
    $curl = curl_init($url);
    //don't fetch the actual page, you only want to check the connection is ok
    curl_setopt($curl, CURLOPT_NOBODY, true);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
    //do request
    $result = curl_exec($curl);
    $ret = false;
    //if request did not fail
    if ($result !== false) {
        //if request was ok, check response code
        $statusCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);  
        if ($statusCode == 200) {
            $ret = true;   
        }
    }
    curl_close($curl);
    return $ret;
}

$options = array(
	'debug'           => true,
	'return_as_array' => false,
	'validate_url'    => false,
	'timeout'         => 30,
	'ssl_verify'      => false, 
);


if(isset($_REQUEST['client_id']) && $_REQUEST['client_id']!='' && isset($_REQUEST['action']) && $_REQUEST['action']!=''){ 

$client_id = $_REQUEST['client_id'];
$stock_id  = $_REQUEST['stock_id'];
$action   = $_REQUEST['action'];
if(isset($_REQUEST['logfile'])){
$tologfile  = $_REQUEST['logfile']; 
} else { $tologfile=''; }
//$conn_var = dblink();    
$query_array=array();
$static_array=array();
$output_arr = array();

/*Api Request Generate */
$sqlquery = 'Select [Woocommerce_url],[Woocommerce_secret], [Woocommerce_key]  from [Clients] where [ClientID]='.$client_id;
$query = mssql_query_upgrade($sqlquery, dblink());
$clientdata= mssql_fetch_array_upgrade($query);

$Woocommerce_url 	 =  $clientdata['Woocommerce_url'];
$Woocommerce_secret  =  $clientdata['Woocommerce_secret'];
$Woocommerce_key     =  $clientdata['Woocommerce_key'];

if(empty($Woocommerce_url) || empty($Woocommerce_secret) || empty($Woocommerce_secret))
{
	echo 'There was some error in connection.';
	$output_arr['result'] = 'There was some error in connection.';
	makelog($client_id, $stock_id, $action, $output_arr, $tologfile);
	exit;
}	
//ClientID=1530


try {

$client = new WC_API_Client($Woocommerce_url, $Woocommerce_key, $Woocommerce_secret, $options );


/* 
echo '<pre>';
print_r( $client->products->create( array( 'title' => 'Test Product', 'type' => 'simple', 'regular_price' => '9.99', 'description' => 'test', 'sku' =>'1530-220920-074115070',
'images' => array(
                array(
                    'src' => 'https://images.matchapart.com/breakerpro/1446/standard/1446-21092000180611-PTIMG.jpg',
                    'position' => 0,
                    'title' => 'Test 1',
                    'alt' => 'Test 1'
                ),
                array(
                    'src' => 'https://images.matchapart.com/breakerpro/1446/standard/1446-21092000180611-3-PTIMG.jpg',
                    'position' => 1,
                    'title' => 'Test 22',
                    'alt' => 'Test 2'
                )
)
 ) ) );

exit; */

/* start to check if products exists */
$action_arr = array('checkexists', 'insert', 'delete');
if(in_array($action, $action_arr) && isset($stock_id)){  
try{
$prdata = (array)$client->products->get_by_sku($stock_id);
$product_id = $prdata['product']->id; 

$product_image = $prdata['product']->images;
$product_image = (array)$product_image;

$check_title = $product_image[0]->title;
$check_alt   = $product_image[0]->alt;

if($check_title=='Placeholder'){
$image_present = 'Image is not present for this stock.';
} else {
$image_present = 'Image is present for this stock.';	
}

	  $msg =  'Product having Stock_ID: '.$stock_id.' already exists.';
	  $output_arr['result'] = $msg;
	  $checkexists = 'YES';	
	
}catch(exception $e){
	  $msg = 'Product having Stock_ID: '.$stock_id.' do not exists.';
	  $output_arr['result'] = $msg;
	  $checkexists = 'NO';
}	
	if($action=="checkexists"){
	$output_arr['check_image'] = $image_present;	
    echo json_encode($output_arr);
	exit;
    }

    if($checkexists=="YES" && $action=="insert"){
    echo json_encode($output_arr);
	exit;
    }

    if($checkexists=="NO" && $action=="delete"){
    echo json_encode($output_arr);
	exit;
    }
}
/* end to check if products exists */


/* insert product */
if($action=='insert' && $checkexists=='NO' && isset($stock_id)){
	
$querynew = "SELECT Top 1 [ID]  ,[StockID],[VehicleID]  ,[ClientID]  ,[AccountID]  ,[Make]  ,[Model]  ,[PartType], [PartName]  ,[nDetails]  ,[Price]  ,[Year]  ,[manufact_year]  ,[Engine]  ,Weight, [Condition], [fuel]  , [colour]  ,[mileage]  ,CAST([ImageThumbnailURLList] as [text]) ImageThumbnailURLList, CAST([ImageURLList] as [text]) ImageURLList, CAST([ImageStandardURLList] as [text]) ImageStandardURLList,CAST([Ebay_PicURL] as [text]) Ebay_PicURL, CAST([Keywords] as [text]) Keywords, [WEB_Price] ,[Woo_CATID], CAST([Details] as [TEXT]) Details, CAST([ebay_title] as [text]) ebay_title FROM [automatch].[dbo].[LiveStock] where [StockID]='".$stock_id."' AND [ClientID]='".$client_id."'";

$dataquery    = mssql_query_upgrade($querynew, dblink());
$countrowdata = mssql_num_rows_upgrade($dataquery);
$rowdata   = mssql_fetch_array_upgrade($dataquery);

if($countrowdata < 1){
	$msg = 'No data exists for stock_id : '.$stock_id;
	$output_arr['result'] = $msg;
	makelog($client_id, $stock_id, $action, $output_arr, $tologfile);
	echo json_encode($output_arr);
	exit;
}	

if($rowdata['ebay_title']!=''){
	$partname = $rowdata['ebay_title'];
}  

if($rowdata['WEB_Price']<=0 || $rowdata['WEB_Price']=='0.00'){
	$msg =  'Api Called Successfully : Adding Stock Ignored as No Price set';
	$output_arr['result'] = 'Api Called Successfully : Adding Stock Ignored as No Price set';
	makelog($client_id, $stock_id, $action, $output_arr, $tologfile);
	echo json_encode($output_arr);
	exit;
}


$category_ids =array();
if(!is_null($rowdata['Woo_CATID'])){
$category_ids = explode(',', $rowdata['Woo_CATID']);
}else{
$category_ids[] = 765;	
}

$description = htmlentities($rowdata['Details']);
$description .=  $description. '<li> Our Ref: '.$rowdata['StockID'].'</li>';

/* start of Images Array */

if($rowdata['ImageURLList']!=''){
	$images = $rowdata['ImageURLList'];	 
} else {
	$images = $rowdata['ImageStandardURLList']; 
}
$image_arr=$images;

if($image_arr!=''){
$thumbimages = explode(',', $image_arr);  

$i=0;
$images_arr = array();
foreach($thumbimages as $thumbimage){
	
$filenameval = explode('/', $thumbimage);
$filename = $filenameval[count($filenameval)-1];

$url = str_replace("https://", "http://", $thumbimage);
$imageurl = getimagesize($url);

	if(is_array($imageurl))	
	{ 

$image_ext  = explode('.',$filename); 
$thumbimage = str_replace("https://", "http://", $thumbimage);
$mimetype = $imageurl['mime'];

$image = array(
    'src'    => trim($thumbimage),
    'alt' => $partname,
    'title'    => $partname,
	'position' => $i
);

$images_arr[] = $image;  

	
	$i++;
      }
   }
}
//echo '<pre>';print_r($images_arr);exit;
/* end of Images array */
	
$newproductdata = array( 'categories' => $category_ids,
						'type' => 'simple',
						'title' => htmlentities($partname),
						'name' => htmlentities($partname),
						'price' => $rowdata['WEB_Price'],
						'regular_price' => $rowdata['WEB_Price'],
						'description' => $description,
						'short_description' => htmlentities($rowdata['Details']),
						'sku' =>$stock_id,
						'weight' =>  $rowdata['Weight'],
						'images' => $images_arr
 );

try{
	$response = $client->products->create( $newproductdata );
	$msg = 'Product Created Successfully.';
	$output_arr['result'] = $msg; 
	
}catch(exception $e){
	  $msg = 'Unable to create product.';
	  $output_arr['result'] = $msg;
}	
	echo json_encode($output_arr);
	exit;

}
/* End of  Add Product */


/* start - for deleting the product by product id */
if($action=='delete' && $checkexists=='YES' && isset($product_id)){

try{
$delresponse = (array)$client->products->delete($product_id, true );

	  $msg = 'Product Deleted Successfully.';
	  $output_arr['result'] = $msg; 
	
}catch(exception $e){
	  $msg = 'Unable to delete.';
	  $output_arr['result'] = $msg;
}	
	echo json_encode($output_arr);
	exit;
}	
/* end - for deleting the product by product id */
 
/* for categories*/
if($action=='getcategories'){  

$allCategories = (array)$client->products->get_categories();
$allCategories = $allCategories['product_categories'];

$output_arr['result'] = $allCategories;
makelog($client_id, $stock_id, $action, $output_arr, $tologfile);

$allCategories = json_encode($allCategories);
echo $allCategories;
}
/* End of Categories */ 

/* Start - For Get Invoice */
if($action=='getorder'){  
$order_id = trim($_REQUEST['order_id']);

try{
$response_data = (array)$client->orders->get( $order_id );
$order_data    = $response_data['order'];
//echo json_encode($order_data);
//exit;

$invoice_array = json_decode(json_encode($order_data), true);
//$invoice_array = json_decode($response_data, true);
$invoice_arr =  (array) $invoice_array;


$xml_info=new SimpleXMLElement("<?xml version=\"1.0\"?><order_info></order_info>");

invoice_to_xml($invoice_arr , $xml_info);
header("Content-type: text/xml");
print $xml_info->asXML();
exit;

}catch(exception $e){
	  $msg = "Order Number:$order_id invalid or does not exists.";
	  $output_arr['result'] = $msg;
	  echo json_encode($output_arr);
	  exit;
}	


}
/* End - For Get Invoice */


/* start of list of orders */
if($action=='getorderlist'){   
//$order_id = trim($_REQUEST['order_id']);

//echo 'ssss';

//$response_data = (array)$client->get( 'orders' );
//$order_data    = $response_data['order'];
//echo json_encode($order_data);
//print_r($response_data);
//exit;

try{
$response_data = (array)$client->orders->get();
$order_data    = $response_data['orders'];
//echo json_encode($response_data);
//echo 'ffffffffff';exit;

$invoice_array = json_decode(json_encode($order_data), true);
//$invoice_array = json_decode($response_data, true);
$invoice_arr =  (array) $invoice_array;


$xml_info=new SimpleXMLElement("<?xml version=\"1.0\"?><order_info></order_info>");

orderlist_to_xml($invoice_arr , $xml_info);
header("Content-type: text/xml");
print $xml_info->asXML();
exit;

}catch(exception $e){
	  $msg = "Some issue in fetching orders.";
	  $output_arr['result'] = $msg;
	  echo json_encode($output_arr);
	  exit;
}	


}

/* end of list of orders */





} catch ( WC_API_Client_Exception $e ) {

	echo $e->getMessage() . PHP_EOL;
	echo $e->getCode() . PHP_EOL;

	if ( $e instanceof WC_API_Client_HTTP_Exception ) {

		print_r( $e->get_request() );
		print_r( $e->get_response() );
	}
}

} else {
	echo 'Invalid Inputs';
}

$status_arr =array('pending', 'processing', 'on-hold', 'completed', 'cancelled', 'refunded', 'failed', 'trash');

function orderlist_to_xml($array, $xml_user_info) { 
$search_array = array('id', 'order_number', 'created_at', 'updated_at', 'completed_at', 'status' );	

//echo '<pre>';print_r($array);exit;
    foreach($array as $key => $value) {
		if(is_array($value)) {
			if(!is_numeric($key)){  // echo '11key::'.$key;
				if(in_array($key, $search_array)){
				$subnode = $xml_user_info->addChild("$key");
				orderlist_to_xml($value, $subnode);
				}
			}else{  //echo '22key::'.$key;
				$subnode = $xml_user_info->addChild("order_$key");
				orderlist_to_xml($value, $subnode);
			}
		} else {  //echo '33key::'.$key;
			if(in_array($key, $search_array)){
			//if($key=='id'){
			$xml_user_info->addChild("$key",htmlspecialchars("$value"));
			}
		}
	}
}

function invoice_to_xml($array, $xml_user_info) { 
    foreach($array as $key => $value) {
		if(is_array($value)) {
			if(!is_numeric($key)){
				$subnode = $xml_user_info->addChild("$key");
				invoice_to_xml($value, $subnode);
			}else{
				$subnode = $xml_user_info->addChild("item$key");
				invoice_to_xml($value, $subnode);
			}
		}else {
			$xml_user_info->addChild("$key",htmlspecialchars("$value"));
		}
	}
}

/* Logs Generations */
function makelog($client_id, $stock_id, $action, $output_arr, $tologfile='0'){
	if($tologfile!='1'){
		return;
	}
    $clientId		= $client_id;
	$stock_id		= $stock_id;
	$action		    = $action;
	//$updatequery	= $querySyncUpdate;
	$output		    = json_encode($output_arr);	;
	$scriptName		= "woocommerce_api";

	$logFile	= 'logs/'.$clientId."_".$scriptName."_".date('mY').'.txt';
	$logString	= "";
	$fileOpen	= fopen($logFile,'a');   
	$logString .= "\r\n /-----------------------".date("d/m/Y H:i:s")."-----------------------------------------/ \r\n	";
	$logString .= "\r\nURL : ".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'];
	$logString .= "\r\nAction    : ".$action;
	$logString .= "\r\nClient ID : ".$clientId;
	$logString .= "\r\nStock ID  : ".$stock_id;
	//$logString .= "\r\nInsert Query Executed : ".$sqlquery;
	//$logString .= "\r\nUpdate Query Executed : ".$updatequery;
	//$logString .= "\r\nXML : ".$xmlsend;
	$logString .= "\r\nOutput    : ".$output;
	$logString .= "\r\n\r\n /----------------------------------------------------------------------------------/ \r\n	";
	$filewrite	= fwrite($fileOpen,$logString);
	fclose($fileOpen);
}