<?php
	header ("content-type: text/xml");
    require_once("../centralized/db.php");
	require_once("../centralized/config.php");
//	error_reporting(E_ALL);

	$username		= trim($_REQUEST['username']);
	$password		= trim($_REQUEST['password']);
	$clientgroup	= trim($_REQUEST['clientgroup']);
	$lastDate		= $_REQUEST["lastdate"] != "" ? " AND livestock.LastUpdated >= '".$_REQUEST["lastdate"]." 00:00:00'" : "";

	function cleanWordSpecialCharacters($src){
		$src	= htmlentities($src, ENT_QUOTES, "UTF-8");
		return $src;
	}

	$sqlquery		= "Select * From [clientgroups] Where [Username]='".$_REQUEST["username"]."' and [Password]='".$_REQUEST["password"]."'";
	$queryUser		= mssql_query_upgrade($sqlquery, dblink());
	$countRows		= mssql_num_rows_upgrade($queryUser);
	$rowSet 		= mssql_fetch_array_upgrade($queryUser);

	$clientid		= array();
	$clientid		= explode('livestock.',$rowSet['SQLQuery']);
	$clientids 		= "Select clients.ClientID From clients where ".$clientid[1]."";
	$queryClientId	= mssql_query_upgrade($clientids, dblink());
	$clientidsRow 	= mssql_fetch_array_upgrade($queryClientId);
	$clientidarray = array();
	foreach($clientidsRow as $rowclient){
		$clientidarray[] = $rowclient;
	}
	$comma_separated	= implode(",", $clientidarray);
 	$sql_querySelectList	= "Select livestock.ID, livestock.StockID, livestock.VehicleID, livestock.ClientID, livestock.AccountID, 
								livestock.Make, livestock.Model, livestock.PartType, livestock.PartName, livestock.DateAdded, 
								livestock.Details, livestock.Price, livestock.Year, livestock.manufact_year, livestock.Engine, 
								livestock.Condition, livestock.DateUpdated, livestock.PageViews, livestock.LastViewed, livestock.Flag1 
								From livestock Where livestock.clientid IN ('".$comma_separated."') ".$lastDate."";
	$querySelectList		= mssql_query_upgrade($sql_querySelectList, dblink());
	$countQuery				= mssql_num_rows_upgrade($querySelectList);


	$xmlsend = '<?xml version="1.0" encoding="UTF-8"?>
					<urlset>';
	if($countRows > 0){
			for($i=0;$i<$countQuery;$i++){
				$results				= mssql_fetch_array_upgrade($querySelectList);
				$ebay_desc_htmls		= "SELECT clients.company, clients.town, clients.postcode FROM clients where clientid='" . $clientidsRow['ClientID'] . "'";
				$ebay_desc_html_sql		= mssql_query_upgrade($ebay_desc_htmls, dblink());
				$ebay_desc_row			= mssql_fetch_array_upgrade($ebay_desc_html_sql);
				$other_infos			= "SELECT Ebay_Make, Ebay_Model, Ebay_Colour, Ebay_CC,Ebay_Style, Ebay_Format,
											Ebay_Title,Ebay_Category1,Ebay_StoreCategory1,Ebay_StoreCategory2,Ebay_Duration,Ebay_FixedPrice,
											Ebay_StartingPrice,Ebay_ReservePrice,Ebay_ShippingOptions,Ebay_ShippingPrice,Ebay_ShippingDispatch,
											Ebay_BatchName, Ebay_Number, Ebay_Status, Item_Specifics_Model, Item_Specifics_Type, 
											Item_Specifics_SubType, Item_Specifics_Make, fuel, colour, mileage,  WEB_Make, WEB_Model, 
											WEB_PartType, WEB_PartName, LastUpdated, WEB_ShippingOptions, WEB_ShippingPrice, 
											WEB_ShippingDispatch, WEB_Colour, WEB_CC, WEB_Title, WEB_Price, Web_FeaturedListing, 
											Lock, WebPartFields, DetailComments, Reg ,CAST(Ebay_Desc_HTML AS TEXT) AS Ebay_Desc_HTML ,
											CAST(Ebay_PicURL AS TEXT) AS Ebay_PicURL ,CAST(ImageURLList AS TEXT) AS ImageURLList ,
											CAST(ImageThumbnailURLList AS TEXT) AS ImageThumbnailURLList, CAST(Keywords AS TEXT) AS Keywords,
											CAST(ImageVehicleURLList AS TEXT) AS ImageVehicleURLList,
											CAST(VehicleURLList AS TEXT) AS VehicleURLList from livestock 
											WHERE StockID='".$results['StockID']."'";
				$other_info_sql			= mssql_query_upgrade($other_infos, dblink());
				$other_info_row			= mssql_fetch_array_upgrade($other_info_sql);
				
				$xmlsend		.= "<Stock>";	
				if(!empty($results['StockID'])){
					$xmlsend	.= "<StockID-".strtr(cleanWordSpecialCharacters($results['StockID']), array("–"=>"-", "&"=>"AND"))."><![CDATA[".strtr(cleanWordSpecialCharacters($results['StockID']), array("–"=>"-", "&"=>"AND"))."]]></StockID-".strtr(cleanWordSpecialCharacters($results['StockID']), array("–"=>"-", "&"=>"AND")).">";
				}else{
					$xmlsend	.= "<StockID>Not Available</StockID>";
				}
				if(!empty($results['ID'])){
					$xmlsend	.= "<ID><![CDATA[".strtr(cleanWordSpecialCharacters($results['ID']), array("–"=>"-", "&"=>"AND"))."]]></ID>";
				}else{
					$xmlsend	.= "<ID>Not Available</ID>";
				}
				if(!empty($results['VehicleID'])){
					$xmlsend 	.= "<VehicleID><![CDATA[".strtr(cleanWordSpecialCharacters($results['VehicleID']), array("–"=>"-", "&"=>"AND"))."]]></VehicleID>";
				}else{
					$xmlsend	.= "<VehicleID>Not Available</VehicleID>";
				}
				if(!empty($results['ClientID'])){
					$xmlsend 	.= "<ClientID><![CDATA[".strtr(cleanWordSpecialCharacters($results['ClientID']), array("–"=>"-", "&"=>"AND"))."]]></ClientID>";
				}else{
					$xmlsend	.= "<ClientID>Not Available</ClientID>";
				}
				if(!empty($results['AccountID'])){
					$xmlsend 	.= "<AccountID><![CDATA[".strtr(cleanWordSpecialCharacters($results['AccountID']), array("–"=>"-", "&"=>"AND"))."]]></AccountID>";
				}else{
					$xmlsend	.= "<AccountID>Not Available</AccountID>";
				}
				if(!empty($results['Make'])){
					$xmlsend 	.= "<Make><![CDATA[".strtr(cleanWordSpecialCharacters($results['Make']), array("–"=>"-", "&"=>"AND"))."]]></Make>";
				}else{
					$xmlsend	.= "<Make>Not Available</Make>";
				}
				if(!empty($results['Model'])){
					$xmlsend 	.= "<Model><![CDATA[".strtr(cleanWordSpecialCharacters($results['Model']), array("–"=>"-", "&"=>"AND"))."]]></Model>";
				}else{
					$xmlsend	.= "<Model>Not Available</Model>";
				}
				if(!empty($results['PartType'])){
					$xmlsend 	.= "<PartType><![CDATA[".strtr(cleanWordSpecialCharacters($results['PartType']), array("–"=>"-", "&"=>"AND"))."]]></PartType>";
				}else{
					$xmlsend	.= "<PartType>Not Available</PartType>";
				}
				if(!empty($results['PartName'])){
					$xmlsend 	.= "<PartName><![CDATA[".strtr(cleanWordSpecialCharacters($results['PartName']), array("–"=>"-", "&"=>"AND"))."]]></PartName>";
				}else{
					$xmlsend	.= "<PartName>Not Available</PartName>";
				}
				if(!empty($results['DateAdded'])){
					$xmlsend 	.= "<DateAdded><![CDATA[".strtr(cleanWordSpecialCharacters($results['DateAdded']), array("–"=>"-", "&"=>"AND"))."]]></DateAdded>";
				}else{
					$xmlsend	.= "<DateAdded>Not Available</DateAdded>";
				}
				if(!empty($results['Details'])){
					$xmlsend 	.= "<details><![CDATA[". strtr(cleanWordSpecialCharacters($results['Details']), array("–"=>"-", "&"=>"AND"))."]]></details>";
				}else{
					$xmlsend	.= "<details>Not Available</details>";
				}
				if(!empty($results['Price'])){
					$xmlsend 	.= "<Price><![CDATA[".strtr(cleanWordSpecialCharacters($results['Price']), array("–"=>"-", "&"=>"AND"))."]]></Price>";
				}else{
					$xmlsend	.= "<Price>Not Available</Price>";
				}
				if(!empty($results['Year'])){
					$xmlsend 	.= "<Year><![CDATA[".strtr(cleanWordSpecialCharacters($results['Year']), array("–"=>"-", "&"=>"AND"))."]]></Year>";
				}else{
					$xmlsend	.= "<Year>Not Available</Year>";
				}
				if(!empty($results['manufact_year'])){
					$xmlsend 	.= "<Manufacture_Year><![CDATA[".strtr(cleanWordSpecialCharacters($results['manufact_year']), array("–"=>"-", "&"=>"AND"))."]]></Manufacture_Year>";
				}else{
					$xmlsend	.= "<Manufacture_Year>Not Available</Manufacture_Year>";
				}
				
				if(!empty($results['Engine'])){
					$xmlsend .="<Engine><![CDATA[".strtr(cleanWordSpecialCharacters($results['Engine']), array("–"=>"-", "&"=>"AND"))."]]></Engine>";
				}else{
					$xmlsend	.= "<Engine>Not Available</Engine>";
				}
				if(!empty($results['Condition'])){
					$xmlsend .="<Condition><![CDATA[".strtr(cleanWordSpecialCharacters($results['Condition']), array("–"=>"-", "&"=>"AND"))."]]></Condition>";
				}else{
					$xmlsend	.= "<Condition>Not Available</Condition>";
				}
				if(!empty($results['DateUpdated'])){
					$xmlsend .="<DateUpdated><![CDATA[".strtr(cleanWordSpecialCharacters($results['DateUpdated']), array("–"=>"-", "&"=>"AND"))."]]></DateUpdated>";
				}else{
					$xmlsend	.= "<DateUpdated>Not Available</DateUpdated>";
				}
				if(!empty($results['PageViews'])){
					$xmlsend .="<PageViews><![CDATA[".strtr(cleanWordSpecialCharacters($results['PageViews']), array(" "=>"-","–"=>"-", "&"=>"AND"))."]]></PageViews>";
				}else{
					$xmlsend	.= "<PageViews>Not Available</PageViews>";
				}
				if(!empty($results['LastViewed'])){
					$xmlsend .="<LastViewed><![CDATA[".strtr(cleanWordSpecialCharacters($results['LastViewed']), array(" "=>"-","–"=>"-", "&"=>"AND"))."]]></LastViewed>";
				}else{
					$xmlsend	.= "<LastViewed>Not Available</LastViewed>";
				}
				if(!empty($results['Flag1'])){
					$xmlsend .= "<Flag1><![CDATA[".strtr(cleanWordSpecialCharacters($results['Flag1']), array("–"=>"-", "&"=>"AND"))."]]></Flag1>";
				}else{
					$xmlsend	.= "<Flag1>Not Available</Flag1>";
				}
				if(!empty($other_info_row['Ebay_Make'])){
					$xmlsend .= "<Ebay_Make><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Make']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Make>";
				}else{
					$xmlsend	.= "<Ebay_Make>Not Available</Ebay_Make>";
				}
				if(!empty($other_info_row['Ebay_Model'])){
					$xmlsend .= "<Ebay_Model><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Model']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Model>";
				}else{
					$xmlsend	.= "<Ebay_Model>Not Available</Ebay_Model>";
				}
				if(!empty($other_info_row['Ebay_Colour'])){
					$xmlsend .="<Ebay_Colour><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Colour']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Colour>";
				}else{
					$xmlsend	.= "<Ebay_Colour>Not Available</Ebay_Colour>";
				}
				if(!empty($other_info_row['Ebay_CC'])){
					$xmlsend .="<Ebay_CC><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_CC']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_CC>";
				}else{
					$xmlsend	.= "<Ebay_CC>Not Available</Ebay_CC>";
				}
				if(!empty($other_info_row['Ebay_Style'])){
					$xmlsend .="<Ebay_Style><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Style']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Style>";
				}else{
					$xmlsend	.= "<Ebay_Style>Not Available</Ebay_Style>";
				}
				if(!empty($other_info_row['Ebay_Format'])){
					$xmlsend .="<Ebay_Format><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Format']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Format>";
				}else{
					$xmlsend	.= "<Ebay_Format>Not Available</Ebay_Format>";
				}
				if(!empty($other_info_row['Ebay_Title'])){
					$xmlsend .="<Ebay_Title><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Title']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Title>";
				}else{
					$xmlsend	.= "<Ebay_Title>Not Available</Ebay_Title>";
				}
				if(!empty($other_info_row['Ebay_Category1'])){
					$xmlsend .="<Ebay_Category1><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Category1']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Category1>";
				}else{
					$xmlsend	.= "<Ebay_Category1>Not Available</Ebay_Category1>";
				}
				if(!empty($other_info_row['Ebay_StoreCategory1'])){
					$xmlsend .="<Ebay_StoreCategory1><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_StoreCategory1']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_StoreCategory1>";
				}else{
					$xmlsend	.= "<Ebay_StoreCategory1>Not Available</Ebay_StoreCategory1>";
				}
				
				if(!empty($other_info_row['Ebay_StoreCategory2'])){
					$xmlsend .="<Ebay_StoreCategory2><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_StoreCategory2']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_StoreCategory2>";
				}else{
					$xmlsend	.= "<Ebay_StoreCategory2>Not Available</Ebay_StoreCategory2>";
				}
				if(!empty($other_info_row['Ebay_PicURL'])){
					$xmlsend .="<Ebay_PicURL><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_PicURL']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_PicURL>";
				}else{
					$xmlsend	.= "<Ebay_PicURL>Not Available</Ebay_PicURL>";
				}
				if(!empty($other_info_row['Ebay_Duration'])){
					$xmlsend .="<Ebay_Duration><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Duration']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Duration>";
				}else{
					$xmlsend	.= "<Ebay_Duration>Not Available</Ebay_Duration>";
				}
				if(!empty($other_info_row['Ebay_FixedPrice'])){
					$xmlsend .="<Ebay_FixedPrice><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_FixedPrice']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_FixedPrice>";
				}else{
					$xmlsend	.= "<Ebay_FixedPrice>Not Available</Ebay_FixedPrice>";
				}
				if(!empty($other_info_row['Ebay_StartingPrice'])){
					$xmlsend .="<Ebay_StartingPrice><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_StartingPrice']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_StartingPrice>";
				}else{
					$xmlsend	.= "<Ebay_StartingPrice>Not Available</Ebay_StartingPrice>";
				}
				if(!empty($other_info_row['Ebay_ReservePrice'])){
					$xmlsend .="<Ebay_ReservePrice><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_ReservePrice']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_ReservePrice>";
				}else{
					$xmlsend	.= "<Ebay_ReservePrice>Not Available</Ebay_ReservePrice>";
				}
				if(!empty($other_info_row['Ebay_ShippingOptions'])){
					$xmlsend .="<Ebay_ShippingOptions><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_ShippingOptions']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_ShippingOptions>";
				}else{
					$xmlsend	.= "<Ebay_ShippingOptions>Not Available</Ebay_ShippingOptions>";
				}
				if(!empty($other_info_row['Ebay_ShippingPrice'])){
					$xmlsend .="<Ebay_ShippingPrice><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_ShippingPrice']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_ShippingPrice>";
				}else{
					$xmlsend	.= "<Ebay_ShippingPrice>Not Available</Ebay_ShippingPrice>";
				}
				if(!empty($other_info_row['Ebay_ShippingDispatch'])){
					$xmlsend .="<Ebay_ShippingDispatch><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_ShippingDispatch']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_ShippingDispatch>";
				}else{
					$xmlsend	.= "<Ebay_ShippingDispatch>Not Available</Ebay_ShippingDispatch>";
				}
				if(!empty($other_info_row['Ebay_BatchName'])){
					$xmlsend .="<Ebay_BatchName><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_BatchName']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_BatchName>";
				}else{
					$xmlsend	.= "<Ebay_BatchName>Not Available</Ebay_BatchName>";
				}
				if(!empty($other_info_row['Ebay_Number'])){
					$xmlsend .="<Ebay_Number><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Number']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Number>";
				}else{
					$xmlsend	.= "<Ebay_Number>Not Available</Ebay_Number>";
				}
				if(!empty($other_info_row['Ebay_Status'])){
					$xmlsend .="<Ebay_Status><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Ebay_Status']), array("–"=>"-", "&"=>"AND"))."]]></Ebay_Status>";
				}else{
					$xmlsend	.= "<Ebay_Status>Not Available</Ebay_Status>";
				}
				if(!empty($other_info_row['Item_Specifics_Model'])){
					$xmlsend .="<Item_Specifics_Model><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Item_Specifics_Model']), array("–"=>"-", "&"=>"AND"))."]]></Item_Specifics_Model>";
				}else{
					$xmlsend	.= "<Item_Specifics_Model>Not Available</Item_Specifics_Model>";
				}
				if(!empty($other_info_row['Item_Specifics_Type'])){
					$xmlsend .="<Item_Specifics_Type><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Item_Specifics_Type']), array("–"=>"-", "&"=>"AND"))."]]></Item_Specifics_Type>";
				}else{
					$xmlsend	.= "<Item_Specifics_Type>Not Available</Item_Specifics_Type>";
				}
				if(!empty($other_info_row['Item_Specifics_SubType'])){
					$xmlsend .="<Item_Specifics_SubType><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Item_Specifics_SubType']), array("–"=>"-", "&"=>"AND"))."]]></Item_Specifics_SubType>";
				}else{
					$xmlsend	.= "<Item_Specifics_SubType>Not Available</Item_Specifics_SubType>";
				}
				if(!empty($other_info_row['Item_Specifics_Make'])){
					$xmlsend .="<Item_Specifics_Make><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Item_Specifics_Make']), array("–"=>"-", "&"=>"AND"))."]]></Item_Specifics_Make>";
				}else{
					$xmlsend	.= "<Item_Specifics_Make>Not Available</Item_Specifics_Make>";
				}
				if(!empty($other_info_row['fuel'])){
					$xmlsend .="<fuel><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['fuel']), array("–"=>"-", "&"=>"AND"))."]]></fuel>";
				}else{
					$xmlsend	.= "<fuel>Not Available</fuel>";
				}
				
				
				if(!empty($other_info_row['colour'])){
					$xmlsend .="<colour><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['colour']), array("–"=>"-", "&"=>"AND"))."]]></colour>";
				}else{
					$xmlsend	.= "<colour>Not Available</colour>";
				}
				if(!empty($other_info_row['mileage'])){
					$xmlsend .="<mileage><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['mileage']), array("–"=>"-", "&"=>"AND"))."]]></mileage>";
				}else{
					$xmlsend	.= "<mileage>Not Available</mileage>";
				}
				if(!empty($other_info_row['ImageURLList'])){
					$xmlsend .="<ImageURLList><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['ImageURLList']), array("–"=>"-", "&"=>"AND"))."]]></ImageURLList>";
				}else{
					$xmlsend	.= "<ImageURLList>Not Available</ImageURLList>";
				}
				if(!empty($other_info_row['ImageThumbnailURLList'])){
					$xmlsend .="<ImageThumbnailURLList><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['ImageThumbnailURLList']), array("–"=>"-", "&"=>"AND"))."]]></ImageThumbnailURLList>";
				}else{
					$xmlsend	.= "<ImageThumbnailURLList>Not Available</ImageThumbnailURLList>";
				}
				if(!empty($other_info_row['Keywords'])){
					$xmlsend .="<Keywords><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Keywords']), array("–"=>"-", "&"=>"AND"))."]]></Keywords>";
				}else{
					$xmlsend	.= "<Keywords>Not Available</Keywords>";
				}
				if(!empty($other_info_row['WEB_Make'])){
					$xmlsend .="<WEB_Make><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_Make']), array("–"=>"-", "&"=>"AND"))."]]></WEB_Make>";
				}else{
					$xmlsend	.= "<WEB_Make>Not Available</WEB_Make>";
				}
				if(!empty($other_info_row['WEB_Model'])){
					$xmlsend .="<WEB_Model><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_Model']), array("–"=>"-", "&"=>"AND"))."]]></WEB_Model>";
				}else{
					$xmlsend	.= "<WEB_Model>Not Available</WEB_Model>";
				}
				if(!empty($other_info_row['WEB_PartType'])){
					$xmlsend .="<WEB_PartType><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_PartType']), array("–"=>"-", "&"=>"AND"))."]]></WEB_PartType>";
				}else{
					$xmlsend	.= "<WEB_PartType>Not Available</WEB_PartType>";
				}
				if(!empty($other_info_row['WEB_PartName'])){
					$xmlsend .="<WEB_PartName><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_PartName']), array("–"=>"-", "&"=>"AND"))."]]></WEB_PartName>";
				}else{
					$xmlsend	.= "<WEB_PartName>Not Available</WEB_PartName>";
				}
				if(!empty($other_info_row['LastUpdated'])){
					$xmlsend .="<LastUpdated><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['LastUpdated']), array("–"=>"-", "&"=>"AND"))."]]></LastUpdated>";
				}else{
					$xmlsend	.= "<LastUpdated>Not Available</LastUpdated>";
				}
				if(!empty($other_info_row['WEB_ShippingOptions'])){
					$xmlsend .="<WEB_ShippingOptions><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_ShippingOptions']), array("–"=>"-", "&"=>"AND"))."]]></WEB_ShippingOptions>";
				}else{
					$xmlsend	.= "<WEB_ShippingOptions>Not Available</WEB_ShippingOptions>";
				}
				if(!empty($other_info_row['WEB_ShippingPrice'])){
					$xmlsend .="<WEB_ShippingPrice><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_ShippingPrice']), array("–"=>"-", "&"=>"AND"))."]]></WEB_ShippingPrice>";
				}else{
					$xmlsend	.= "<WEB_ShippingPrice>Not Available</WEB_ShippingPrice>";
				}
				if(!empty($other_info_row['WEB_ShippingDispatch'])){
					$xmlsend .="<WEB_ShippingDispatch><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_ShippingDispatch']), array("–"=>"-", "&"=>"AND"))."]]></WEB_ShippingDispatch>";
				}else{
					$xmlsend	.= "<WEB_ShippingDispatch>Not Available</WEB_ShippingDispatch>";
				}
				if(!empty($other_info_row['WEB_Colour'])){
					$xmlsend .="<WEB_Colour><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_Colour']), array("–"=>"-", "&"=>"AND"))."]]></WEB_Colour>";
				}else{
					$xmlsend	.= "<WEB_Colour>Not Available</WEB_Colour>";
				}
				if(!empty($other_info_row['WEB_CC'])){
					$xmlsend .="<WEB_CC><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_CC']), array("–"=>"-", "&"=>"AND"))."]]></WEB_CC>";
				}else{
					$xmlsend	.= "<WEB_CC>Not Available</WEB_CC>";
				}
				if(!empty($other_info_row['WEB_Title'])){
					$xmlsend .="<WEB_Title><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_Title']), array("–"=>"-", "&"=>"AND"))."]]></WEB_Title>";
				}else{
					$xmlsend	.= "<WEB_Title>Not Available</WEB_Title>";
				}
				if(!empty($other_info_row['WEB_Price'])){
					$xmlsend .="<WEB_Price><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WEB_Price']), array("–"=>"-", "&"=>"AND"))."]]></WEB_Price>";
				}else{
					$xmlsend	.= "<WEB_Price>Not Available</WEB_Price>";
				}
				if(!empty($other_info_row['Web_FeaturedListing'])){
					$xmlsend .="<Web_FeaturedListing><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Web_FeaturedListing']), array("–"=>"-", "&"=>"AND"))."]]></Web_FeaturedListing>";
				}else{
					$xmlsend	.= "<Web_FeaturedListing>Not Available</Web_FeaturedListing>";
				}
				if(!empty($other_info_row['Lock'])){
					$xmlsend .="<Lock><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Lock']), array("–"=>"-", "&"=>"AND"))."]]></Lock>";
				}else{
					$xmlsend	.= "<Lock>Not Available</Lock>";
				}
				if(!empty($other_info_row['WebPartFields'])){
					$xmlsend .="<WebPartFields><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['WebPartFields']), array("–"=>"-", "&"=>"AND"))."]]></WebPartFields>";
				}else{
					$xmlsend	.= "<WebPartFields>Not Available</WebPartFields>";
				}
				if(!empty($other_info_row['ImageVehicleURLList'])){
					$xmlsend .="<ImageVehicleURLList><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['ImageVehicleURLList']), array("–"=>"-", "&"=>"AND"))."]]></ImageVehicleURLList>";
				}else{
					$xmlsend	.= "<ImageVehicleURLList>Not Available</ImageVehicleURLList>";
				}
				if(!empty($other_info_row['VehicleURLList'])){
					$xmlsend .="<VehicleURLList><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['VehicleURLList']), array("–"=>"-", "&"=>"AND"))."]]></VehicleURLList>";
				}else{
					$xmlsend	.= "<VehicleURLList>Not Available</VehicleURLList>";
				}
				if(!empty($other_info_row['DetailComments'])){
					$xmlsend .= "<DetailComments><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['DetailComments']), array("–"=>"-", "&"=>"AND"))."]]></DetailComments>";
				}else{
					$xmlsend	.= "<DetailComments>Not Available</DetailComments>";
				}
				if(!empty($other_info_row['Reg'])){
					$xmlsend .= "<Reg><![CDATA[".strtr(cleanWordSpecialCharacters($other_info_row['Reg']), array("–"=>"-", "&"=>"AND"))."]]></Reg>";
				}else{
					$xmlsend	.= "<Reg>Not Available</Reg>";
				}
				$xmlsend .= "</Stock>";
			}
	}else{
		//	echo "Failed - User Doesnt Exist For this clientID";
		$xmlsend .= '<result>Failed - User Doesnt Exist</result>';
	}
$xmlsend .= '</urlset>';

function get_data($url) {
  $ch			= curl_init();
  $timeout		= 5;
  curl_setopt($ch, CURLOPT_URL, $url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
  curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
  $data			= curl_exec($ch);
  curl_close($ch);
  return $data;
}

function xml2array($contents, $get_attributes=1, $priority = 'tag') {
    if(!$contents) return array();

    if(!function_exists('xml_parser_create')) {
        //print "'xml_parser_create()' function not found!";
        return array();
    }

    //Get the XML parser of PHP - PHP must have this module for the parser to work
    $parser = xml_parser_create('');
    xml_parser_set_option($parser, XML_OPTION_TARGET_ENCODING, "UTF-8"); # http://minutillo.com/steve/weblog/2004/6/17/php-xml-and-character-encodings-a-tale-of-sadness-rage-and-data-loss
    xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
    xml_parser_set_option($parser, XML_OPTION_SKIP_WHITE, 1);
    xml_parse_into_struct($parser, trim($contents), $xml_values);
    xml_parser_free($parser);

    if(!$xml_values) return;//Hmm...

    //Initializations
    $xml_array = array();
    $parents = array();
    $opened_tags = array();
    $arr = array();

    $current = &$xml_array; //Refference

    //Go through the tags.
    $repeated_tag_index = array();//Multiple tags with same name will be turned into an array
    foreach($xml_values as $data) {
        unset($attributes,$value);//Remove existing values, or there will be trouble

        //This command will extract these variables into the foreach scope
        // tag(string), type(string), level(int), attributes(array).
        extract($data);//We could use the array by itself, but this cooler.

        $result = array();
        $attributes_data = array();
        
        if(isset($value)) {
            if($priority == 'tag') $result = $value;
            else $result['value'] = $value; //Put the value in a assoc array if we are in the 'Attribute' mode
        }

        //Set the attributes too.
        if(isset($attributes) and $get_attributes) {
            foreach($attributes as $attr => $val) {
                if($priority == 'tag') $attributes_data[$attr] = $val;
                else $result['attr'][$attr] = $val; //Set all the attributes in a array called 'attr'
            }
        }

        //See tag status and do the needed.
        if($type == "open") {//The starting of the tag '<tag>'
            $parent[$level-1] = &$current;
            if(!is_array($current) or (!in_array($tag, array_keys($current)))) { //Insert New tag
                $current[$tag] = $result;
                if($attributes_data) $current[$tag. '_attr'] = $attributes_data;
                $repeated_tag_index[$tag.'_'.$level] = 1;

                $current = &$current[$tag];

            } else { //There was another element with the same tag name

                if(isset($current[$tag][0])) {//If there is a 0th element it is already an array
                    $current[$tag][$repeated_tag_index[$tag.'_'.$level]] = $result;
                    $repeated_tag_index[$tag.'_'.$level]++;
                } else {//This section will make the value an array if multiple tags with the same name appear together
                    $current[$tag] = array($current[$tag],$result);//This will combine the existing item and the new item together to make an array
                    $repeated_tag_index[$tag.'_'.$level] = 2;
                    
                    if(isset($current[$tag.'_attr'])) { //The attribute of the last(0th) tag must be moved as well
                        $current[$tag]['0_attr'] = $current[$tag.'_attr'];
                        unset($current[$tag.'_attr']);
                    }

                }
                $last_item_index = $repeated_tag_index[$tag.'_'.$level]-1;
                $current = &$current[$tag][$last_item_index];
            }

        } elseif($type == "complete") { //Tags that ends in 1 line '<tag />'
            //See if the key is already taken.
            if(!isset($current[$tag])) { //New Key
                $current[$tag] = $result;
                $repeated_tag_index[$tag.'_'.$level] = 1;
                if($priority == 'tag' and $attributes_data) $current[$tag. '_attr'] = $attributes_data;

            } else { //If taken, put all things inside a list(array)
                if(isset($current[$tag][0]) and is_array($current[$tag])) {//If it is already an array...

                    // ...push the new element into that array.
                    $current[$tag][$repeated_tag_index[$tag.'_'.$level]] = $result;
                    
                    if($priority == 'tag' and $get_attributes and $attributes_data) {
                        $current[$tag][$repeated_tag_index[$tag.'_'.$level] . '_attr'] = $attributes_data;
                    }
                    $repeated_tag_index[$tag.'_'.$level]++;

                } else { //If it is not an array...
                    $current[$tag] = array($current[$tag],$result); //...Make it an array using using the existing value and the new value
                    $repeated_tag_index[$tag.'_'.$level] = 1;
                    if($priority == 'tag' and $get_attributes) {
                        if(isset($current[$tag.'_attr'])) { //The attribute of the last(0th) tag must be moved as well
                            
                            $current[$tag]['0_attr'] = $current[$tag.'_attr'];
                            unset($current[$tag.'_attr']);
                        }
                        
                        if($attributes_data) {
                            $current[$tag][$repeated_tag_index[$tag.'_'.$level] . '_attr'] = $attributes_data;
                        }
                    }
                    $repeated_tag_index[$tag.'_'.$level]++; //0 and 1 index is already taken
                }
            }

        } elseif($type == 'close') { //End of tag '</tag>'
            $current = &$parent[$level-1];
        }
    }
    
    return($xml_array);
}

function send_respond($xmlsend){
   echo $xmlsend;
}

function assocArrayToXML($root_element_name,$ar)
{
    $xml = new SimpleXMLElement("<?xml version=\"1.0\"?><{$root_element_name}></{$root_element_name}>");
    $f = create_function('$f,$c,$a','
            foreach($a as $k=>$v) {
                if(is_array($v)) {
                    $ch=$c->addChild($k);
                    $f($f,$ch,$v);
                } else {
                    $c->addChild($k,$v);
                }
            }');
    $f($f,$xml,$ar);
    return $xml->asXML();
}

class ArrayToXML
{
    /**
    * The main function for converting to an XML document.
    * Pass in a multi dimensional array and this recrusively loops through and builds up an XML document.
    *
    * @param array $data
    * @param string $rootNodeName - what you want the root node to be - defaultsto data.
    * @param SimpleXMLElement $xml - should only be used recursively
    * @return string XML
    */
  public static function toXml($data, $rootNodeName = '', $xml=null)
  {
    // turn off compatibility mode as simple xml throws a wobbly if you don't.
    if (ini_get('zend.ze1_compatibility_mode') == 1)
    {
    ini_set ('zend.ze1_compatibility_mode', 0);
    }
     
    if ($xml == null)
    {
    $xml = simplexml_load_string("<?xml version='1.0' encoding='utf-8'?><$rootNodeName />");
    }
     
    // loop through the data passed in.
    foreach($data as $key => $value)
    {
    // no numeric keys in our xml please!
    if (is_numeric($key))
    {
    // make string key...
    $key = "unknownNode_". (string) $key;
    }
     
    // replace anything not alpha numeric
    $key = preg_replace('/[^a-z]/i', '', $key);
     
    // if there is another array found recrusively call this function
    if (is_array($value))
    {
    $node = $xml->addChild($key);
    // recrusive call.
    ArrayToXML::toXml($value, $rootNodeName, $node);
    }
    else
    {
    // add single node.
    $value = htmlentities($value);
    $xml->addChild($key,$value);
    }
     
    }
    // pass back as string. or simple xml object if you want!
    return $xml->asXML();
  }
}

 echo $xmlsend;
?>