<?php include('header.php'); ?>
<?php 
ini_set('display_errors', 1);
//error_reporting(E_ALL);
require_once("./include/db.php");
require_once("./include/config.php");
require_once("config.php");
require_once('vendor/autoload.php');
$order = 0;
if(!empty($_REQUEST['order']) && (int)$_REQUEST['order'] > 0){
	$order = $_REQUEST['order'];
	//$clientid = $_REQUEST['clientid'];
	$clientid = $GLOBAL_CLIENT_ID;
}else{
	echo "Wrong URL";
	exit;
}
session_start();
$url = siteurl()."stripe_check_transaction.php";	
$post = [ 'order' => $order, 'client_id' => $GLOBAL_CLIENT_ID];
$headers = array('Accept: application/json', 'Content-Type: application/json');
$ch = curl_init();
$data_string = urlencode(json_encode($post));

curl_setopt($ch,CURLOPT_SSL_VERIFYPEER, false);

curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($post));
curl_setopt($ch, CURLOPT_POST,1);
curl_setopt($ch, CURLOPT_TIMEOUT, 300);
$response = curl_exec($ch);
$result = json_decode($response);
$amount_cents = $result->TotalDue * 100;
$amt = $amount_cents;
$currencycode = $result->CurrencyCode;
$order_id = $result->OrderID;
$description = $result->PartName;

$cartparts = $result->PartID;
$partidarr = explode(',',$cartparts);
$fetchclientid = explode('-',trim($partidarr[0]));

$description = $result->PartName;
$partids = $result->PartID;
$totaldue = $result->TotalDue;
$delivery = $result->Delivery;
$partprice = $result->PartPrice;
$company = $result->Company;
$country = $result->Country;
$currencyprefix = $result->CurrencyPrefix;
$mainorder = $order;
$tel = $result->Tel;

/*print_r($result);*/
curl_close ($ch);

$client_id = $fetchclientid[0];
require_once("stripe_keys.php");

//$development_mode=true;
$development_mode=false;

if($development_mode){
	$set_pk = $pk_key_test;
	$set_sk = $sk_key_test;  
}else{
	$set_pk = $pk_key_live;
	$set_sk = $sk_key_live;
}
//$set_pk = $pk_key_test;
//$set_pk = $pk_key_live;

//$set_sk = $sk_key_test;
//$set_sk = $sk_key_live;

\Stripe\Stripe::setApiKey($set_sk);

$stripe_total_amount = $totaldue * 100;
$payment_intent = \Stripe\PaymentIntent::create([
  'amount' => $stripe_total_amount,
  'currency' => $currencycode,
  'payment_method_types' => ['card'],
  "setup_future_usage" => "off_session",
  'metadata' => ["order_id" => $order_id],
]);
//echo '<pre>';print_r($payment_intent);exit;
?>
<!DOCTYPE html>
<html lang="en">

<head>
  <title>Make Payment</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" type="text/css" href="css/store.css">
  <!-- <link rel="icon" type="image/png" sizes="104x80" href="images/logo.png"> -->
<style>
h2{font-size: 18px;text-align: center;margin: 0px 0;}
fieldset label { font-weight: bold; }
#payment-form { padding: 0px 30px 5px;}
#checkout { max-width: 600px; padding:15px 0;}
fieldset label span {
    padding: 0 8px;
}
fieldset label.state {
    display: inline-flex;
    width: 68%;
}
label.error {
    color: red;
    display: block !important;
}

label.error {
    color: #b71828;
    display: none !important;
    font-weight: 400;
}
.error { border: 2px solid red;}
.valid { border: 1px solid green;}
#country select {
    margin: 0 -15px 0 -46px;
    padding: 0 15px 0 30px;
}
</style>
 <script src="js/jquery-3.5.1.min.js"></script>
 <script src="js/jquery.validate.min.js"></script>
</head>
<body>
  <main id="main" class="checkout" style="padding">

    <div id="checkout">

<form id="payment-form" name="payment-form" method="POST" data-secret="<?= $payment_intent->client_secret ?>">
<input type="hidden" name="client_id" value="<?=$client_id?>">
<input type="hidden" name="total_amount" value="<?=$totaldue?>">
<input type="hidden" name="delivery" value="<?=$delivery?>">
<input type="hidden" name="order_id" value="<?=$order_id?>">
<input type="hidden" name="order_partids" value="<?=$partids?>">
<input type="hidden" name="order_desc" value="<?=$description?>">
<input type="hidden" name="partprice" value="<?=$partprice?>">
<input type="hidden" name="currencycode" value="<?=$currencycode?>">
<input type="hidden" name="currencyprefix" value="<?=$currencyprefix?>">
<input type="hidden" name="payment_intent" value="<?=$payment_intent->client_secret ?>">
<input type="hidden" id="created" name="created" value="">
<input type="hidden" id="txn_id" name="txn_id" value="">

        <section>
          <h2>Shipping &amp; Billing Information</h2>
          <fieldset class="with-state">
            <label class="">
              <span>First Name</span>
              <input name="first_name" id="first_name" class="field" placeholder="">
            </label>
			<label class="">
              <span>Last Name</span>
              <input name="last_name" id="last_name" class="field" placeholder="">
            </label>
            <label>
              <span>Email</span>
              <input name="email" id="email" type="email" class="field" placeholder="">
            </label>
            <label>
              <span>Phone Number</span>
              <input type="text" name="contact_no" id="contact_no" class="field" placeholder="">
            </label>
            <label>
              <span>Address Line 1</span>
              <input name="address_line_1" id="address_line_1" class="field" placeholder="">
            </label>
          <label>
              <span>Address Line 2</span>
              <input name="address_line_2" id="address_line_2" class="field" placeholder="">
            </label>
            <label class="city">
              <span>City</span>
              <input name="city" id="city" class="field" placeholder="">
            </label>
            <label class="">
              <span>State</span>
              <input name="state" id="state" class="field" placeholder="">
            </label>
            <label class="">
              <span>Zipcode</span>
              <input id="postal_code" name="postal_code" class="field" placeholder="">
            </label>
            <label class="select">
              <span>Country</span>
              <div id="country" class="field US">
<select name="country" id="country">
 <option value="" >Select Country</option>
 <option value="AF">Afghanistan</option>
 <option value="AX">Åland Islands</option>
 <option value="AL">Albania</option>
 <option value="DZ">Algeria</option>
 <option value="AD">Andorra</option>
 <option value="AO">Angola</option><option value="AI">Anguilla</option>
 <option value="AQ">Antarctica</option><option value="AG">Antigua &amp; Barbuda</option>
 <option value="AR">Argentina</option><option value="AM">Armenia</option><option value="AW">Aruba</option><option value="AC">Ascension Island</option><option value="AU">Australia</option><option value="AT">Austria</option><option value="AZ">Azerbaijan</option>
 <option value="BS">Bahamas</option><option value="BH">Bahrain</option><option value="BD">Bangladesh</option><option value="BB">Barbados</option><option value="BY">Belarus</option><option value="BE">Belgium</option><option value="BZ">Belize</option><option value="BJ">Benin</option><option value="BM">Bermuda</option><option value="BT">Bhutan</option><option value="BO">Bolivia</option><option value="BA">Bosnia &amp; Herzegovina</option><option value="BW">Botswana</option><option value="BV">Bouvet Island</option><option value="BR">Brazil</option><option value="IO">British Indian Ocean Territory</option><option value="VG">British Virgin Islands</option><option value="BN">Brunei</option><option value="BG">Bulgaria</option><option value="BF">Burkina Faso</option><option value="BI">Burundi</option>
 <option value="KH">Cambodia</option><option value="CM">Cameroon</option><option value="CA">Canada</option><option value="CV">Cape Verde</option><option value="BQ">Caribbean Netherlands</option><option value="KY">Cayman Islands</option><option value="CF">Central African Republic</option><option value="TD">Chad</option><option value="CL">Chile</option><option value="CN">China</option><option value="CO">Colombia</option><option value="KM">Comoros</option><option value="CG">Congo - Brazzaville</option><option value="CD">Congo - Kinshasa</option><option value="CK">Cook Islands</option><option value="CR">Costa Rica</option><option value="CI">Côte d’Ivoire</option><option value="HR">Croatia</option><option value="CW">Curaçao</option><option value="CY">Cyprus</option><option value="CZ">Czechia</option><option value="DK">Denmark</option>
 <option value="DJ">Djibouti</option><option value="DM">Dominica</option><option value="DO">Dominican Republic</option><option value="EC">Ecuador</option><option value="EG">Egypt</option><option value="SV">El Salvador</option><option value="GQ">Equatorial Guinea</option><option value="ER">Eritrea</option><option value="EE">Estonia</option><option value="SZ">Eswatini</option><option value="ET">Ethiopia</option><option value="FK">Falkland Islands</option><option value="FO">Faroe Islands</option><option value="FJ">Fiji</option><option value="FI">Finland</option><option value="FR">France</option><option value="GF">French Guiana</option><option value="PF">French Polynesia</option><option value="TF">French Southern Territories</option><option value="GA">Gabon</option><option value="GM">Gambia</option><option value="GE">Georgia</option><option value="DE">Germany</option><option value="GH">Ghana</option><option value="GI">Gibraltar</option><option value="GR">Greece</option><option value="GL">Greenland</option><option value="GD">Grenada</option><option value="GP">Guadeloupe</option><option value="GU">Guam</option><option value="GT">Guatemala</option><option value="GG">Guernsey</option><option value="GN">Guinea</option><option value="GW">Guinea-Bissau</option><option value="GY">Guyana</option><option value="HT">Haiti</option><option value="HN">Honduras</option><option value="HK">Hong Kong SAR China</option><option value="HU">Hungary</option><option value="IS">Iceland</option><option value="IN">India</option><option value="ID">Indonesia</option><option value="IQ">Iraq</option><option value="IE">Ireland</option><option value="IM">Isle of Man</option><option value="IL">Israel</option><option value="IT">Italy</option><option value="JM">Jamaica</option><option value="JP">Japan</option><option value="JE">Jersey</option><option value="JO">Jordan</option><option value="KZ">Kazakhstan</option><option value="KE">Kenya</option><option value="KI">Kiribati</option><option value="XK">Kosovo</option><option value="KW">Kuwait</option><option value="KG">Kyrgyzstan</option><option value="LA">Laos</option><option value="LV">Latvia</option><option value="LB">Lebanon</option><option value="LS">Lesotho</option><option value="LR">Liberia</option><option value="LY">Libya</option><option value="LI">Liechtenstein</option><option value="LT">Lithuania</option><option value="LU">Luxembourg</option><option value="MO">Macao SAR China</option><option value="MG">Madagascar</option><option value="MW">Malawi</option><option value="MY">Malaysia</option><option value="MV">Maldives</option><option value="ML">Mali</option><option value="MT">Malta</option><option value="MQ">Martinique</option><option value="MR">Mauritania</option><option value="MU">Mauritius</option><option value="YT">Mayotte</option><option value="MX">Mexico</option><option value="MD">Moldova</option><option value="MC">Monaco</option><option value="MN">Mongolia</option><option value="ME">Montenegro</option><option value="MS">Montserrat</option><option value="MA">Morocco</option><option value="MZ">Mozambique</option><option value="MM">Myanmar (Burma)</option><option value="NA">Namibia</option><option value="NR">Nauru</option><option value="NP">Nepal</option><option value="NL">Netherlands</option><option value="NC">New Caledonia</option><option value="NZ">New Zealand</option><option value="NI">Nicaragua</option><option value="NE">Niger</option><option value="NG">Nigeria</option><option value="NU">Niue</option><option value="MK">North Macedonia</option><option value="NO">Norway</option><option value="OM">Oman</option><option value="PK">Pakistan</option><option value="PS">Palestinian Territories</option><option value="PA">Panama</option><option value="PG">Papua New Guinea</option><option value="PY">Paraguay</option><option value="PE">Peru</option><option value="PH">Philippines</option><option value="PN">Pitcairn Islands</option><option value="PL">Poland</option><option value="PT">Portugal</option><option value="PR">Puerto Rico</option><option value="QA">Qatar</option><option value="KR">Republic of Korea</option><option value="RE">Réunion</option><option value="RO">Romania</option><option value="RU">Russia</option><option value="RW">Rwanda</option><option value="WS">Samoa</option><option value="SM">San Marino</option><option value="ST">São Tomé &amp; Príncipe</option><option value="SA">Saudi Arabia</option><option value="SN">Senegal</option><option value="RS">Serbia</option><option value="SC">Seychelles</option><option value="SL">Sierra Leone</option><option value="SG">Singapore</option><option value="SX">Sint Maarten</option><option value="SK">Slovakia</option><option value="SI">Slovenia</option><option value="SB">Solomon Islands</option><option value="SO">Somalia</option><option value="ZA">South Africa</option><option value="GS">South Georgia &amp; South Sandwich Islands</option><option value="SS">South Sudan</option><option value="ES">Spain</option><option value="LK">Sri Lanka</option><option value="BL">St. Barthélemy</option><option value="SH">St. Helena</option><option value="KN">St. Kitts &amp; Nevis</option><option value="LC">St. Lucia</option><option value="MF">St. Martin</option><option value="PM">St. Pierre &amp; Miquelon</option><option value="VC">St. Vincent &amp; Grenadines</option><option value="SR">Suriname</option><option value="SJ">Svalbard &amp; Jan Mayen</option><option value="SE">Sweden</option><option value="CH">Switzerland</option><option value="TW">Taiwan</option><option value="TJ">Tajikistan</option><option value="TZ">Tanzania</option><option value="TH">Thailand</option><option value="TL">Timor-Leste</option><option value="TG">Togo</option><option value="TK">Tokelau</option><option value="TO">Tonga</option><option value="TT">Trinidad &amp; Tobago</option><option value="TA">Tristan da Cunha</option><option value="TN">Tunisia</option><option value="TR">Turkey</option><option value="TM">Turkmenistan</option><option value="TC">Turks &amp; Caicos Islands</option><option value="TV">Tuvalu</option><option value="UG">Uganda</option><option value="UA">Ukraine</option><option value="AE">United Arab Emirates</option><option value="GB" selected="selected">United Kingdom</option><option value="US">United States</option><option value="UY">Uruguay</option><option value="UZ">Uzbekistan</option><option value="VU">Vanuatu</option><option value="VA">Vatican City</option><option value="VE">Venezuela</option><option value="VN">Vietnam</option><option value="WF">Wallis &amp; Futuna</option><option value="EH">Western Sahara</option><option value="YE">Yemen</option><option value="ZM">Zambia</option><option value="ZW">Zimbabwe</option></select>
              </div>
            </label>
          </fieldset>
        </section>
        <section>
          <h2>Payment Information</h2>
          <div class="payment-info card visible">
            <fieldset>
              <label>
                <span>Card</span>
                <div id="card-element" class="field"></div>
              </label>
            </fieldset>
          </div>
         

        </section>
        <button class="payment-button" type="submit">Pay <?=$currencyprefix.number_format($totaldue, 2, '.', '')?></button>
      </form>
      <div id="card-errors" class="element-errors" style="opacity: 1;"></div>

    </div>
    
  </main>
  <aside id="summary">
    <div class="header">
      <h1>Order Summary</h1>
    </div>
    <div id="order-items" style="font-weight:bold;padding-left: 10px;">
	<?=$partids?><br/><br/>
	<?=$description?>
	<?php
	$partids_arr = explode(',',$partids);
	foreach($partids_arr as $ids_arr){
		//echo $ids_arr.'<br/>';
	}
	echo '<br/>';
	$desc_arr = explode(',',$description);
	$i=1;
	foreach($desc_arr as $itemarr){
		//echo $i.'. '. $itemarr.'<br/>';
	$i++;
	}
	?>
	</div>
    <div id="order-total">
   
      <div class="line-item total">
        <p class="label">Total</p>
        <p class="price" data-total><?=$currencyprefix.number_format($totaldue, 2, '.', '')?></p>
      </div>
    </div>
  </aside>
  </aside>
  </aside>
  </aside>
  </aside>
  <!-- Stripe.js v3 for Elements -->
  <script src="https://js.stripe.com/v3/"></script>

 <script>
 

//$(document).ready(function() {
 const form = document.getElementById('payment-form');
 const submitButton = form.querySelector('button[type=submit]');

  // Global variable to store the submit button text.
  let submitButtonPayText = 'Pay';

  // Create a Stripe client.
  const stripe = Stripe('<?php echo $set_pk;?>');

  // Create an instance of Elements.
  const elements = stripe.elements();

  // Prepare the styles for Elements.
  const style = {
    base: {
      iconColor: '#666ee8',
      color: '#31325f',
      fontWeight: 400,
      fontFamily:
        '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif',
      fontSmoothing: 'antialiased',
      fontSize: '15px',
      '::placeholder': {
        color: '#aab7c4',
      },
      ':-webkit-autofill': {
        color: '#666ee8',
      },
    },
  };


  // Create a Card Element and pass some custom styles to it.
  const card = elements.create('card', {style, hidePostalCode: true});

  // Mount the Card Element on the page.
  card.mount('#card-element');

  // Monitor change events on the Card Element to display any errors.
  card.on('change', ({error}) => {
    const cardErrors = document.getElementById('card-errors');
    if (error) {
	  console.log(error.message);	
      cardErrors.textContent = error.message;
      cardErrors.classList.add('visible');
    } else {
	    //console.log(error.message);	
      cardErrors.classList.remove('visible');
    }
    // Re-enable the Pay button.
    submitButton.disabled = false;
  });
 //}); 
 

// Send Stripe Token to Server
function stripeTokenHandler(token) {
    var form = document.getElementById('payment-form');
    var hiddenInput = document.createElement('input');
    hiddenInput.setAttribute('type', 'hidden');
    hiddenInput.setAttribute('name', 'stripeToken');
    hiddenInput.setAttribute('value', token.id);
    form.appendChild(hiddenInput);
	
    submitButton.disabled = true;
    submitButton.textContent = 'Processing…';
    form.submit();
}

function saveformdata(txn_id, pstatus) {
  //var get_form = $('#payment-form');
  //var formData = $('form').serialize();
  //var formData = new FormData(get_form);  
  var base_url = '<?php echo siteurl();?>';    
    jQuery.ajax({
        type:'POST',
        //url: $(this).attr('action'),
        url: base_url+"save_stripe_checkout_data.php",
        //data:formData,
        data: jQuery("#payment-form").serialize(),
        //cache:false,
        //contentType: false,
        //processData: false,
        success:function(response){
              console.log(response);
            if(jQuery.trim(response)=='success'){
               // location.href= base_url+'success.php?tid='+txn_id;
                //return;
            }
        },
        error: function(data){
            console.log("error");
            console.log(data);
        var errorElement = document.getElementById('card-errors');
        errorElement.textContent = data;

        jQuery("#MemberLoadpopup").fadeOut("slow");
        }
    });
}
j2 = jQuery.noConflict();
jQuery(document).ready(function($) {
 $("#payment-form").validate({
                rules: {
                    first_name: "required",
                    last_name: "required",
					contact_no:{
						required:true,
						number:true,
					},
					email:{
						required:true,
						email:true,
					},
					address_line_1:{
						required:true,
					},
					city:{
						required:true,
					},
					state:{
						required:true,
					},
					country:{
						required:true,
					},
					postal_code:{
						required:true,
					}
                },
                messages: {
                    first_name: "Please enter your firstname",
                    last_name: "Please enter your lastname",
					email:{
						required:'Please enter your email',
						email:'Please enter valid email',
					},
                },
				errorPlacement: function(){
					return false;  // suppresses error message text
				},
          submitHandler: function(form, event) {
					event.preventDefault();
				
	/*stripe.createToken(card).then(function(result) {
        if (result.error) {
			console.log('message from '+result.error);
            // Inform the user if there was an error
            var errorElement = document.getElementById('card-errors');
            errorElement.textContent = result.error.message;
            //cardErrors.textContent = result.error.message;
        } else {
            stripeTokenHandler(result.token);
        }
    });	*/		


/* New Payment Intent Method */
var first_name = $('#first_name').val();
var last_name = $('#last_name').val();
var full_name = first_name +' '+last_name;
var contact_no = $('#contact_no').val();
var email = $('#email').val();
var address_line_1 = $('#address_line_1').val();
var address_line_2 = $('#address_line_2').val();
var city = $('#city').val();
var state = $('#state').val();
var postal_code = $('#postal_code').val();
var country = $('#country').val();


$("#MemberLoadpopup").fadeIn();

stripe.confirmCardPayment(
  '<?=$payment_intent->client_secret?>',
  {
    payment_method: {
        card: card,
        billing_details: {
        name: full_name,
        phone: contact_no,
        email:email,
        address:{
          city: city,
          state: state,
          postal_code: postal_code,
          line1: address_line_1,
          line2: address_line_2
        }
      }
}
  }
).then(function(result) {
	if (result.error) {
        // Display error.message in your UI.
        //console.log('message from '+result.error);
        // Inform the user if there was an error
        var errorElement = document.getElementById('card-errors');
        errorElement.textContent = result.error.message;
        errorElement.classList.add('visible');
        $("#MemberLoadpopup").fadeOut("slow");
        //cardErrors.textContent = result.error.message;
	} else {
		// The payment has succeeded
		// Display a success message
		//console.log(result);
		//console.log('-------------');
		//console.log(result.paymentIntent);
		if (result.paymentIntent.status === 'succeeded') {
			$('#created').val(result.paymentIntent.created);
			$('#txn_id').val(result.paymentIntent.id);
			// saveformdata(result.paymentIntent.id, result.paymentIntent.status);
			var txn_id = result.paymentIntent.id;
			//alert('Payment is done.');
			//alert('txn_id-'+txn_id);
			//saveformdata(result.paymentIntent.status);

			var base_url = '<?php echo siteurl();?>';    
			$.ajax({
				type:'POST',
				url: base_url+"save_stripe_checkout_data.php",
				data: $("#payment-form").serialize(),
				success:function(response){
					//console.log(response);
					// if($.trim(response)=='success'){
					//     location.href= base_url+'success.php?tid='+txn_id;
					//     return;
					// }
				}
			});

			var URL = base_url+'success.php?tid='+txn_id;
			setTimeout(function(){ window.location = URL; }, 3000);

		  

		}
		else
		{
			var errorElement = document.getElementById('card-errors');
			errorElement.textContent = "We are having some problem. Please try later.";
			errorElement.classList.add('visible');
			$("#MemberLoadpopup").fadeOut("slow");
		}
	}
});

					

                }  
            });

        });

/* form.addEventListener('submit', function(event) {
	event.preventDefault();

});  */
</script> 

<div style="display:none;" id="MemberLoadpopup">
   <div id="popup_container" style="margin-top:11%;">
   <div id="popdetail" style="">
     <div style="text-align:center;">
<font style="color: red; font-size: 24px; padding: 50px; background: ghostwhite;">Please do not refresh or click back button as transaction is in processing</font>
<br/>
      <img src="<?php echo siteurl();?>images/loader_gif.gif" alt="Processing.." style="width: 200px;">
     
   </div>
                </div>
            </div>
 </div>

<style type="text/css">
  #MemberLoadpopup {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    background-color: rgba(50, 52, 50, 0.6);
    background: rgba(50, 52, 50, 0.6);
}
</style>
<!-- </body>
</html>
 -->
 <?php include('footer.php');?>   

<style type="text/css">
	#main{
		height:auto;
	}
	#summary{
		position:absolute;
		top:121px;
		height:auto;
	}
	input[type="text"].field, input[type="email"].field, select.field, .field{
		font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell, 'Helvetica Neue', sans-serif !important;
		font-size: 15px !important;
		line-height: 1.4em !important;
		color: #525f7f !important;
		border-width:0px !important;
		background: transparent !important;
		margin-bottom: 0px !important;
		box-shadow: none !important;
		padding-top:0 !important;
		padding-bottom:0 !important;
	}
	input[type="email"].field{
		border-width:0px !important;
	}
	select{
		 flex: 1;
		-webkit-appearance: none;
		-moz-appearance: none;
		appearance: none;
		cursor: pointer;
		outline: 0;
		background-image:none !important;
		border-width: 0px !important;
	}
	input[type="text"].field.valid, input[type="email"].field.valid, select.field.valid, .field.valid, .valid{
		border: 1px solid green  !important;
	}
	.price-list > li.menu-search .aborder button{
		box-shadow:none !important;
		width:auto !important;
		height:30px;
	}
	fieldset label span{
		font-weight: bold !important;
		font-size: 15px !important;
	}
	h2{
		margin: 5px 0;
	}
	@media only screen and (max-width: 767px){
		.responsive #top #main {
			padding-top: 28px !important;
		}
	}
</style>
		